-*- ChangeLog gnome-2-branch: top half of this file; HEAD branch: bottom half of this file

2003-12-13  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-tree-view-commodity.c:
	* src/gnome-utils/gnc-tree-view-price.c: Update sorting functions.

2003-11-30  David Hampton  <hampton@employees.org>

	* lib/egg/eggtreemodelfilter.c: Fixes from upstream.

	* src/engine/qofsession.[ch]:
	* src/gnome/gnc-main-window.c:
	* src/app-file/gnc-file.c: Add support for callback hooks when a
	session is closed.

	* src/app-utils/gnc-ui-util.[ch]: Expose a previously internal
	function for getting account balances.

	* configure.in:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-gconf-utils.[ch]:
	* src/gnome-utils/gnc-gnome-utils.c:  Add some utility functions.

	* src/gnome-utils/gnc-tree-model-account.[ch]:
	* src/gnome-utils/gnc-tree-view-account.c:
	* src/gnome-utils/gnc-tree-view-common.[ch]:
	* src/scm/main-window.scm: Extract basic view manipulation
	functions into a separate file.  Clean up code and regularize
	naming scheme.  Add a new column.

	* src/engine/gnc-pricedb.[ch]: Add a couple of functions.

	* configure.in:
	* src/gnome/dialog-commodities.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnome/glade/commodities.glade:
	* src/gnome/glade/price.glade:
	* src/gnome/schemas/*:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-tree-model-commodity.[ch]:
	* src/gnome-utils/gnc-tree-model-price.[ch]: Convert the
	commodities and prices dialog over to the gtk2 based MVC system.

	* src/report/Makefile.am:
	* src/report/report-gnome/dialog-style-sheet.c:
	* src/report/report-gnome/gw-report-gnome-spec.scm:
	* src/report/report-gnome/report.glade: Rework the stylesheets
	dialog to make it easier to implement in gtk2.

	* src/report/stylesheets/Makefile.am:
	* src/report/stylesheets/gnc-plugin-stylesheets-ui.xml:
	* src/report/stylesheets/gnc-plugin-stylesheets.[ch]:
	* src/report/stylesheets/gncmod-stylesheets.c:
	* src/scm/main.scm: Install stylesheet menus using the new plugin
	system.

2003-11-28  David Hampton  <hampton@employees.org>

	* src/engine/gnc-commodity.c: Clarify variable names in data
	strutures.  Promote the commodity namespace to a externally
	visible opaque object.  Make commodities and namespaces Qof
	Instances.  Add more events related to commodities and namespaces.
	Require the book when creating a new commodity.

	* <bunch-o-files>: Update to provide the book when creating a new
	commodity.

2003-11-08  David Hampton  <hampton@employees.org>

	* src/app-file/gnc-file.c: Give immediate feedback when the user
	clicks on the quit button.

	* src/engine/gnc-event.c: Protect the generate_event function from
	a handler unregistering itself during a callback.

	* src/gnome-utils/dialog-account.c: Don't access the account tree
	model directly.  Use the view functions no new functionality can
	easily be added to the view.

	* src/gnome-utils/dialog-options.c: Clean up after the main
	preferences dialog is closed.

	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome-utils/gnc-date-format.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/gnc-general-select.c:
	* src/gnome-utils/gtkselect.c: Convert some destroy functions to
	finalize functions.  Destroy can be called multiple times in gtk2.

2003-11-01  David Hampton  <hampton@employees.org>

	* src/gnome/druid-hierarchy.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/gnc-tree-view-account.[ch]: Collapse knowledge
	of the account tree model layering into one place.

2003-10-26  David Hampton  <hampton@employees.org>

	* src/gnome/druid-stock-split.c:
	* src/gnome-utils/dialog-transfer.c:
	* src/gnome-utils/gnc-tree-view-account.[ch]: Simplify the way
	filters are applied to an account tree view.

	* src/gnome/gnc-plugin-page-register.c: Start the "double line"
	menu item in the correct state.

	* src/gnome/dialog-tax-info.c:
	* src/gnome/glade/tax.glade: Get "Tax Options" working in the g2
	port.

	* src/gnome/gnc-main-window.c:
	* src/gnome/glade/acctperiod.glade:
	* src/gnome/ui/gnc-main-window-ui.xml: Add the "Close Books" menu
	item.

	* src/engine/qofid.[ch]: Fix another crash caused by qof changes.

2003-10-25  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.[ch]:
	* src/gnome/gnc-plugin-page-account-tree.c: Fix problems with the
	modal form of the edit account dialog.  Make AccountWindow an
	internal data structure. No-one uses it anyway.

	* src/gnome-utils/gnc-icons.c: Register our icons as stock icons.

	* src/gnc-ui.h:
	* src/gnome/dialog-commodities.c:
	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/dialog-commodity.c: The GNC_RESPONSE_xxx names
	should match the GNC_STOCK_xxx names.

	* src/gnome-utils/gnc-tree-view-account.[ch]: Function to add a
	new column to an account tree to display kvp data.

	* src/import-export/generic-import.glade:
	* src/import-export/qif-import/qif.glade: Put back the GtkCLists
	that the glade upgrade tool removed.  Update for gtk2 dialogs.

	* src/import-export/import-account-matcher.c: Use the account tree widget. Update for
	gtk2 dialogs.

	* src/import-export/import-format-dialog.c:
	* src/import-export/import-main-matcher.c:
	* src/import-export/import-match-picker.c:
	* src/import-export/qif-import/dialog-account-picker.c: Update for
	gtk2 dialogs.

	* src/import-export/mt940:
	* src/import-export/ofx: Install menus using the new plugin
	system.  Cleanup some gnome2 errors.

	* src/gnome/druid-stock-split.c: Fix a couple crashes.  Remove
	debugging.

	* src/gnome-utils/gnc-tree-view-account.c: Flush the tree when a
	visibility filter is applied.  Prevents unwanted nodes from
	appearing.

2003-10-24  David Hampton  <hampton@employees.org>

	* lots of files: Sync up at the gnome2-merge-4 tag.

2003-10-23  David Hampton  <hampton@employees.org>

	* src/engine/Group.c: Send an event when two accounts are merged.

	* src/gnome-utils/gnc-tree-model-account.c: Add debugging.

	* src/gnome-utils/gnc-tree-view-account.c: Handle an attempt to
	select the NULL account.

2003-10-20  David Hampton  <hampton@employees.org>

	* src/app-file/gnome/gnc-file-dialog.c: Rewrite using the new
	gtk_dialog_run function.

	* src/gnome/gnc-main-window.c: Fix the code for creating a new
	window and moving the current notebook tab to it.

	* src/gnome-utils/dialog-options.c: Bug fixes related to use of
	GtkTextView widget.

	* src/gnome/gnc-main-window.c:
	* src/gnome/ui/gnc-main-window-ui.xml:
	* src/scm/main-window.scm:
	* src/scm/main.scm: Migrate the "File->Properties" menu item to g2.

2003-10-19  David Hampton  <hampton@employees.org>

	* src/engine/gnc-trace.[ch]: Add a new module for HBCI.

	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/gnc-plugin-page-account-tree.[ch]:
	* src/gnome-utils/gnc-gnome-utils.[ch]: Add signals for a new page
	being added to a window, and for a change of the current page.
	Add a signal when an account is selected.  Extract common
	functions.  Expose a function.

	* src/gnome/gnc-plugin-page.[ch]: Add a new function for accessing
	the name of a plugin page.

	* src/import-export/hbci: Install menus using the new plugin
	system.  Cleanup some gnome2 errors.

	* configure.in:
	* src/gnome/gnc-plugin-account-tree.c:
	* src/gnome/gnc-plugin-file-history.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-register.c:
	* src/gnome-utils/gnc-tree-model-account.c:
	* src/gnome-utils/gnc-tree-view-account.c:
	* src/import-export/hbci/gnc-plugin-hbci.c:
	* src/import-export/qif-import/druid-qif-import.c: Configure time
	option to dump reference counts when gnucash exits.

	* src/import-export/log-replay: Install menu item using the new
	plugin system.

2003-10-18  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.h:
	* src/gnome-utils/gnc-tree-model-account.[ch]:
	* src/gnome-utils/gnc-tree-view-account.[ch]: Add support for the
	"placeholder" column.

	* src/gnome-utils/gnc-tree-model-example-account.c: Iters are
	persistent. Mark them as such.

	* src/gnome-utils/gnc-tree-model-selection.c: Bug fixes.

	* src/gnome/druid-hierarchy.c: Overhaul.

	* src/gnome/glade/account.glade: Minor tweaks for druid overhaul.


2003-10-17  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-sheet.c: Can now enter text
	in the register.  Fix auto-completion.  Fix selection of a
	transaction a/o cell when using the mouse.  Use gtk2 functions
	instead of deprecated gtk1 functions.

	* src/register/register-gnome/gnucash-grid.c: Any cell being
	edited should use normal text.  Italic text is only for help
	items.

2003-10-12  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/gnc-embedded-window.[ch]: Always provide a parent
	window. Split the accelerators out into a separate argument.

	* src/gnome/Makefile.am:
	* src/gnome/gnc-window.[ch]: Add an interface for accessing the
	status bar and progress bar, regardless of whether the window is a
	main window or an embedded window.

	* src/gnome/gnc-embedded-window.c:
	* src/gnome/gnc-main-window.c: Implement the new window interface.

	* src/gnome/gnc-plugin-page-register.c: Use the new window
	interface to update the status bar when moving through the
	register.

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-page.[ch]: Update status bar code to handle
	multiple windows, and to track page switches within a window.

	* src/app-file/gncmod-app-file.c:
	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-file-history.c:
	* src/gnome/gnc-window.[ch]:
	* src/gnome-utils/gnc-mdi-utils.c: Get the progress bar working.

2003-10-11  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/gnc-plugin-business.[ch]:
	* src/gnome/gnc-plugin-account-tree.[ch]:
	* src/gnome/gnc-plugin-manager.c:
	* src/gnome/gnc-plugin-register.[ch]:
	* src/gnome/gnc-plugin.[ch]:
	* src/import-export/qif-import/gnc-plugin-qif-import.[ch]: Derive
	the GncPlugin widget from a GObject instead of a GInterface.
	Collapse common functions into the base GncPlugin class.

	* src/gnome/Makefile.am:
	* src/gnome/gnc-plugin-file-history.[ch]:
	* src/gnome/ui/Makefile.am:
	* src/gnome/ui/gnc-plugin-file-history-ui.xml: Implement file
	history for new window plugin system.

	* src/app-file/gnc-file-history.h:
	* src/app-file/gnome/Makefile.am:
	* src/app-file/gnome/gnc-file-history.c:
	* src/gnome/top-level.c:
	* src/gnome/window-main.c:
	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/ui/gnc-main-window-ui.xml: Changes for new file history
	plugin.

2003-10-10  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin-page.[ch]: Support a list of books
	referenced by each page.

	* src/gnome/gnc-main-window.c: Track installed pages on a
	per-window basis.  Require all installed pages to specify what
	books they reference.  Add an event handler to close pages when
	books are deleted.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c: Specify books in use by
	the page.

2003-10-09  David Hampton  <hampton@employees.org>

	* src/engine/FreqSpec.c:
	* src/engine/test/test-freq-spec.c:
	* src/gnome-utils/gnc-dense-cal.c: Use new glib names for several
	functions.

2003-10-07  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/Makefile.am:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/gnome/Makefile.am:
	* src/gnome/gnc-embedded-window.c:
	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-*.c:
	* src/gnome/window-acct-tree.c:
	* src/gnome-utils/gnc-gnome-utils.[ch]:
	* src/gnome-utils/gnc-icons.c:
	* src/import-export/qif-import/Makefile.am:
	* src/import-export/qif-import/gnc-plugin-qif-import.c:
	* src/report/report-gnome/Makefile.am: Collapse code for ui
	filename lookup/loading/error checking.

2003-10-06  David Hampton  <hampton@employees.org>

	* src/register/register-gnome/gnucash-style.c: Fix color bleed
	past end of the register.

	* src/gnome/gnc-split-reg.c: Fix register sizing problems.  Minor
	cleanup of widget packing.

	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/gnc-embedded-window.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/glade/sched-xact.glade: Minor cleanup of widget
	packing.

	* src/scm/path.scm: Update config file names for new version
	number.

2003-09-30  David Hampton  <hampton@employees.org>

	* src/engine/Query.[ch]:
	* src/engine/qofquery.[ch]:
	* src/engine/qofquerycore.[ch]: Add code to extract the date terms
	from a query.

	* src/gnome/Makefile.am:
	* src/gnome/gnc-embedded-window.[ch]: New support for an embedded
	'window'.  This 'window' can only show a single plugin page.
	Perfect for the embedded registers in the scheduled transaction
	dialogs.

	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/glade/register.glade:
	* src/gnome/ui/gnc-main-window-ui.xml:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml: Flesh out the new
	register gui code.

	* src/gnome/dialog-print-check.[ch]:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/top-level.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/glade/sched-xact.glade:
	* src/gnome/ui/Makefile.am:
	* src/gnome/ui/gnc-plugin-page-sxregister-ui.xml:
	* src/gnome/ui/gnc-sxed-to-create-window-ui.xml:
	* src/gnome/ui/gnc-sxed-window-ui.xml: Use the new register gui
	code.

	* src/gnome/gnc-plugin-page.h:
	* src/gnome/gnc-main-window.[ch]: Track all installed pages.
	Don't try to installed a page that is already present.  Just
	select the existing page and raise the appropriate window to the
	top.

	* src/gnome/gnc-plugin-page-account-tree.c: Intelligently
	determine the parent window value.

	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml: Move a menu
	entry.

	* src/gnome-utils/gnc-query-list.c: Fix missing functionality.

	* src/register/register-gnome/gnucash-item-edit.c: Fix a crash.

	* src/gnome/gnc-split-reg.[ch]:
	* src/gnome/window-register.[ch]: Remove some no-longer-used code.

	* src/gnome/gnc-plugin-account-tree.[ch]:
	* src/gnome/gw-gnc-spec.scm:
	* src/scm/main-window.scm: Automatically open the account tree
	page at startup.

2003-09-28  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-account-tree.[ch]:
	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/gnc-plugin-page.[ch]: Derive the GncPluginPage widget
	from a GObject instead of a GInterface.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome-utils/gnc-tree-view-account.[ch]: Double clicking an
	account in the account tree now opens it.  Handle the new gtk2
	'popup-menu' signal.

	* src/register/register-gnome/gnucash-sheet.c: Use the new glib2
	methods to create objects.

2003-09-27  David Hampton  <hampton@employees.org>

	* lib/egg/egg-action-group.[ch]:
	* lib/egg/egg-radio-action.[ch]:
	* src/business/business-gnome/gnc-plugin-business.c:
	* src/gnome/gnc-main-window.[ch]:
	* src/gnome/gnc-plugin-account-tree.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-register.c:
	* src/gnome/window-acct-tree.c:
	* src/import-export/qif-import/gnc-plugin-qif-import.c: Track
	changes to 'actions' in gtk 2.4.

2003-09-21  David Hampton  <hampton@employees.org>

	* lib/egg/egg-menu-merge.c: Back port "smart separators" from the
	gtk 2.4 code.

	* src/gnome-utils/gnc-tree-model-account.[ch]: Check that a new
	account belongs to the account tree being displayed by this
	widget.  It may belong in the scheduled transaction account tree.

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page.[ch]: Add a new variable to the plugin
	pages to hold a pointer to the enclosing window.

2003-09-20  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-scheduledxaction.c: Eliminate run time
	errors. Still need to convert over to new ui to share code with
	the register again.

	* src/gnome/druid-loan.c:
	* src/gnome/glade/sched-xact.glade: Fix up druid for changes in
	GnomeDruid between gnome1 and gnome2.

	* src/gnome-utils/gnc-dense-cal.c: Use deprecated routine to
	prevent this code from crashing.  Still need to be converted to
	use pango routines.

	* src/gnome-utils/gnc-account-sel.c: Don't unregister the event
	handler twice.

	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/gnc-html.c: Work around gcc 3.3.1 brokenness.

2003-09-19  David Hampton  <hampton@employees.org>

	* configure.in:
	* src/gnome-utils/gnc-dir.h.in: Tweak a few directory locations.

	* src/gnc-ui.h:
	* src/business/business-gnome/dialog-*.c:
	* src/gnome/dialog-new-user.c:
	* src/gnome/dialog-print-check.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/gnc-main-window.c:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/top-level.c:
	* src/gnome/window-main.c:
	* src/gnome/window-reconcile.c:
	* src/gnome/window-register.c:
	* src/gnome/glade/Makefile.am:
	* src/gnome-search/dialog-search.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/print-session.c:
	* src/import-export/qif-import/druid-qif-import.c:
	* src/report/report-gnome/window-report.c: Use the gnome2 help
	browser.

	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-gnome-utils.c: Update to use the gnome2
	initialization routine.

	* src/gnome-utils/dialog-utils.[ch]:
	* src/gnome-utils/druid-utils.c:
	* src/gnome-utils/gnc-gnome-utils.[ch]:
	* src/gnome-utils/gnc-splash.c: Migrate functions.  Use the gnome2
	file locate functionality.

	* src/gnome-utils/gnc-icons.c: Collapse common code into a function.  Use
	the gnome2 file locate functionality.

	* src/app-utils/gnc-component-manager.c:
	* src/engine/gnc-event.c: Start ids with the number one.  Allows
	zero to be used to indicate that a id is not set.

	* src/gnome-utils/gnc-tree-view-account.c: Fix reference counting
	on the filter model.

	* src/gnome/gnc-plugin-page-account-tree.c: Destroy account tree
	page when the corresponding session is closed.

2003-09-18  David Hampton  <hampton@employees.org>

	* lots of files: Sync up at the gnome2-merge-3 tag.

2003-09-16  David Hampton  <hampton@employees.org>

	* lib/egg/egg-menu-merge.[ch]: Back port the GTK2.4 UI description
	language.

	* src/business/business-gnome/ui/gnc-plugin-business-ui.xml:
	* src/gnome/ui/gnc-main-window-ui.xml:
	* src/gnome/ui/gnc-plugin-account-tree-ui.xml:
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:
	* src/gnome/ui/gnc-plugin-page-register-ui.xml:
	* src/gnome/ui/gnc-plugin-register-ui.xml:
	* src/import-export/qif-import/gnc-plugin-qif-import-ui.xml:
	Switch to the new UI description language.

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c: Check the error return
	value after calling the menu-merge routines.

2003-09-13  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-main-window.c: Collapse common functions into one.

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/gnc-plugin-page.[ch]: Add new vector for getting the
	window title.  The tab_name vector no loner returns a const
	string.

	* src/gnome/gnc-main-window.c: Always bring a new page to the top
	of the stack.  Remove unused code.

	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.[ch]:
	* src/gnome/gnc-plugin-register.c: Can now open arbitrary account
	registers.

	* src/gnome/gnc-main-window.c: Track all open windows.  If a
	caller tries to open a new page but doesn't specify where, use the
	first window available (which should be the initial window).

	* src/gnome-search/search.glade: Expand the dialog properly.

	* src/gnome/dialog-find-transactions.c:
	* src/gnome/gnc-plugin-page-register.[ch]: Open a new page for
	search results.

2003-09-09  David Hampton  <hampton@employees.org>

	* src/gnome-search/dialog-search.c:
	* src/gnome-search/gnc-general-search.c:
	* src/business/business-gnome/dialog-xxx.c:
	* src/business/business-gnome/glade/xxx.glade:
	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/business/dialog-tax-table/tax-tables.glade: Some
	gnome_dialog to gtk_dialog updates. Move signal information into
	glade.

2003-09-07  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-plugin.c: Make the plugin widget destructor
	function optional.

	* src/business/business-gnome/business-gnome.scm:
	* src/business/business-gnome/businessmod-gnome.c:
	* src/business/business-gnome/gnc-plugin-business.[ch]:
	* src/business/business-gnome/ui/gnc-plugin-business-ui.xml:
	Migrate the main business menu from g1 style to g2 style.

2003-09-06  David Hampton  <hampton@employees.org>

	* lib/egg/eggtreemodelfilter.c: Couple of bug fixes related to
	using a virtual root.

	* configure.in:
	* src/engine/guid.c: Convert from pthreads to glib2 threads.

	* src/gnome-utils/misc-gnome-utils.c: Remove conditional g1/g2
	compilation.

	* src/engine/Group.c:
	* src/engine/gnc-event.[ch]: Add ADD/REMOVE events for updating
	the account tree model.

	* src/gnome-search/search-*.c:
	* src/gnome-search/gnc-general-search.c: Convert from gtk_object
	style object initialization to g_object style initialization.

	* src/gnome-search/dialog-search.c: Convert from a GnomeDialog to
	a GtkDialog.

	* src/gnome/gnc-plugin-page-account-tree.c: Add back menu
	sensitivity bases on whether an account is selected.

	* src/gnome-utils/gnc-tree-model-account.[ch]:
	* src/gnome-utils/gnc-tree-view-account.[ch]: Rework/clean the
	code.  Add features needed by the code that embeds a
	gnc-tree-view-account into a window.  I.E. Filters, pseudo
	top-level account, etc.  Add documentation.

	* src/business/business-gnome/dialog-payment.c:
	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/gnome-search/search-account.c:
	* src/gnome/dialog-tax-info.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/dialog-transfer.c:
	* src/gnome-utils/transfer.glade:
	Convert to the new gtktreeview based account tree code.

	* src/gnome-utils/dialog-transfer.c: Get this working for both the
	case where it is run as a modal dialog (e.g. reconcile) and the
	case where it is thrown up on the screen and forgotten
	(e.g. transfer).

	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-plugin-page.[ch]: Add another function to the
	plugin interface for deleting the ui widget.  Allows the page to
	destroy/release anything it needs to.

	* src/gnome/gnc-plugin-page-register.c:
	* src/gnome/gnc-split-reg.c: Correctly clean up when closing a
	register.

2003-09-01  David Hampton  <hampton@employees.org>

	* configure.in:
	* src/gnome-utils/print-session.[ch]: Tony Watts'
	<tjawatts@totalise.co.uk> fix for compiling with either
	libgnomeprint 2.0 or 2.2.

2003-08-23  David Hampton  <hampton@employees.org>

	* src/scm/main.scm: Set next version number to 2.0.

	* src/app-util/gnc-ui-util.[ch]: Make a couple of functions public.

	* src/business/business-gnome/business-options-gnome.c:
	* src/gnome/window-acct-tree.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome-utils/dialog-options.h:
	* src/gnome-utils/gnome-utils.scm:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/report/report-gnome/dialog-column-view.c:
	* src/report/report-gnome/dialog-style-sheet.c:
	* src/report/report-gnome/window-report.c: Collapse common option
	dialog handling. Tweak args to option dialog creation. Use
	g_signal_connect to set up signal handlers.

	* src/gnome-utils/preferences.glade: New file to create structure of
	an options dialog.

	* src/report/report-gnome/report.glade: Make the stylesheets
	dialog look like a standard gnome2 dialog.

	* src/gnome/druid-stock-split.c:
	* src/gnome/glade/account.glade:
	* src/gnome/glade/stocks.glade:
	* src/gnome-utils/dialog-account.c: Use the new account tree view
	widget.

	* src/gnome-utils/druid-utils.[ch]: Correct the druid colors and
	watermarks for gnome2.

	* src/gnome/gnc-plugin-page-account-tree.c: Make the options
	dialog work. Add more features back.

	* src/gnome-utils/Makefile.am: New gnc-tree-view-account.[ch] files.

	* src/gnome-utils/gnc-tree-model-account.[ch]: Flesh out the model
	to include all the necessary columns.  Make it look like the
	original account tree.

	* src/gnome-utils/gnc-tree-view-account.[ch]: Common view code for
	all users of the gnc-tree-model-account.c file.

2003-08-18  David Hampton  <hampton@employees.org>

	* macros/compiler-flags.m4: Add back detailed compile time checks.
	* various: Fix compile time warnings.

2003-08-15  David Hampton  <hampton@employees.org>

	* src/app-utils/global-options.c: Prevent a crash if there's no
	callback attached to a register.  This case should only occur
	during the g2 transition.

	* src/gnome/gnc-plugin-page-register.c: Add short labels for the
	toolbar actions. Do more register initialization.

	* src/gnome/window-register.c: Need the casts to G_OBJECT. Put
	them back.

	* src/register/register-gnome/gnucash-date-picker.c:
	* src/register/register-gnome/gnucash-grid.c:
	* src/register/register-gnome/gnucash-header.c:
	* src/register/register-gnome/gnucash-item-edit.c:
	* src/register/register-gnome/gnucash-item-list.c:
	* src/register/register-gnome/gnucash-style.c: Fix some run time
	warnings. Tweak the pango layout code so all the register bits are
	visible.

2003-08-10  David Hampton  <hampton@employees.org>

	* lib/egg/egg-action.c: Fix problem connecting toolbar actions and
	switching a proxy between actions.

	* lib/egg/egg-menu-merge.c: Make popup menus work.  Remove some
	debug messages.

	* src/gnc-ui.h:
	* src/gnome/druid-stock-split.[ch]:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/window-acct-tree.c:
	* src/gnome/window-register.c: Pass a parent window pointer to the
	stock druid creation routines.

	* src/gnome/gnc-splash.[ch]:
	* src/gnome-utils/gnc-splash.[ch]: Move this code to the
	gnome-utils directory.

	* src/gnome/gnc-plugin-page-account-tree.c: Fix various problems.

	* src/engine/gnc-commodity.c:
	* src/gnome/dialog-commodities.c:
	* src/gnome/glade/commodities.glade:
	* src/gnome-utils/gnc-tree-model-commodity.c:
	* src/gnome-utils/gnc-tree-model-commodity.h: Enhance the
	commodity selection dialog.  Now does the right thing when
	commodities are added or deleted.

	* src/app-file/gnc-file.c: Tear down the splash screen before
	presenting an error.  Use new gnome2 button order.

	* All dialog-*.c and *.glade files: First pass at converting to
	Gnome 2 HIG for button order.  Convert gnome1 dialogs to gtk2
	dialogs. Set the function to activate the default button the
	gnome2 way (was editable_enters).  Remove some code not needed in
	gnome2 widget setup.

2003-08-08  David Hampton  <hampton@employees.org>

	* lots of files: Sync up at the gnome2-merge-2 tag.

	* acconfig.h:
	* macros/autogen.sh:
	* macros/gnome-guile-checks.m4: Make autoheader stop complaining.

	* all glade files: Run through glade-2 to update syntax and
	formatting.  The conversion tool and glade-2 itself don't produce
	the same output.


2003-07-16  David Hampton  <hampton@employees.org>

	* most every file: Sync up at the gnome2-merge-1 tag.

2003-06-17  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/gw-gnc-spec.scm: return the Totd symbol to its
	  original name

2003-06-14  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add config.rpath.

2003-06-13  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Cleanup build system.
	* Makefile.am:
	* acconfig.h:
	* autogen.sh:
	* configure.in:
	* lib/egg/Makefile.am:
	* src/app-file/Makefile.am:
	* src/app-file/gnome/Makefile.am:
	* src/app-utils/Makefile.am:
	* src/backend/file/Makefile.am:
	* src/business/business-core/file/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/business/business-ledger/Makefile.am:
	* src/business/business-utils/Makefile.am:
	* src/business/dialog-tax-table/Makefile.am:
	* src/engine/Makefile.am:
	* src/gnome-search/Makefile.am:
	* src/gnome-utils/Makefile.am:
	* src/gnome/Makefile.am:
	* src/import-export/Makefile.am:
	* src/import-export/binary-import/Makefile.am:
	* src/import-export/hbci/Makefile.am:
	* src/import-export/ofx/Makefile.am:
	* src/import-export/qif-import/Makefile.am:
	* src/network-utils/Makefile.am:
	* src/optional/swig/Makefile.am:
	* src/register/ledger-core/Makefile.am:
	* src/register/register-core/Makefile.am:
	* src/register/register-gnome/Makefile.am:
	* src/report/report-gnome/Makefile.am:
	* src/gnome/ui/Makefile.am:

	Port register to GNOME 2. Replace GdkFont stuff by PangoLayout.
	Replace gtk_type by g_type, gtk_args by gtk_set/get_property, gtk_signal
	by g_signal.
	* src/register/register-gnome/combocell-gnome.c: (select_item_cb),
	(change_item_cb), (activate_item_cb), (key_press_item_cb),
	(combo_disconnect_signals), (combo_connect_signals),
	(block_list_signals), (unblock_list_signals),
	(gnc_combo_cell_gui_destroy), (gnc_combo_cell_destroy),
	(gnc_append_string_to_list), (gnc_combo_cell_modify_verify),
	(gnc_combo_cell_gui_realize), (gnc_combo_cell_gui_move),
	(popup_set_focus), (popup_get_width), (gnc_combo_cell_enter),
	(gnc_combo_cell_leave):
	* src/register/register-gnome/datecell-gnome.c: (date_picked_cb),
	(key_press_item_cb), (gnc_date_cell_realize), (gnc_date_cell_move),
	(gnc_date_cell_enter), (gnc_date_cell_leave):
	* src/register/register-gnome/gnucash-cursor.c:
	(gnucash_item_cursor_draw):
	* src/register/register-gnome/gnucash-grid.c: (draw_cell),
	(gnucash_grid_init):
	* src/register/register-gnome/gnucash-grid.h:
	* src/register/register-gnome/gnucash-header.c:
	(gnc_header_update), (gnc_header_draw),
	(gnc_header_request_redraw), (gnc_header_realize),
	(gnc_header_unrealize), (gnc_header_finalize),
	(gnc_header_reconfigure), (gnc_header_set_header_rows),
	(gnc_header_point), (pointer_on_resize_line), (find_resize_col),
	(gnc_header_resize_column), (gnc_header_auto_resize_column),
	(gnc_header_event), (gnc_header_get_property),
	(gnc_header_set_property), (gnc_header_init),
	(gnc_header_class_init), (gnc_header_get_type),
	(gnc_header_realized), (gnc_header_new):
	* src/register/register-gnome/gnucash-header.h:
	* src/register/register-gnome/gnucash-item-edit.c:
	(gnc_item_edit_get_pixel_coords), (gnc_item_edit_draw_info),
	(gnc_item_edit_free_draw_info_members), (gnc_item_edit_draw),
	(gnc_item_edit_point), (gnc_item_edit_event),
	(gnc_item_edit_get_toggle_offset), (gnc_item_edit_update),
	(gnc_item_edit_realize), (gnc_item_edit_unrealize),
	(gnc_item_edit_focus_in), (gnc_item_edit_focus_out),
	(gnc_item_edit_reset_offset), (gnc_item_edit_init), (queue_sync),
	(gnc_item_edit_redraw), (entry_changed), (gnc_item_edit_dispose),
	(gnc_item_edit_finalize), (gnc_item_edit_set_cursor_pos),
	(entry_event), (gnc_item_edit_set_editor),
	(gnc_item_edit_configure), (gnc_item_edit_claim_selection),
	(gnc_item_edit_cut_copy_clipboard), (gnc_item_edit_cut_clipboard),
	(gnc_item_edit_copy_clipboard), (gnc_item_edit_paste_clipboard),
	(gnc_item_edit_paste_primary), (gnc_item_edit_show_popup_toggle),
	(gnc_item_edit_hide_popup_toggle), (key_press_popup_cb),
	(gnc_item_edit_popup_toggled), (block_toggle_signals),
	(unblock_toggle_signals), (connect_popup_toggle_signals),
	(disconnect_popup_toggle_signals), (gnc_item_edit_get_property),
	(gnc_item_edit_set_property), (gnc_item_edit_class_init),
	(gnc_item_edit_get_type), (gnc_item_edit_new),
	(gnc_item_edit_new_list), (gnc_item_edit_new_date_picker),
	(gnc_item_edit_show_popup), (gnc_item_edit_hide_popup),
	(gnc_item_edit_set_popup), (gnc_item_edit_set_has_selection),
	(gnc_item_edit_selection_clear), (gnc_item_edit_selection_get),
	(gnc_item_edit_selection_received):
	* src/register/register-gnome/gnucash-item-edit.h:
	* src/register/register-gnome/gnucash-item-list.c:
	(gnc_item_list_clear), (gnc_item_list_append),
	(gnc_item_list_select), (gnc_item_list_show_selected),
	(gnc_item_list_sort), (gnc_item_list_autosize),
	(gnc_item_list_init), (gnc_item_list_button_event),
	(gnc_item_list_key_event), (gnc_item_list_class_init),
	(gnc_item_list_get_type), (tree_view_selection_changed),
	(gnc_item_list_new):
	* src/register/register-gnome/gnucash-item-list.h:
	* src/register/register-gnome/gnucash-scrolled-window.c:
	(gnc_scrolled_window_get_type), (gnc_scrolled_window_new),
	(gnc_scrolled_window_class_init), (gnc_scrolled_window_init):
	* src/register/register-gnome/gnucash-scrolled-window.h:
	* src/register/register-gnome/gnucash-sheet.c:
	(gnucash_sheet_hide_editing_cursor),
	(gnucash_sheet_modify_current_cell), (gnucash_sheet_size_allocate),
	(gnucash_sheet_focus_in_event), (gnucash_sheet_focus_out_event),
	(gnucash_sheet_start_editing_at_cursor), (gnucash_motion_event),
	(gnucash_button_release_event), (gnucash_button_press_event),
	(gnucash_register_cut_clipboard),
	(gnucash_register_copy_clipboard),
	(gnucash_register_paste_clipboard),
	(gnucash_sheet_clipboard_event), (gnucash_sheet_direct_event),
	(gnucash_sheet_key_press_event), (gnucash_sheet_col_max_width),
	(gnucash_sheet_set_scroll_region), (gnucash_sheet_table_load),
	(gnucash_sheet_selection_clear), (gnucash_sheet_selection_get),
	(gnucash_sheet_selection_received), (gnucash_sheet_new),
	(gnucash_register_new):
	* src/register/register-gnome/gnucash-sheet.h:
	* src/register/register-gnome/gnucash-style.c:
	(set_dimensions_pass_one), (set_dimensions_pass_two),
	(gnucash_style_init):
	* src/register/register-gnome/gnucash-style.h:
	* src/register/ledger-core/dialog-dup-trans.c:
	(gnc_dup_trans_dialog_create), (gnc_dup_trans_dialog):
	* src/gnome/glade/register.glade:
	* src/gnome/ui/gnc-main-window-ui.xml:
	* src/gnome/window-register.c: (gnc_register_date_window),
	(regWindowLedger), (gnc_register_setup_menu_widgets),
	(gnc_register_insert_cloned_toolbar_elt):


	Rename GNCTreeModel to GncTreeModel like all the other classes.
	* src/gnome-utils/gnc-tree-model-account.c:
	(gnc_tree_model_account_get_type),
	(gnc_tree_model_account_class_init), (gnc_tree_model_account_init),
	(gnc_tree_model_account_finalize),
	(gnc_tree_model_account_dispose), (gnc_tree_model_account_new),
	(gnc_tree_model_account_set_root),
	(gnc_tree_model_account_get_account),
	(gnc_tree_model_account_set_toplevel),
	(gnc_tree_model_account_get_toplevel),
	(gnc_tree_model_account_get_iter_from_account),
	(gnc_tree_model_account_get_iter),
	(gnc_tree_model_account_get_path),
	(gnc_tree_model_account_get_value),
	(gnc_tree_model_account_iter_next),
	(gnc_tree_model_account_iter_children),
	(gnc_tree_model_account_iter_has_child),
	(gnc_tree_model_account_iter_n_children),
	(gnc_tree_model_account_iter_nth_child),
	(gnc_tree_model_account_iter_parent),
	(gnc_tree_model_account_refresh):
	* src/gnome-utils/gnc-tree-model-account.h:
	* src/gnome-utils/gnc-tree-model-example-account.c:
	(gnc_tree_model_example_account_get_type),
	(gnc_tree_model_example_account_class_init),
	(gnc_tree_model_example_account_init),
	(gnc_tree_model_example_account_finalize),
	(gnc_tree_model_example_account_new),
	(gnc_tree_model_example_account_set_accounts),
	(gnc_tree_model_example_account_get_account),
	(gnc_tree_model_example_account_get_flags),
	(gnc_tree_model_example_account_get_column_type),
	(gnc_tree_model_example_account_get_iter),
	(gnc_tree_model_example_account_get_path),
	(gnc_tree_model_example_account_get_value),
	(gnc_tree_model_example_account_iter_next),
	(gnc_tree_model_example_account_iter_children),
	(gnc_tree_model_example_account_iter_nth_child):
	* src/gnome-utils/gnc-tree-model-example-account.h:
	* src/gnome-utils/dialog-account.c: (gnc_account_window_create),
	(gnc_ui_new_account_window_internal), (gnc_ui_edit_account_window):
	* src/gnome-utils/dialog-transfer.c:
	(gnc_xfer_dialog_show_inc_exp_visible_cb),
	(gnc_xfer_dialog_fill_tree_view), (gnc_xfer_dialog_create),
	(gnc_transfer_dialog_get_selected_account),
	(gnc_transfer_dialog_set_selected_account):
	* src/gnome/druid-hierarchy.c: (update_account_balance),
	(account_types_tree_view_prepare),
	(on_choose_account_types_prepare),
	(account_types_selection_changed), (select_all_clicked),
	(clear_all_clicked), (get_selected_account_list),
	(balance_cell_data_func), (on_final_account_prepare):
	* src/gnome/window-acct-tree.c: (gnc_acct_tree_window_new):

	Port dialogs to GNOME 2. Replace GtkCList by GtkTreeView.
	Replace gtk_type by g_type, gtk_args by gtk_set/get_property, gtk_signal
	by g_signal.
	* src/gnome/dialog-commodities.c:
	(gnc_commodities_dialog_get_selected),
	(gnc_commodities_dialog_response), (edit_clicked),
	(remove_clicked), (add_clicked),
	(gnc_commodities_dialog_selection_changed),
	(show_currencies_toggled), (gnc_commodities_dialog_filter_func),
	(gnc_commodities_dialog_create), (refresh_handler):
	* src/gnome/glade/commodities.glade:
	* src/gnome-utils/gnc-tree-model-commodity.[ch]
	* src/gnome/dialog-fincalc.c: (connect_fincalc_menu_item),
	(close_handler), (gnc_ui_fincalc_dialog_create):
	* src/gnome/dialog-tax-info.c: (gnc_tax_info_set_changed),
	(gnc_tax_info_dialog_get_current_accounts),
	(gnc_tax_info_dialog_account_filter_func), (gui_to_accounts),
	(select_subaccounts_clicked), (gnc_tax_info_dialog_response),
	(tax_info_show_income_accounts), (gnc_tax_info_update_accounts),
	(gnc_tax_info_income_cb), (gnc_tax_info_dialog_create),
	(close_handler), (refresh_handler), (gnc_tax_info_dialog):
	* src/gnome/glade/tax.glade:

	Add window type to the ui plugin system and update plugins.
	Add icon to the about dialog
	* src/gnome/gnc-main-window.c: (gnc_main_window_open_page),
	(gnc_main_window_close_page), (gnc_main_window_class_init),
	(gnc_main_window_add_plugin), (gnc_main_window_switch_page),
	(gnc_main_window_change_current_page),
	(gnc_main_window_plugin_added), (gnc_main_window_plugin_removed),
	(gnc_main_window_cmd_file_open_new_window),
	(gnc_main_window_cmd_help_about):
	* src/gnome/gnc-plugin-account-tree.c:
	(gnc_plugin_account_tree_add_to_window),
	(gnc_plugin_account_tree_remove_from_window):
	* src/gnome/gnc-plugin-page-account-tree.c:
	(gnc_plugin_page_account_tree_create_widget),
	(gnc_plugin_page_account_tree_unmerge_actions),
	(gnc_plugin_page_account_tree_get_icon):
	* src/gnome/gnc-plugin-page.c: (gnc_plugin_page_get_icon),
	(gnc_plugin_page_get_plugin_name), (gnc_plugin_page_get_uri),
	(gnc_plugin_page_inserted), (gnc_plugin_page_removed),
	(gnc_plugin_page_selected), (gnc_plugin_page_unselected):
	* src/gnome/gnc-plugin-page.h:
	* src/gnome/gnc-plugin.c: (gnc_plugin_add_to_window),
	(gnc_plugin_remove_from_window):
	* src/gnome/gnc-plugin.h:
	* src/import-export/qif-import/gnc-plugin-qif-import.c:
	(gnc_plugin_qif_import_add_to_window),
	(gnc_plugin_qif_import_remove_from_window):

	Fix window type of splash screen. Add support for startup-notification.
	* src/gnome/gnc-splash.c: (gnc_show_splash_screen):
	* src/gnome/gnucash.desktop.in:
	* src/gnome/top-level.c: (gnc_gui_init),
	(gnc_configure_file_be_compression):

2003-06-11  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Add Jimmac's icons (http://jimmac.musichall.cz/i.php3?ikony=69).
	* src/pixmaps/Makefile.am:
	* src/pixmaps/account-16.png
	* src/pixmaps/account.png
	* src/pixmaps/appicon.png
	* src/pixmaps/delete-account-16.png
	* src/pixmaps/delete-account.png
	* src/pixmaps/edit-account-16.png
	* src/pixmaps/edit-account.png
	* src/pixmaps/open-account-16.png
	* src/pixmaps/open-account.png

2003-05-30  Jan Arne Petersen  <jpetersen@uni-bonn.de>

        Move egg to lib.
	* configure.in:
	* lib/Makefile.am:
        * lib/egg
	* src/gnome-utils/Makefile.am:
	* src/import-export/qif-import/Makefile.am:

	* src/gnome-utils/gnc-dense-cal.c: Fix some Gtk 2 incompatibilty problems.
        (gnc_dense_cal_class_init), (gnc_dense_cal_init):

	Create a new tip of the day dialog.
	* src/gnome/Makefile.am:
	* src/gnome/gnc-totd-dialog.[ch]:
	* src/gnome/glade/Makefile.am:
	* src/gnome/glade/totd.glade:
	* src/gnome/gw-gnc-spec.scm:
	* src/gnome/window-main.c: (gnc_main_window_totd_cb):
	* src/scm/tip-of-the-day.scm:

	Replace GnomeDialog by GtkDialog.
	* src/gnome/dialog-price-edit-db.c: (prices_response),
	(remove_old_clicked), (gnc_prices_dialog_create), (close_handler):

	Fix a bug (multiple tabs) in the main window.
	* src/gnome/gnc-main-window.c: (gnc_main_window_close_page),
	(gnc_main_window_setup_window), (gnc_main_window_switch_page),
	(gnc_main_window_cmd_help_totd):

2003-05-27  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* configure.in: Requires gtk+-2.0 >= 2.2 and libgnomeui-2.0 >= 2.2

	Replace gtk_signal_connect by g_signal_connect and GnomeDialog by
	GtkDialog
	* src/gnome/dialog-price-editor.c: (pedit_dialog_response),
	(connect_type_menu_item), (gnc_price_pedit_dialog_create),
	(close_handler):
	* src/gnome/glade/price.glade:

2003-05-26  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Use different actions for different windows so that it is very easy
	to use more than one main window. This fixes some 'Hacks' in the previous
	plugin implementation and provides more features for the plugins.
	The plugins are fixed and 'open in a new window' is implemented.
	* src/gnome/gnc-main-window.c: (gnc_main_window_open_page),
	(gnc_main_window_merge_actions), (gnc_main_window_unmerge_actions),
	(gnc_main_window_get_action_group), (gnc_main_window_init),
	(gnc_main_window_finalize), (gnc_main_window_add_plugin),
	(gnc_main_window_plugin_added), (gnc_main_window_plugin_removed),
	(gnc_main_window_cmd_file_open_new_window):
	* src/gnome/gnc-main-window.h:
	* src/gnome/gnc-plugin-manager.c: (gnc_plugin_manager_add_plugin),
	(gnc_plugin_manager_remove_plugin),
	(gnc_plugin_manager_get_plugin), (gnc_plugin_manager_init),
	(gnc_plugin_manager_finalize):
	* src/gnome/gnc-plugin-manager.h:
	* src/gnome/gnc-plugin.c: (gnc_plugin_add_to_window),
	(gnc_plugin_remove_from_window):
	* src/gnome/gnc-plugin.h:
	* src/gnome/gnc-plugin-account-tree.c:
	(gnc_plugin_account_tree_new), (gnc_plugin_account_tree_init),
	(gnc_plugin_account_tree_plugin_init),
	(gnc_plugin_account_tree_add_to_window),
	(gnc_plugin_account_tree_remove_from_window),
	(gnc_plugin_account_tree_create_page),
	(gnc_plugin_account_tree_cmd_new_account_tree):
	* src/gnome/gnc-plugin-account-tree.h:
	* src/gnome/top-level.c: (gnc_gui_init):
	* src/import-export/qif-import/gnc-plugin-qif-import.c:
	(gnc_plugin_qif_import_get_type), (gnc_plugin_qif_import_new),
	(gnc_plugin_qif_import_plugin_init),
	(gnc_plugin_qif_import_add_to_window),
	(gnc_plugin_qif_import_remove_from_window),
	(gnc_plugin_qif_import_cmd_new_qif_import):
	* src/import-export/qif-import/gnc-plugin-qif-import.h:

2003-05-26  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Move the plugin handling from the main window into the
	new plugin manager.
	* src/gnome/Makefile.am:
	* src/gnome/gnc-plugin-manager.[ch]:
	* src/gnome/gnc-main-window.c: (gnc_main_window_add_plugin),
	(gnc_main_window_setup_window),
	(gnc_main_window_change_current_page),
	(gnc_main_window_plugin_added), (gnc_main_window_plugin_removed):
	* src/gnome/gnc-main-window.h:
	* src/gnome/top-level.c: (gnc_gui_init):

	Add scrub commands to the account tree page and implement
	most of the commands.
	* src/gnome/gnc-plugin-page-account-tree.c:
	(gnc_plugin_page_account_tree_cmd_open_account),
	(gnc_plugin_page_account_tree_cmd_open_subaccounts),
	(delete_account_helper),
	(gnc_plugin_page_account_tree_cmd_delete_account),
	(gnc_plugin_page_account_tree_cmd_view_options),
	(gnc_plugin_page_account_tree_cmd_reconcile),
	(gnc_plugin_page_account_tree_cmd_transfer),
	(gnc_plugin_page_account_tree_cmd_stock_split),
	(gnc_plugin_page_account_tree_cmd_scrub),
	(gnc_plugin_page_account_tree_cmd_scrub_sub),
	(gnc_plugin_page_account_tree_cmd_scrub_all):
	* src/gnome/ui/gnc-plugin-page-account-tree-ui.xml:

	Use the new ui plugin system for the QIF import druid.
	* src/import-export/qif-import/Makefile.am:
	* src/import-export/qif-import/druid-qif-import.c:
	(gnc_ui_qif_import_create_plugin):
	* src/import-export/qif-import/druid-qif-import.h:
	* src/import-export/qif-import/gncmod-qif-import.c:
	(libgncmod_qif_import_LTX_gnc_module_init):
	* src/import-export/qif-import/gnc-plugin-qif-import.[ch]:
	* src/import-export/qif-import/gnc-plugin-qif-import-ui.xml:

2003-05-25  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Add some libegg files to the repository.
	* configure.in:
	* src/gnome-utils/egg:

	Start to create a replacement for gnome-mdi.
	* src/gnome/gnc-main-window.c:
	* src/gnome/gnc-main-window.h:
	* src/gnome/gnc-plugin-page.c:
	* src/gnome/gnc-plugin-page.h:
	* src/gnome/gnc-plugin.c:
	* src/gnome/gnc-plugin.h:
	* src/gnome/ui
	* src/gnome/Makefile.am:
	* src/gnome/mainwindow-account-tree.c: (select_account_callback):
	* src/gnome/top-level.c: (gnc_gui_init):
	* src/gnome/window-acct-tree.c:
	(gnc_acct_tree_window_set_sensitives),
	(gnc_acct_tree_window_add_sensitive),
	(gnc_acct_tree_window_find_popup_item),
	(gnc_acct_tree_view_labeler), (gnc_acct_tree_view_destroy),
	(gnc_acct_tree_view_refresh), (gnc_acct_tree_view_new),
	(gnc_acct_tree_window_create_child),
	(gnc_main_window_open_accounts),
	(gnc_acct_tree_window_toolbar_open_cb),
	(gnc_acct_tree_window_toolbar_edit_cb),
	(gnc_acct_tree_window_toolbar_add_account_cb),
	(delete_account_helper), (gnc_acct_tree_window_delete_common),
	(gnc_acct_tree_window_toolbar_delete_account_cb),
	(gnc_acct_tree_find_account_from_gncmdi),
	(gnc_acct_tree_window_menu_open_subs_cb),
	(gnc_acct_tree_window_menu_edit_cb),
	(gnc_acct_tree_window_menu_reconcile_cb),
	(gnc_acct_tree_window_menu_transfer_cb),
	(gnc_acct_tree_window_menu_stock_split_cb),
	(gnc_acct_tree_window_menu_add_account_cb),
	(gnc_acct_tree_window_menu_delete_account_cb),
	(gnc_acct_tree_window_menu_scrub_cb),
	(gnc_acct_tree_window_menu_scrub_sub_cb),
	(gnc_acct_tree_window_menu_scrub_all_cb),
	(gnc_acct_tree_window_menu_open_cb),
	(gnc_acct_tree_window_activate_cb),
	(gnc_acct_tree_window_configure), (gnc_euro_change),
	(gnc_acct_tree_window_create_toolbar),
	(gnc_acct_tree_window_create_menu),
	(gnc_acct_tree_window_select_cb),
	(gnc_acct_tree_window_get_current_account),
	(gnc_acct_tree_window_options_new), (gnc_acct_tree_window_destroy),
	(gnc_acct_tree_button_press_cb), (gnc_acct_tree_window_new),
	(gnc_acct_tree_window_get_widget),
	(gnc_acct_tree_window_get_options), (gnc_acct_tree_window_get_id),
	(gnc_options_dialog_apply_cb), (gnc_options_dialog_help_cb),
	(gnc_options_dialog_close_cb),
	(gnc_acct_tree_window_toolbar_options_cb),
	(gnc_acct_tree_tweak_menu),
	(gnc_acct_tree_window_cmd_open_account),
	(gnc_acct_tree_window_cmd_open_subaccounts),
	(gnc_acct_tree_window_cmd_edit_account),
	(gnc_acct_tree_window_cmd_reconcile),
	(gnc_acct_tree_window_cmd_transfer),
	(gnc_acct_tree_window_cmd_stock_split),
	(gnc_acct_tree_window_cmd_new_account),
	(gnc_acct_tree_window_cmd_delete_account),
	(gnc_acct_tree_window_cmd_view_options):
	* src/gnome/window-main.c:
	* src/gnome/window-main.h:
	* src/scm/main-window.scm:

	Start to convert the acct-tree into a new gnucash plugin.
	* src/gnome/gnc-plugin-account-tree.c:
	* src/gnome/gnc-plugin-account-tree.h:
	* src/gnome/gnc-plugin-page-account-tree.c:
	* src/gnome/gnc-plugin-page-account-tree.h:

	Add a GtkTreeModel for TreeModelAccountTypes.
	* src/gnome-utils/gnc-tree-model-account-types.c
	* src/gnome-utils/gnc-tree-model-account-types.h

	* src/gnome-utils/Makefile.am: Add new files to the Makefile.

	* src/gnome-utils/dialog-account.c: Some small account dialog fixes.
	(gnc_account_window_create),
	(gnc_ui_new_account_window_internal), (gnc_ui_edit_account_window):

	Fix the commodity dialog. (Replace GnomeDialog by GtkDialog,
	GtkSignal by GSignal, etc).
	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/dialog-commodity.c: (select_modal_callback),
	(gnc_ui_commodity_set_help_callback),
	(gnc_ui_select_commodity_modal_full),
	(gnc_ui_select_commodity_modal), (select_commodity_close),
	(gnc_ui_select_commodity_create), (g_strcmp),
	(gnc_ui_update_commodity_picker),
	(gnc_ui_select_commodity_destroy),
	(gnc_ui_select_commodity_response_cb),
	(gnc_ui_select_commodity_namespace_changed_cb),
	(gnc_ui_update_namespace_picker), (gnc_ui_namespace_picker_ns),
	(commodity_close), (gnc_ui_new_commodity_create),
	(gnc_ui_edit_commodity_create), (new_modal_callback),
	(gnc_ui_new_commodity_modal_full), (gnc_ui_new_commodity_modal),
	(gnc_ui_edit_commodity_modal), (gnc_ui_commodity_destroy),
	(gnc_ui_commodity_ok_cb), (gnc_ui_commodity_help_cb),
	(gnc_ui_commodity_cancel_cb):
	* src/gnome-utils/dialog-commodity.h:

	Fix the transfer dialog. (Replace GnomeDialog by GtkDialog,
	GtkSignal by GSignal, GncAccountTree by GtkTreeModel etc).
	* src/gnome-utils/dialog-transfer.c:
	(gnc_xfer_dialog_update_price), (gnc_xfer_dialog_toggle_cb),
	(gnc_xfer_dialog_set_price_auto),
	(gnc_xfer_dialog_curr_acct_activate),
	(price_amount_radio_toggled_cb),
	(gnc_xfer_dialog_reload_quickfill),
	(gnc_xfer_dialog_from_tree_selection_changed_cb),
	(gnc_xfer_dialog_to_tree_selection_changed_cb),
	(gnc_xfer_dialog_show_inc_exp_visible_cb),
	(gnc_xfer_dialog_fill_tree_view), (gnc_parse_error_dialog),
	(gnc_xfer_dialog_quickfill), (gnc_xfer_description_insert_cb),
	(common_post_quickfill_handler),
	(gnc_xfer_description_key_press_cb),
	(gnc_xfer_description_button_release_cb),
	(gnc_xfer_dialog_update_conv_info), (gnc_xfer_amount_update_cb),
	(gnc_xfer_update_to_amount), (gnc_xfer_price_update_cb),
	(gnc_xfer_date_changed_cb), (gnc_xfer_to_amount_update_cb),
	(gnc_xfer_dialog_select_from_account),
	(gnc_xfer_dialog_select_to_account),
	(gnc_xfer_dialog_select_from_currency),
	(gnc_xfer_dialog_select_to_currency),
	(gnc_xfer_dialog_lock_account_tree),
	(gnc_xfer_dialog_lock_from_account_tree),
	(gnc_xfer_dialog_lock_to_account_tree),
	(gnc_xfer_dialog_hide_from_account_tree),
	(gnc_xfer_dialog_hide_to_account_tree),
	(gnc_xfer_dialog_is_exchange_dialog), (gnc_xfer_dialog_set_amount),
	(gnc_xfer_dialog_set_description), (gnc_xfer_dialog_set_memo),
	(gnc_xfer_dialog_set_num), (gnc_xfer_dialog_set_date),
	(gnc_xfer_dialog_set_exchange_rate), (gnc_xfer_dialog_response_cb),
	(gnc_xfer_dialog_close_cb), (gnc_xfer_dialog_create),
	(close_handler), (gnc_xfer_dialog), (gnc_xfer_dialog_close),
	(gnc_xfer_dialog_set_title),
	(gnc_xfer_dialog_set_information_frame_label),
	(gnc_xfer_dialog_set_account_frame_label),
	(gnc_xfer_dialog_set_from_account_frame_label),
	(gnc_xfer_dialog_set_to_account_frame_label),
	(gnc_xfer_dialog_set_from_show_button_active),
	(gnc_xfer_dialog_set_to_show_button_active),
	(gnc_xfer_dialog_add_user_specified_button),
	(gnc_xfer_dialog_toggle_currency_frame), (find_xfer),
	(gnc_xfer_dialog_run_until_done),
	(gnc_xfer_dialog_quickfill_to_account),
	(gnc_transfer_dialog_get_selected_account),
	(gnc_transfer_dialog_set_selected_account):
	* src/gnome-utils/dialog-transfer.h:
	* src/gnome-utils/transfer.glade:

	Fix GncDateEdit. (Replace GtkSignal by GSignal and backport
	some GnomeDateEdit fixes)
	* src/gnome-utils/gnc-date-edit.c: (day_selected),
	(key_press_popup), (position_popup), (set_time), (fill_time_popup),
	(gnc_date_edit_class_init), (gnc_date_edit_destroy),
	(date_accel_key_press), (create_children):
	* src/gnome-utils/gnc-date-edit.h:

2003-05-25  Christian Stimming  <stimming@tuhh.de>

	* src/gnome-utils/gnc-tree-model-example-account.c,
	src/backend/file/sixtp-dom-parsers.c,
	src/backend/file/sixtp-utils.c,
	src/backend/file/test/test-dom-converters1.c,
	src/backend/file/test/test-string-converters.c,
	src/calculation/fin.c, src/engine/GNCId.c src/engine/QueryCore.c,
	src/engine/gnc-engine-util.c src/engine/guid.c,
	src/engine/test/test-commodities.c, src/network-utils/gnc-gpg.c:
	Fix signed/unsigned comparison warnings in gcc3.3.

2003-05-22  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* src/gnome-utils/dialog-account.c:
	Fix 'Notes' TextView.
	Fix selection of parent/base accounts.
	(gnc_account_to_ui),
	(gnc_ui_to_account), (gnc_account_window_create),
	(gnc_ui_new_account_window_internal), (gnc_ui_edit_account_window):
	* src/gnome-utils/gnc-tree-model-account.c:
	Fix virtual toplevel-account.
	Add notification for account changes.
	(gnc_tree_model_account_class_init), (gnc_tree_model_account_init),
	(gnc_tree_model_account_dispose), (gnc_tree_model_account_new),
	(gnc_tree_model_account_set_toplevel),
	(gnc_tree_model_account_get_iter),
	(gnc_tree_model_account_iter_next),
	(gnc_tree_model_account_iter_n_children),
	(gnc_tree_model_account_iter_nth_child),
	(gnc_tree_model_account_iter_parent), (account_row_inserted),
	(gnc_tree_model_account_refresh_handler),
	(gnc_tree_model_account_refresh):
	* src/gnome/druid-hierarchy.c:
	Disable test example accounts.
	(account_types_tree_view_prepare):

2003-05-20  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* src/gnome-utils/Makefile.am:
	Add src/file/backend to the INCLUDE dirs.

	* src/gnome-utils/dialog-account.c:
	Replace GncAccountTree by GtkTreeView and GNCTreeModelAccount.
	Replace gtk_signal_connect by g_signal_connect.
	Replace GncDateEdit by GnomeDateEdit (probably a temporary fix).
	Replace GnomeDialog by GtkDialog

	(gnc_ui_to_account),
	(gnc_finish_ok), (extra_change_verify), (gnc_edit_account_ok),
	(gnc_new_account_ok), (gnc_account_window_response_cb),
	(gnc_account_type_list_create), (gnc_account_window_create),
	(get_ui_fullname), (close_handler),
	(gnc_ui_new_account_window_internal),
	(gnc_ui_new_accounts_from_name_with_defaults),
	(gnc_ui_edit_account_window), (gnc_ui_refresh_account_window):

	Add support for a virtual toplevel account into the account
	tree model.
	* src/gnome-utils/gnc-tree-model-account.c:
	(gnc_tree_model_account_init), (gnc_tree_model_account_set_root),
	(gnc_tree_model_account_set_toplevel),
	(gnc_tree_model_account_get_toplevel),
	(gnc_tree_model_account_get_iter_from_account),
	(gnc_tree_model_account_get_iter),
	(gnc_tree_model_account_get_path),
	(gnc_tree_model_account_iter_next),
	(gnc_tree_model_account_iter_children),
	(gnc_tree_model_account_iter_has_child),
	(gnc_tree_model_account_iter_n_children),
	(gnc_tree_model_account_iter_nth_child),
	(gnc_tree_model_account_iter_parent), (account_row_inserted):
	* src/gnome-utils/gnc-tree-model-account.h:

	Remove '#if 0' from druid-hierarchy.c and
	update the account glade file (replace GtkCList/Tree by GtkTreeView)
	* src/gnome/druid-hierarchy.c:
	* src/gnome/glade/account.glade:


2003-05-19 TomF changes for gnucash-gnome2-dev, 18th batch
	* src/gnome/dialog-tax-info.c:
	  Replace broken gtk_text_set_word_wrap (GTK_TEXT (text), TRUE);
	  by gtk_text_view_set_wrap_mode(GTK_TEXT_VIEW(text), GTK_WRAP_WORD);

	  Changes made by Jan Arne Petersen  <jpetersen@uni-bonn.de>:
	* src/gnome/druid-hierarchy.c:
	  include "gnc-tree-model-account.h", "gnc-tree-model-example-account.h"
	  Replace deprecated GTK_TREE by GTK_TREE_VIEW; Clear by using
          gtk_tree_store_clear(GTK_TREE_STORE(gtk_tree_view_get_model()));

	  Replace GTK_SIGNAL_FUNC by G_CALLBACK
	  gtk_object_set_data by g_object_set_data
	  Replace gtk_signal_connect by g_signal_connect
	  Rewrite on_final_account_tree_placeholder_toggled to use:
	  Replace gtk_signal_handler_block_by_func
	  by g_signal_handlers_block_by_func,
 	  gtk_signal_handler_unblock_by_func by
	  g_signal_handlers_unblock_by_func,
	  Replace update_account_balance (GtkCTree *ctree, GtkCTreeNode *node)
	  by update_account_balance (GNCTreeModelAccount *model,
		 GtkTreeIter *iter).  In update_account_balance:
	  Replace gtk_ctree_node_get_row_data
	  by gnc_tree_model_account_get_account,
	  gnc_amount_edit_get_amount, xaccAccountGetPlaceholder,
	  gnc_numeric_zero_p

	  Replace gtk_ctree_node_set_text by
	  gtk_tree_model_get_path, gtk_tree_model_row_changed,
	  gtk_tree_path_free (path);

	  Use: GtkTreeView, GtkTreeSelection, GtkTreeModel, GtkTreeIter
 	  GTK_TREE_VIEW (hierarchy_get_widget ()), gtk_tree_view_get_selection,
	  gtk_ctree_node_nth (ctree, GTK_CLIST()),
	  gtk_tree_selection_get_selected, update_account_balance,
	  GNC_TREE_MODEL_ACCOUNT, g_object_set_data, G_OBJECT,
	  GSList, get_example_account_list, GncExampleAccount, Account,
	  g_new0, gnc_get_current_book, xaccMallocAccountGroup

	  Rewrite account_types_tree_view_prepare,
	  on_choose_account_types_prepare,
	  account_types_selection_changed, select_all_clicked,
	  clear_all_clicked, get_selected_account_list,
	  balance_cell_data_func, on_final_account_tree_placeholder_toggled,
	  on_final_account_tree_selection_changed

	  Commented out: struct FinalInsertData_struct,
	  generate_account_titles, free_account_titles,
	  add_to_ctree_final_account, insert_final_accounts

	  Rewrite on_final_account_prepare to use:
	  GtkTreeView, GNCTreeModelAccount, GtkTreeSelection, GtkCellRenderer,
	  GtkTreeViewColumn, g_object_get_data, gnc_tree_model_account_new,
	  gtk_tree_view_set_model (tree_view, GTK_TREE_MODEL (model));
	  g_object_unref, gtk_tree_view_get_selection,
	  gtk_tree_selection_set_mode, g_signal_connect, G_CALLBACK,
	  gtk_cell_renderer_text_new, gtk_tree_view_column_new_with_attributes,
	  gtk_tree_view_append_column, gtk_tree_view_column_new_with_attributes,
	  gtk_cell_renderer_toggle_new, g_object_set,
	  gtk_tree_view_column_set_cell_data_func, g_object_set_data,
	  GNC_TREE_MODEL_ACCOUNT, gtk_tree_view_get_model,
	  gnc_suspend_gui_refresh, gnc_tree_model_account_set_root,
	  delete_our_final_group, get_selected_account_list,
	  hierarchy_merge_groups, gnc_tree_model_account_set_root,
	  gtk_tree_view_expand_all

	  Rewrite on_final_account_tree_selection_changed to use:
	  GtkTreeModel, GtkTreeIter, gboolean, Account, GNCAmountEdit,
	  GNCPrintAmountInfo, gnc_numeric, GtkWidget,
	  gtk_tree_selection_get_selected, get_balance_editor,
	  gnc_amount_edit_gtk_entry, gtk_entry_set_text,
	  gtk_widget_set_sensitive, gnc_tree_model_account_get_account,
	  get_final_balance, gnc_reverse_balance, gnc_numeric_neg,
	  gnc_account_print_info, gnc_amount_edit_set_print_info,
	  gnc_amount_edit_set_fraction , block_amount_changed,
	  gnc_amount_edit_set_amount (balance_edit, balance),
	  gnc_numeric_zero_p, unblock_amount_changed


2003-05-19  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Fix some nome-mdi problems:
	* src/gnome-utils/gnc-mdi-utils.c: (gnc_mdi_child_changed_cb),
	(gnc_mdi_new), (gnc_app_set_title):
	* src/gnome/window-acct-tree.c: (gnc_acct_tree_view_labeler),
	(gnc_acct_tree_view_new), (gnc_main_window_open_accounts),
	(gnc_acct_tree_find_account_from_gncmdi),
	(gnc_acct_tree_window_new):
	* src/gnome/window-main.c: (gnc_main_window_get_mdi_child),
	(gnc_main_window_add_child_cb), (gnc_main_window_add_view_cb),
	(gnc_main_window_new), (gnc_main_window_dispatch_cb),
	(gnc_main_window_file_close_cb):

	Replace some gtk_signal and gtk_type methods by g_signal and g_type
	methods:
	* src/gnome-utils/gnc-amount-edit.c: (gnc_amount_edit_class_init),
	(gnc_amount_edit_init), (gnc_amount_edit_changed),
	(gnc_amount_edit_new):
	* src/gnome/dialog-commodities.c: (response_cb),
	(gnc_commodities_dialog_create), (close_handler):
	* src/gnome/dialog-new-user.c: (gnc_ui_new_user_dialog):
	* src/gnome/glade/commodities.glade:

	Add GtkTreeModel for Accounts and ExampleAccounts:
	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/gnc-tree-model-account.c
	* src/gnome-utils/gnc-tree-model-account.h
	* src/gnome-utils/gnc-tree-model-example-account.c
	* src/gnome-utils/gnc-tree-model-example-account.h

2003-05-18  Derek Atkins  <derek@ihtfp.com>

	* macros/autogen.sh: comment out intltoolize and libtoolize again

2003-05-17  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* configure.in: Add Makefile.in to AC_OUTPUT targets.
	* macros/autogen.sh: Add a AM_GLIB_GNU_GETTEXT section to generate a po/Makefile.in.in file.

2003-05-16  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* configure.in: Add gnucash.desktop, and gnucash.keys to the AC_OUTPUT targets.

	In the following:
	- Replace gtk_signal by g_signal
	- Replace GNOME_DOCK by BONOBO_DOCK
	- Fix wrong gtk_toolbar_new calls
	- Replace some GTK_OBJECTs by G_OBJECTs
	- Remove useless GOBJECT_DESTROYED calls
	- Fix some GType declarations.
	* src/business/business-gnome/business-gnome-utils.c:
	(gnc_fill_account_select_combo), (add_menu_item),
	(make_generic_optionmenu):
	* src/business/business-gnome/dialog-billterms.c: (make_menu),
	(new_billterm_dialog), (gnc_ui_billterms_window_new):
	* src/business/business-gnome/dialog-date-close.c:
	(gnc_dialog_dates_acct_parented):
	* src/business/business-gnome/dialog-invoice.c:
	(gnc_invoice_window_create_popup_menu),
	(gnc_invoice_update_job_choice), (gnc_invoice_update_proj_job),
	(gnc_invoice_update_window), (gnc_invoice_new_window),
	(gnc_invoice_window_new_invoice):
	* src/business/business-gnome/dialog-payment.c:
	(new_payment_window):
	* src/business/business-gnome/dialog-vendor.c:
	(gnc_vendor_name_changed_cb):

	In the following:
	Convert the glade files to Glade 2.0 (with libglade-convert)
	* src/business/business-gnome/glade/billterms.glade:
	* src/business/business-gnome/glade/customer.glade:
	* src/business/business-gnome/glade/date-close.glade:
	* src/business/business-gnome/glade/employee.glade:
	* src/business/business-gnome/glade/invoice.glade:
	* src/business/business-gnome/glade/job.glade:
	* src/business/business-gnome/glade/order.glade:
	* src/business/business-gnome/glade/payment.glade:
	* src/business/business-gnome/glade/vendor.glade:
	* src/business/dialog-tax-table/tax-tables.glade:
	* src/business/business-gnome/search-owner.c:
	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/exchange-dialog.glade:
	* src/gnome-utils/transfer.glade:
	* src/gnome/glade/commodities.glade:
	* src/gnome/glade/fincalc.glade:
	* src/gnome/glade/help.glade:
	* src/gnome/glade/newuser.glade:
	* src/gnome/glade/price.glade:
	* src/gnome/glade/print.glade:
	* src/gnome/glade/progress.glade:
	* src/gnome/glade/register.glade:
	* src/gnome/glade/stocks.glade:
	* src/gnome/glade/tax.glade:
	* src/gnome/glade/userpass.glade:
	* src/import-export/binary-import/binary-import.glade:
	* src/import-export/generic-import.glade:
	* src/import-export/hbci/glade/hbci.glade:
	* src/import-export/hbci/glade/hbcipass.glade:
	* src/import-export/ofx/ofx.glade:
	* src/import-export/qif-import/qif.glade:
	* src/report/report-gnome/report.glade:

	In the following:
	- Replace gtk_signal by g_signal
	- Replace GNOME_DOCK by BONOBO_DOCK
	- Fix wrong gtk_toolbar_new calls
	- Replace some GTK_OBJECTs by G_OBJECTs
	- Remove useless GOBJECT_DESTROYED calls
	- Fix some GType declarations.
	(gnc_search_owner_get_type), (gnc_search_owner_class_init),
	(gnc_search_owner_finalize), (set_owner_widget),
	(type_option_changed), (add_type_menu_item), (make_type_menu),
	(how_option_changed), (add_how_menu_item), (make_how_menu):
	* src/business/dialog-tax-table/dialog-tax-table.c:
	(add_menu_item), (make_menu), (new_tax_table_dialog),
	(gnc_ui_tax_table_window_new):
	* src/gnome-utils/dialog-options.c: (gnc_options_register_stocks):
	* src/gnome-utils/dialog-utils.c:
	(gnc_glade_autoconnect_full_func):
	* src/gnome/dialog-new-user.c: (gnc_ui_new_user_dialog),
	(gnc_ui_new_user_cancel_dialog):
	* src/gnome/reconcile-list.c: (gnc_reconcile_list_get_type),
	(gnc_reconcile_list_new), (gnc_reconcile_list_init),
	(gnc_reconcile_list_class_init), (gnc_reconcile_list_toggle_row),
	(gnc_reconcile_list_toggle), (gnc_reconcile_list_select_row),
	(gnc_reconcile_list_unselect_row), (gnc_reconcile_list_finalize),
	(gnc_reconcile_list_get_needed_height),
	(gnc_reconcile_list_get_num_splits),
	(gnc_reconcile_list_get_current_split),
	(gnc_reconcile_list_refresh),
	(gnc_reconcile_list_reconciled_balance),
	(gnc_reconcile_list_commit), (gnc_reconcile_list_postpone),
	(gnc_reconcile_list_unselect_all), (gnc_reconcile_list_changed),
	(gnc_reconcile_list_set_sort_order):
	* src/gnome/reconcile-list.h:
	* src/gnome/window-reconcile.c: (gnc_recn_create_menu_bar),
	(gnc_recn_create_tool_bar), (recnWindowWithBalance):
	* src/gnome/window-register.c: (gnc_register_setup_menu_widgets),
	(gnc_register_set_read_only):
	* src/import-export/binary-import/druid-commodity.c:
	(make_commodity_druid_page):
	* src/import-export/import-main-matcher.c:
	(gnc_gen_trans_list_new):
	* src/import-export/import-match-picker.c: (init_match_picker_gui):
	* src/import-export/qif-import/druid-qif-import.c:
	(gnc_ui_qif_import_loaded_files_prepare_cb),
	(gnc_ui_qif_import_load_another_cb),
	(gnc_ui_qif_import_default_acct_back_cb), (make_qif_druid_page):

2003-05-15  Jan Arne Petersen  <jpetersen@uni-bonn.de>
	* TODO: Remove 15 th batch task
	* configure.in: Add pkgconfig checks for libgnomeprintui, gal and setenv, putenv checks
	* src/app-file/gnome/gnc-file-history.c: (gnc_history_update_menu):
	* src/backend/file/sixtp.c: (sixtp_sax_get_entity_handler): replace CHAR with xmlChar
	* src/backend/file/sixtp.h: replace CHAR with xmlChar
	* src/gnome-search/Makefile.am: add GNOME_PRINT_CFLAGS and GNOME_PRINT_LIBS

	In the following:
	- Fix wrong gtk_signal_new, gtk_signal_connect method-calls
	- Replace GNOME_DOCK with BONOBO_DOCK
	- Fix wrong gtk_toolbar_new calls
	- Replace gtkhtml-1.0 with gtk-html 2.0
	- Replace some GTK_OBJECTs with G_OBJECTs
	- Remove useless GOBJECT_DESTROYED calls
	- Fix some GType declarations.
	- Convert some *.glade files to glade 2.0.
	* src/gnome-search/dialog-search.c:
	(gnc_search_dialog_result_clicked),
	(gnc_search_dialog_init_result_list),
	(gnc_search_dialog_display_results), (remove_element),
	(attach_element), (option_activate), (search_clear_criteria),
	(get_element_widget), (gnc_search_dialog_add_criterion),
	(gnc_search_dialog_init_widgets),
	(gnc_search_dialog_connect_on_close):
	* src/gnome-search/gnc-general-search.c:
	(gnc_general_search_class_init), (create_children),
	(gnc_general_search_set_selected):
	* src/gnome-search/search-account.c: (gnc_search_account_get_type),
	(gnc_search_account_class_init), (gnc_search_account_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search-boolean.c: (gnc_search_boolean_get_type),
	(gnc_search_boolean_class_init), (gnc_search_boolean_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search-core-type.c:
	(gnc_search_core_type_get_type), (gnc_search_core_type_class_init),
	(gnc_search_core_type_init), (gnc_search_core_type_finalize),
	(gnc_search_core_type_new), (gnc_search_core_type_editable_enters),
	(gnc_search_core_type_grab_focus), (gnc_search_core_type_validate),
	(gnc_search_core_type_clone), (gnc_search_core_type_get_widget),
	(gnc_search_core_type_get_predicate),
	(gnc_search_core_type_new_type_name), (validate), (grab_focus),
	(editable_enters), (gnc_search_core_register_type), (init_table),
	(gnc_search_core_initialize), (gnc_search_core_finalize):
	* src/gnome-search/search-core-type.h:
	* src/gnome-search/search-date.c: (gnc_search_date_get_type),
	(gnc_search_date_class_init), (gnc_search_date_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search-double.c: (gnc_search_double_get_type),
	(gnc_search_double_class_init), (gnc_search_double_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search-int64.c: (gnc_search_int64_get_type),
	(gnc_search_int64_class_init), (gnc_search_int64_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search-numeric.c: (gnc_search_numeric_get_type),
	(gnc_search_numeric_class_init), (gnc_search_numeric_finalize),
	(how_option_changed), (option_changed), (add_menu_item),
	(make_how_menu), (make_option_menu), (gncs_get_widget):
	* src/gnome-search/search-reconciled.c:
	(gnc_search_reconciled_get_type),
	(gnc_search_reconciled_class_init),
	(gnc_search_reconciled_finalize), (option_changed),
	(toggle_changed), (add_menu_item), (make_menu), (make_toggle):
	* src/gnome-search/search-string.c: (gnc_search_string_get_type),
	(gnc_search_string_class_init), (gnc_search_string_finalize),
	(option_changed), (add_menu_item), (make_menu), (gncs_get_widget):
	* src/gnome-search/search.glade:
	* src/gnome-utils/dialog-utils.c: (gnc_option_menu_set_one_item),
	(gnc_option_menu_init_w_signal), (gnc_glade_autoconnect_full_func):
	* src/gnome-utils/dialog-utils.h:
	* src/gnome-utils/druid-utils.h:
	* src/gnome-utils/gnc-account-sel.c: (gnc_account_sel_get_type),
	(gnc_account_sel_class_init), (gnc_account_sel_init),
	(gnc_account_sel_new), (gnc_account_sel_finalize),
	(gnc_account_sel_dispose),
	(gnc_account_sel_set_new_account_ability),
	(gnc_account_sel_set_new_account_modal):
	* src/gnome-utils/gnc-account-sel.h:
	* src/gnome-utils/gnc-account-tree.c: (gnc_account_tree_get_type),
	(gnc_account_tree_new), (gnc_account_tree_init),
	(gnc_account_tree_class_init), (gnc_account_tree_set_view_info),
	(gnc_account_tree_get_view_info),
	(gnc_account_tree_expand_account),
	(gnc_account_tree_toggle_account_expansion),
	(gnc_account_tree_expand_all), (gnc_account_tree_set_view_filter),
	(gnc_account_tree_set_selectable_filter),
	(gnc_account_tree_finalize), (gnc_account_tree_dispose):
	* src/gnome-utils/gnc-account-tree.h:
	* src/gnome-utils/gnc-amount-edit.c: (gnc_amount_edit_get_type),
	(gnc_amount_edit_class_init):
	* src/gnome-utils/gnc-amount-edit.h:
	* src/gnome-utils/gnc-currency-edit.c:
	(gnc_currency_edit_get_type), (gnc_currency_edit_class_init),
	(gnc_currency_edit_init):
	* src/gnome-utils/gnc-currency-edit.h:
	* src/gnome-utils/gnc-date-delta.c: (gnc_date_delta_get_type),
	(gnc_date_delta_class_init):
	* src/gnome-utils/gnc-date-delta.h:
	* src/gnome-utils/gnc-frequency.c: (gnc_frequency_get_type),
	(gnc_frequency_class_init):
	* src/gnome-utils/gnc-frequency.h:
	* src/gnome-utils/gnc-general-select.c: (create_children):
	* src/gnome-utils/gnc-html-history.c: (gnc_html_history_append):
	* src/gnome-utils/gnc-html.c: (gnc_html_parse_url), (http_allowed),
	(https_allowed), (gnc_network_allowed), (gnc_html_http_request_cb),
	(gnc_html_start_request), (gnc_html_load_to_stream),
	(gnc_html_link_clicked_cb), (gnc_html_request_url_cb),
	(gnc_html_object_requested_cb), (gnc_html_on_url_cb),
	(gnc_html_set_base_cb), (gnc_html_submit_cb), (gnc_html_open_scm),
	(gnc_html_show_data), (gnc_html_show_url), (gnc_html_reload),
	(gnc_html_new), (html_cancel_helper), (gnc_html_cancel),
	(gnc_html_destroy), (gnc_html_set_urltype_cb),
	(gnc_html_set_load_cb), (gnc_html_set_flyover_cb),
	(gnc_html_set_button_cb), (gnc_html_export), (gnc_html_print),
	(gnc_html_get_history), (gnc_html_get_widget),
	(gnc_html_register_object_handler),
	(gnc_html_unregister_object_handler):
	* src/gnome-utils/gnc-html.h:
	* src/gnome-utils/gnc-mdi-utils.c: (gnc_mdi_show_progress),
	(gnc_mdi_child_find_menu_item), (gnc_mdi_child_find_toolbar_item),
	(gnc_mdi_child_changed_cb), (gnc_mdi_has_apps),
	(gnc_mdi_create_child_toolbar):
	* src/gnome-utils/gnc-menu-extensions.c:
	(gnc_create_extension_info), (cleanup_extension_info),
	(gnc_add_c_extension):
	* src/gnome-utils/gtkselect.c: (gtk_select_get_pos):
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/gnome-utils/print-session.c: (gnc_print_session_create),
	(gnc_print_session_print), (gnc_print_session_render),
	(gnc_print_session_preview):
	* src/gnome-utils/print-session.h:
	* src/gnome-utils/search-param.c: (gnc_search_param_get_type),
	(gnc_search_param_class_init), (gnc_search_param_finalize),
	(gnc_search_param_clone), (gnc_search_param_set_param_path),
	(gnc_search_param_override_param_type),
	(gnc_search_param_get_param_path),
	(gnc_search_param_get_converters),
	(gnc_search_param_get_param_type), (gnc_search_param_set_title),
	(gnc_search_param_set_justify), (gnc_search_param_type_match):
	* src/gnome-utils/search-param.h:
	* src/gnome-utils/window-help.c:
	(gnc_help_window_search_button_cb):
	* src/gnome/dialog-print-check.c:
	(gnc_ui_print_check_dialog_create):
	* src/gnome/dialog-scheduledxaction.c: (gnc_sxed_check_changed),
	(gnc_sxed_check_consistent), (gnc_sxed_save_sx),
	(gnc_sxed_get_widgets), (schedXact_editor_populate),
	(gnc_sxed_update_cal):
	* src/gnome/dialog-sxsincelast.c: (reminders_prep), (created_prep),
	(obsolete_prep), (auto_create_prep), (to_create_prep),
	(add_reminders_to_gui), (add_dead_list_to_gui):
	* src/gnome/dialog-tax-info.c:
	* src/gnome/druid-hierarchy.c:
	* src/gnome/druid-loan.c: (gnc_loan_druid_get_widgets):
	* src/gnome/glade/account.glade:
	* src/gnome/glade/sched-xact.glade:
	* src/gnome/gnc-splash.c: (gnc_show_splash_screen):
	* src/gnome/gnc-split-reg.c: (gsr_create_popup_menu):
	* src/gnome/mainwindow-account-tree.c:
	(gnc_mainwin_account_tree_class_init),
	(gnc_mainwin_account_tree_get_type):
	* src/gnome/reconcile-list.c: (gnc_reconcile_list_init),
	(gnc_reconcile_list_class_init),
	(gnc_reconcile_list_get_needed_height):
	* src/gnome/window-acct-tree.c: (gnc_acct_tree_view_new):
	* src/gnome/window-main-summarybar.c:
	(gnc_main_window_summary_new):
	* src/gnome/window-main.c: (gnc_main_window_app_created_cb),
	(gnc_main_window_flip_summary_bar_cb), (gnc_main_window_about_cb):
	* src/network-utils/gnc-http.c: (gnc_http_new):
	* src/register/register-gnome/combocell-gnome.c:
	(combo_disconnect_signals), (combo_connect_signals):
	* src/register/register-gnome/datecell-gnome.c:
	(date_picker_disconnect_signals), (date_picker_connect_signals):
	* src/register/register-gnome/gnucash-color.c:
	(gnucash_color_alloc), (gnucash_color_alloc_gdk),
	(gnucash_color_alloc_name), (gnucash_color_argb_to_gdk),
	(gnucash_color_init):
	* src/register/register-gnome/gnucash-date-picker.c:
	(gnc_date_picker_class_init):
	* src/register/register-gnome/gnucash-grid.c:
	(gnucash_grid_update):
	* src/register/register-gnome/gnucash-item-edit.c:
	(item_edit_draw_info), (item_edit_destroy),
	(item_edit_set_cursor_pos), (item_edit_claim_selection),
	(item_edit_cut_copy_clipboard), (item_edit_selection_get),
	(item_edit_selection_received):
	* src/register/register-gnome/gnucash-item-edit.h:
	* src/register/register-gnome/gnucash-item-list.c:
	(gnc_item_list_class_init):
	* src/register/register-gnome/gnucash-sheet.c:
	(gnucash_sheet_modify_current_cell), (gnucash_sheet_insert_cb),
	(gnucash_sheet_delete_cb), (gnucash_sheet_check_grab),
	(gnucash_button_press_event), (gnucash_sheet_direct_event),
	(gnucash_sheet_key_press_event):
	* src/register/register-gnome/table-gnome.c:
	(gnc_table_save_state):
	* src/report/report-gnome/dialog-column-view.c:
	(gnc_column_view_edit_options):
	* src/report/report-gnome/window-report.c:
	(gnc_report_window_view_new):


2003-05-15 TomF changes for gnucash-gnome2-dev, 15th batch
	* src/gnome/druid-stock-split.c: gnc_stock_split_druid_create:
	  Use gnome_druid_page_edge functions instead of gnc_druid
	  Replace gnc_get_gdk_imlib_image by 	gdk_pixbuf_new_from_file
	* src/gnome-utils/druid-utils.c, src/gnome-utils/druid-utils.h:
	  Remove functions with < 2 callers:
	  gnc_druid_set_logo_image,
	  gnc_druid_set_watermark_image, gnc_druid_set_title_image

	  In the following, use new gnome_druid function names.
	* src/gnome-utils/druid-utils.c: gnc_druid_set_colors:
	* src/import-export/qif-import/druid-qif-import.c


2003-05-12 TomF changes for gnucash-gnome2-dev, 14th batch
	* TODO: Added items for conversion to Pango,
	  druid, GnomeMDI
	* src/gnome-utils/dialog-utils.c:
	  Change fontdesc to font_desc
	  glade_xml_new (fname, root, NULL): Use NULL for default domain.
	* src/gnome-utils/dialog-utils.h:
	  Enable gnc_get_mdi_mode

	  In the following, use GTK_CLASS_TYPE macro
	* src/gnome/gnc-split-reg.c:
	* src/gnome/mainwindow-account-tree.c
	* src/gnome/reconcile-list.c:
	* src/gnome-search/gnc-general-search.c
	* src/gnome-utils/gnc-account-tree.c
	* src/gnome-utils/gnc-date-delta.c
	* src/gnome-utils/gnc-date-edit.c
	* src/gnome-utils/gnc-frequency.c
	* src/gnome-utils/gnc-general-select.c
	* src/register/register-gnome/gnucash-date-picker
	* src/register/register-gnome/gnucash-item-list
	* src/register/register-gnome/gnucash-sheet.c

	  In the following, use the 2.0 compatability function
	  gdk_font_from_description instead of the 2.2 compatability function
	  gdk_font_from_description_for_display to correct error in 13th batch.
	  Replace deprecated:
    	  gtk_editable_claim_selection( GTK_EDITABLE by
	  gtk_old_editable_claim_selection( GTK_OLD_EDITABLE
	* src/gnome-utils/dialog-transfer.c:
	* src/gnome-utils/dialog-utils.c:
	* src/register/register-gnome/gnucash-item-edit.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome/reconcile-list.c:
	* src/gnome/dialog-totd.c:
	* src/gnome/dialog-tax-info.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnome/dialog-commodities.c:

2003-05-02  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Add pkg-config test for libgnomeui-2.0.
	* src/import-export/hbci/*.c: Port hbci import module to Gnome2,
	sourcecode compiles now. Copy changes from HEAD branch.

2003-05-02 TomF changes for gnucash-gnome2-dev, 13th batch
	* src/gnome-utils/dialog-options.c:
	  Replace deprecated gdk_font_from_description by
	  gdk_font_from_description_for_display
	  #include <gdk/gdk.h>


	  In the following:
	  Replace x->font by gdk_font_from_description_for_display(
		gdk_display_get_default(),x->font_desc)
	  to account for style field restructure.
	* src/gnome-utils/dialog-utils.c:
	* src/register/register-gnome/gnucash-item-edit.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/dialog-transfer.c:
	* src/gnome-utils/dialog-options.c:
	* src/gnome/reconcile-list.c:
	* src/gnome/dialog-totd.c:
	* src/gnome/dialog-tax-info.c:
	* src/gnome/dialog-price-edit-db.c:
	* src/gnome/dialog-commodities.c:


	  In the following:
	  Replace object_class->g_type by GTK_CLASS_TYPE(object_class)
	  to use macro instead of inherited field reference.
	* src/gnome/gnc-split-reg.c:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/mainwindow-account-tree.c:
	* src/gnome/mainwindow-account-tree.c:
	* src/gnome/mainwindow-account-tree.c:
	* src/gnome/reconcile-list.c:
	* src/gnome/reconcile-list.c:
	* src/gnome-search/gnc-general-search.c:
	* src/gnome-utils/gnc-account-tree.c:
	* src/gnome-utils/gnc-account-tree.c:
	* src/gnome-utils/gnc-date-delta.c:
	* src/gnome-utils/gnc-date-delta.c:
	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome-utils/gnc-date-edit.c:
	* src/gnome-utils/gnc-dense-cal.c:
	* src/gnome-utils/gnc-frequency.c:
	* src/gnome-utils/gnc-general-select.c:
	* src/register/register-gnome/gnucash-date-picker.c:
	* src/register/register-gnome/gnucash-date-picker.c:
	* src/register/register-gnome/gnucash-item-list.c:
	* src/register/register-gnome/gnucash-item-list.c:
	* src/register/register-gnome/gnucash-item-list.c:
	* src/register/register-gnome/gnucash-item-list.c:
	* src/register/register-gnome/gnucash-sheet.c:
	* src/register/register-gnome/gnucash-sheet.c:
	* src/register/register-gnome/gnucash-sheet.c:





2003-04-29 TomF changes for gnucash-gnome2-dev, 12th batch
	* src/gnome-utils/gnc-date-edit.c:gnc_date_edit_class_init:
	  Replace object_class->type by object_class->g_type
	  to reflect change in GtkObjectClass
	  Delete call of deprecated  gtk_object_class_add_signals
	* src/gnome-utils/gnc-date-edit.c:date_accel_key_press
	  Change declare to G_CONST_RETURN char *string;
	  to reflect change in gtk_entry_get_text
	* src/business/business-gnome/search-owner.c:gnc_search_owner_class_init:
	  Delete call of deprecated  gtk_object_class_add_signals
	* src/gnome/gnc-split-reg.c:gnc_split_reg_get_type:
	  GtkObjectClass *object_class; Replace object_class->type by
	  object_class->g_type to reflect change in GtkObjectClass
	  Delete call of deprecated  gtk_object_class_add_signals
	* src/gnome/mainwindow-account-tree.c:gnc_mainwin_account_tree_class_init:
	  Replace object_class->type by object_class->g_type to
	  reflect change in GtkObjectClass
	  Delete call of deprecated  gtk_object_class_add_signals
	* src/gnome/reconcile-list.c:gnc_reconcile_list_class_init
	  Replace object_class->type by object_class->g_type to
	  reflect change in GtkObjectClass
	  Delete call of deprecated  gtk_object_class_add_signals

	  In the following:
	  Delete call of deprecated  gtk_object_class_add_signals
	  Replace object_class->type by object_class->g_type to
	  reflect change in GtkObjectClass
	* src/gnome-search/gnc-general-search.c:gnc_general_search_class_init:
	* src/gnome-utils/gnc-account-tree.c:gnc_account_tree_class_init:
	* src/gnome-utils/gnc-date-delta.c:gnc_date_delta_class_init:
	* src/gnome-utils/gnc-dense-cal.c: gnc_dense_cal_class_init:
	* src/gnome-utils/gnc-frequency.c:  gnc_frequency_class_init:
	* src/gnome-utils/gnc-general-select.c:gnc_general_select_class_init:
	* src/register/register-gnome/gnucash-item-list.c:  gnc_item_list_class_init:
	* src/register/register-gnome/gnucash-sheet.c:gnucash_register_class_init:


	  In the following, Delete call of deprecated gtk_object_class_add_signals
	* src/gnome-search/search-account.c:gnc_search_account_class_init:
	* src/gnome-search/search-boolean.c:gnc_search_boolean_class_init:
	* src/gnome-search/search-core-type.c:gnc_search_core_type_class_init:
	* src/gnome-search/search-date.c:gnc_search_date_class_init:
	* src/gnome-search/search-double.c: gnc_search_double_class_init:
	* src/gnome-search/search-int64.c:gnc_search_int64_class_init:
	* src/gnome-search/search-numeric.c:gnc_search_numeric_class_init:
	* src/gnome-search/search-string.c:gnc_search_string_class_init:
	* src/gnome-utils/gnc-account-sel.c:gnc_account_sel_class_init:
	* src/gnome-utils/gnc-amount-edit.c:gnc_amount_edit_class_init:
	* src/gnome-utils/search-param.c: gnc_search_param_class_init:


	  In the following,
	  Change declare to const char *
	  to reflect change in gtk_entry_get_text
	* src/app-file/gnome/gnc-file-dialog.c:store_filename:
	* src/business/business-gnome/business-gnome-utils.c:
	  gnc_fill_account_select_combo:
	* src/business/business-gnome/dialog-billterms.c:get_int, new_billterm_ok_cb:
	* src/business/business-gnome/dialog-customer.c:
	  gnc_customer_name_changed_cb:
	* src/business/business-gnome/dialog-employee.c:
	  gnc_employee_name_changed_cb:
	* src/business/business-gnome/dialog-invoice.c:  gnc_invoice_id_changed_cb:
	* src/business/business-gnome/dialog-job.c: gnc_job_name_changed_cb:
	* src/business/business-gnome/dialog-payment.c:  gnc_payment_ok_cb:
	* src/business/dialog-tax-table/dialog-tax-table.c:new_tax_table_ok_cb:
	* src/gnome/dialog-print-check.c:   entry_to_double:
	* src/gnome-search/search-string.c:  entry_changed:
	* src/gnome-utils/dialog-transfer.c:
	  gnc_xfer_dialog_quickfill,gnc_xfer_dialog_ok_cb:
	* src/gnome-utils/window-help.c:  gnc_help_window_search_button_cb:
	* src/import-export/binary-import/druid-commodity.c:
	  gnc_ui_commodity_druid_comm_check_cb
	* src/import-export/qif-import/druid-qif-import.c:
	  gnc_ui_qif_import_load_file_next_cb,
	  gnc_ui_qif_import_convert, gnc_ui_qif_import_comm_check_cb,
	  gnc_ui_qif_import_default_acct_next_cb:
	* src/report/report-gnome/dialog-style-sheet.c:  gnc_style_sheet_new_cb:

	* TODO:
	  Is deprecated gtk_object_class_add_signals handled correctly?


2003-04-26 TomF changes for gnucash-gnome2-dev, 11th batch
	* src/gnome-utils/cursors.c:
	  Fix incorrect g_list_free.

	* src/gnome/window-main.c,
	* src/gnome-utils/gnc-mdi-utils.c,
	* src/app-file/gnome/gnc-file-history.c:
	  Replace calls of deprecated gtk_container_get_toplevels by
	  gtk_window_list_toplevels

	* src/gnome-utils/dialog-options.c:
	  Move gnc_options_register_stocks call to gnc_options_ui_initialize,
	  to be called just once for all stock items at module initialization.
	  Remove include gtk/gtktextview.h.  It is included under gnome.h
	* src/gnome-search/dialog-search.c: attach_element,
	  gnc_search_dialog_init_widgets:
	  Replace deprecated gnome_stock_new_with_icon, gnome_pixmap_button
	  by gtk_button_new_from_stock
	* src/gnome-utils/gnc-date-edit.c: select_clicked:
	  Remove inactivated block referencing deprecated gnome_stock_cursor_new


2003-04-26 TomF changes for gnucash-gnome2-dev, 11th batch

	* src/gnome-utils/cursors.c:
	  Fix incorrect g_list_free.

	* src/gnome/window-main.c,
	* src/gnome-utils/gnc-mdi-utils.c,
	* src/app-file/gnome/gnc-file-history.c:
          Replace calls of deprecated gtk_container_get_toplevels by
	  gtk_window_list_toplevels

	* src/gnome-utils/dialog-options.c:
	  Move gnc_options_register_stocks call to gnc_options_ui_initialize,
	  to be called just once for all stock items at module initialization.
	  Remove include gtk/gtktextview.h.  It is included under gnome.h
	* src/gnome-search/dialog-search.c: attach_element,
	  gnc_search_dialog_init_widgets:
	  Replace deprecated gnome_stock_new_with_icon, gnome_pixmap_button
	  by gtk_button_new_from_stock
	* src/gnome-utils/gnc-date-edit.c: select_clicked:
	  Remove inactivated block referencing deprecated gnome_stock_cursor_new


2003-04-02 TomF changes for gnucash-gnome2-dev, 10th batch
	* src/gnome-utils/dialog-account.c
	  Change declares of name to const gchar.
	* src/gnome-utils/dialog-account-pick.c
	  Parentheses around assignment in expression
	* src/gnome-utils/dialog-commodity.c
	  Change declare of fullname to const gchar
	* src/gnome-utils/dialog-options.c
	  Replace "if (!GTK_OBJECT_DESTROYED(xxx))" by "if (!container)"
	  to remove deprecated macro
	  Replace call of gnome_stock_button by call to new function
	  gnc_options_register_stocks
	  Replace deprecated gtk_text* functions by gtk_text_view*
	  Change style->font to gdk_font_from_description(style->font_desc)
	  Change style->klas->xthickness to style->xthickness
	* src/gnome-utils/dialog-options.h
	  Prototype for gnc_options_register_stocks
	* TODO : Started categorized todo list for internal work items


2003-04-01 TomF changes for gnucash-gnome2-dev, 9th batch

	* src/gnome-utils/gnc-html.h
	  Replace gtkhtml/gtkhtml.h by libgtkhtml/gtkhtml.h
	  Delete declare of gnc_html_register_object_handler	(FIXME)
	  Delete typedef of GncHTMLObjectCB			(FIXME)
	* src/gnome-utils/dialog-account.c
	  cast assignment statements to char *

	  In the following, replace glib macro wrappers GTK_CHECK*
	  by G_TYPE_CHECK* and remove {BEGIN,END}_GNOME_DECLS

	* src/gnome-utils/gnc-amount-edit.h
	* src/gnome-utils/gnc-general-select.h
	* src/gnome-search/gnc-general-search.h
	* src/gnome-utils/gnc-account-sel.h
	* src/gnome-utils/gnc-currency-edit.h
	* src/gnome-utils/gnc-date-delta.h
	* src/gnome-utils/gnc-date-edit.h
	* src/gnome-utils/gnc-frequency.h


2003-04-01  Derek Atkins  <derek@ihtfp.com>

	* remove TomF's comments from files in batch 7; the
	  ChangeLog is sufficient.

2003-03-16 TomF changes for gnucash-gnome2-dev, 8th batch

	* src/gnome-utils/cursors.c
	  Replace calls of deprecated gtk_container_get_toplevels by
	  gtk_window_list_toplevels

2003-03-14 TomF changes for Gnome-2 branch, 7th batch

	  Change gtk_*_ref to g_object_ref, same for unref,
	  to replace deprecated functions in the following files.

	* src/business/business-gnome/dialog-billterms.c
	* src/gnome/dialog-price-edit-db.c
	* src/gnome/gnc-split-reg.c
	* src/gnome/window-register.c
	* src/gnome-utils/dialog-options.c
	* src/gnome-utils/dialog-transfer.c
	* src/gnome-utils/dialog-utils.c				    *
	* src/gnome-utils/gnc-account-tree.c
	* src/gnome-utils/dialog-utils.c
	* src/gnome-utils/gnc-html.c
	* src/gnome-utils/gnc-mdi-utils.c
	* src/gnome-utils/gtkselect.c
	* src/gnome-utils/print-session.c
	* src/gnome-utils/window-help.c
	* src/gnome-search/dialog-search.c
	* src/import-export/hbci/hbci-interaction.c
	* src/import-export/hpci/hbci-progressmon.c
	* src/register/register-gnome/combocell-gnome.c
	* src/register/register-gnome/datecell-gnome.c
	* src/register/register-gnome/gnucash-sheet.c
	* src/register/register-gnome/table-gnome.c
	* src/report/report-gnome/dialog-style-sheet.c

2003-03-12 TomF changes for Gnome-2 branch, 6th batch

	* src/network-utils/test/Makefile.am:
	  Add libgncmod-engine.la to fix undefined ref to `gnc_should_log'
 	* src/backend/net/NetIO.c: Remove include ghttp.h
 	  to bypass missing ghttp.  The functions were already disabled.

2003-03-12  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/Makefile.am: remove GHTTP_CFLAGS

	* configure.in: can't use AM_PATH_GDK_PIXBUF; that's a gnome-1
	  feature and doesn't work for gnome2

2003-03-11  Derek Atkins  <derek@ihtfp.com>

	* configure.in: get the configure script to actually attempt to do
	  something real in terms of gnome-print, gdk-pixbuf, and guppi.

2003-03-11 TomF changes for Gnome-2 branch, 5th batch

	* src/network-utils/Makefile.am: add src/engine to allow
	  including gnc-engine-util.h
	* src/network-utils/gnc-http.c: Disable all functions to bypass
	  missing ghttp.
	  Include "gnc-engine-util.h" to allow PERR warnings.
	  Use long if 0 to make it easy to go back to the original to
	  start developing a ghttp replacement.
          Declare variable "module" to make the PERR warnings work.

	Added by warlord:
	* src/network-utils/Makefile.am: remove GHTTP references

2003-03-09 TomF changes for Gnome-2 branch, 4th batch

	* src/gnome-utils/dialog-utils.h: Disabled declarations of
	  functions not used in QuickFill to bypass missing typedef
	  for GdkImlibImage
	* Next make problems are in:
	    cursors.c, in function `gnc_set_busy_cursor'
	    references to ghttp in gnc-http.c

2003-03-09 TomF changes for Gnome-2 branch

	* configure.in: Disabled gnome-print.  Added LIBGUPPI.
	  AM_PATH_LIBGLADE  replaced by PKG_CHECK_MODULES
	  Disabled gtkhtml check
	* gnome.m4:  Fixed use of wrong gnome2 names introduced 2/27

2003-03-02 TomF changes for Gnome-2 branch

	* configure.in: Change GNOME_XML_CHECK call to GNOME_XML2_CHECK
	  to fix wrong libxml library in gcc calls.
          Move AS_SCRUB_INCLUDE call to macros/gnome-xml-check.m4
	  Commented out the po/Makefile lines in AC_OUTPUT calls to bypass
	  "not found" errors
	* macros/autogen.sh: Commented out gettextize lines to bypass
	  "not found" errors
	  might want to change the gettextize to glib-gettextize
	* macros/gnome-xml-check.m4: changed macro name to GNOME_XML2_CHECK
	  Changed xml to xml2; changed GNOME-CONFIG to PKG-CONFIG
	  Moved AS_SCRUB_INCLUDE call from configure.in
	  This .m4 file was not in the Gnome-2 branch, so it has to be
	  added in cvs.  I don't know how it got dropped.
	* src/engine/gnc-associate-account.c: Fixed gcc warning messages.
	* Currently, make fails at gnc-gpg.c, and there is an unknown text
	  file: src/network-utils/gnc-gpg.loT

2003-02-27   Derek Atkins  <derek@ihtfp.com>

	* re-add macros/gnome.m4 for GNOME_INIT
	* configure.in: re-add call to GNOME_INIT

2003-02-18 TomF changes for Gnome-2 branch

	* autogen.sh: Use Gnome2 libraries
	* configure.in: Initial changes to make autogen.sh work and have
	  make use the correct glib_2_0.  Many changes still needed for
	  make to complete without errors.
	* acconfig.h: Use GETTEXT_PACKAGE

2003-02-15  Derek Atkins  <derek@ihtfp.com>

	* Start changes for Gnome-2.
	* remove macros/gnome*.m4, so we can use gnome's installed versions.


-=-=-=- cvs gnome2 branch ChangeLog is above this line -=-=-=-


2003-12-23  Christian Stimming  <stimming@tuhh.de>

	* src/engine/gnc-trace.c: Patch enabling compilation on Mac OS X
	by Rich Johnson <rich@dogstar-interactive.com>: Some platforms
	define timeval data members as "int".  Explicitly casting to "long
	int" for "%ld" directive avoids type mismatch.

2003-12-22  Christian Stimming  <stimming@tuhh.de>

	* accounts/tr_TR/*.xea: Added Turkish account templates by
	A. Alper Atici <alper_atici@yahoo.com>

	* accounts/hu_HU/*xea: Hungarian account templates by Sulyok Peter
	<sp@elte.hu>

	* src/engine/gnc-trace.h: Fix for gcc2.95 for macros with variable
	arguments by Lionel Elie Mamane <lionel@mamane.lu>.

2003-12-18  Herbert Thoma  <herbie@hthoma.de>

	* src/gnome/dialog-price-editor.c: when the commodity is changed,
	then set the currency to the currency of the last price entered
	for this commodity

2003-12-11  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/reconcile-list.c: make sure to verify that the items
	  in the reconcile hash are still around after a refresh.  Fixes
	  bug #129121.

2003-12-08  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-numeric.c:  Rich Johnson's patch to convert
	  atoll() -> strtoll()

2003-12-08  Benoit Grégoire  <bock@step.polymtl.ca>
	*src/import-export/log-replay/gnc-log-replay.c:  Increase read buffer size.
	Hopefully fixes 127421, but this time someone please do test the fix...

2003-12-01  Benoit Grégoire <bock@step.polymtl.ca>

	* po/POTFILES.in: Remove reference to bin/strsub.c.

2003-11-19  David Hampton  <hampton@employees.org>

	* src/quotes/dump-finance-quote: Be more explicit when a lookup fails.

2003-11-17  Chris Lyttle  <chris@wilddev.net>

	* src/scm/main.scm: Update for 1.8.8 release

2003-11-17  Derek Atkins  <derek@ihtfp.com>

	* Makefile.am, Makefile.DEPS:
	  remove Makefile.DEPS because we don't support automake-1.4 anymore
	* src/bin/Makefile.am, strsub.c:
	  remove strsub.c because we don't need it now that we've dropped 1.4
	Fixes #120207

2003-11-16  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test-core/test-engine-stuff.c:  don't make a timespec
	  with tv_sec == 0.  Fixes some tests on the alpha platform.

2003-11-16  Linas Vepstas <linas@linas.org>

	* src/doc/guid.txt: add document debating issues of guid usage in
	  the closing of books.

2003-11-14  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/advanced-portfolio.scm:
	Applied Frank Pavageau's patch regarding capital gains to
	handle split transactions.

2003-10-26  David Hampton  <hampton@employees.org>

	* src/engine/qofid.[ch]: Fix another crash caused by qof changes.

2003-10-25  David Hampton  <hampton@employees.org>

	* src/gnome/druid-stock-split.c: Fix crash caused by qof changes.

2003-10-24  David Hampton  <hampton@employees.org>

	* src/import-export/hbci/druid-hbci-initial.c: Use the generic
	import account picker.

	* src/gnome-utils/Makefile.am:
	* src/gnome-utils/dialog-account-pick.[ch]: Remove unused files.

2003-10-23  David Hampton  <hampton@employees.org>

	* src/AccWindow.h:
	* src/gnome-utils/dialog-account.h: Move function declarations to
	the right header file.  Document them as well.

	* (various): Include the right header file.

2003-10-23  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/prefs.scm:
	* src/business/business-utils/business-prefs.scm:
	  Add new preferences for the default "fancy date format",
	  even if it's not used, yet.  Another step to fixing #99574

	* Added GPL boilerplates to many of my files.

2003-10-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Refactor some GUI
	code. Improve user messages.

2003-10-20  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c,
	gnc-hbci-getbalance.c, dialog-hbcitrans.c: Improved user messages.

	* src/import-export/hbci/gnc-hbci-utils.c: Fixed extremly stupid,
	old bug that causes weird HBCI errors.

2003-10-18  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Fix and initially
	implement handling of multiple banks/users/customers.

	* src/import-export/hbci/dialog-hbcitrans.c: Fix handling of HBCI
	direct debits (fix wrong textkey).

2003-10-01  Derek Atkins  <derek@ihtfp.com>

	* src/backend/postgres/gncquery.c:  Linas broke SQL when we renamed
	  the QueryObjects to QofClass.

2003-09-30  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-date.h: add a comment about minimum string length
	* src/engine/Transaction.c: fix the ISO_DATELEN to be "long enough"
	  Fixes #123558

2003-09-18  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Add correct configure test for openhbci version
	required by mt940 module.

2003-09-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-kvp.c: Fix broken compile due to
	Linas' change of the kvp_frame_get_frame() arguments. By
	Jan-Pascal van Best <j.p.vanbest@tbm.tudelft.nl>

	* src/import-export/hbci/gnc-hbci-gettrans.[hc]: Code
	refactorization so that the mt940 importer can re-use the existing
	import functions from the hbci module. By Jan-Pascal van Best
	<j.p.vanbest@tbm.tudelft.nl>

	* src/import-export/mt940/gncmod-mt940-import.[hc]: Import module
	for SWIFT MT940 files added. By Jan-Pascal van Best
	<j.p.vanbest@tbm.tudelft.nl>

2003-09-14  Derek Atkins  <derek@ihtfp.com>

	* src/backend/postgres/test/run-tests.sh: small fix from
	  hawkfan to get tests to work when building outside srcdir.
	* src/backend/postgres/putil.c: fix a bug introduced by Matthew --
	  ANSI C does not allow you to declare a variable in the middle
	  of an expression.  Move the declaration to the top of the function.
	* src/backend/postgres/functions.sql:
	* src/backend/postgres/table-audit.sql:
	  We don't need the trailing semi-colon because the #include adds
	  one.  The double semi-colon causes build failures in some cases.

2003-09-13  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/ofx/gnc-ofx-import.c:  use <libofx/libofx.h>
	  instead of "libofx/libofx.h" as it's not part of our system.
	  Fixes a dependency problem in 1.8.6 release.

2003-09-11  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/gnc-*.c:
	  Add a "slots" parameter to allow for future expansion.  Right
	  now this is completely ignored (which will allow future releases
	  to add a kvp-frame slots to any business function and allow that
	  file to be read by older versions).  Right now the slot is ignored,
	  but that's better than barfing on the data file.

2003-09-09  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c:  during the dialog startup it
	  tries to build the transfer rate.  This crashes on Solaris because
	  during startup one commodity is still NULL when it tries to print
	  it.
	Fixes bug #121677

	* src/engine/engine-helpers.c:  turn off scheme garbage collection
	  during query->scm and scm->query conversion.  It shaves about 50%
	  off the test-scm-query-string tests.
	* src/engine/test-core/test-engine-stuff.c:  add some code to help
	  track down what the get_random_query() is doing.  Turned off by
	  default.
	* src/app-utils/test/test-scm-query-string.c: make the test
	  deterministic by seeding the RNG with a known value.  There is a
	  known "delay" at #245 with a seed of 1 on Linux systems.

2003-09-04  Derek Atkins  <derek@ihtfp.com>

	Apply Nigel Titley's patch to fix #103174:
	* src/register/register-core/basiccell.c:
	  - add some debugging messages
	  - don't kill ourself if we're asked to set the value to our own value.

	Description of the problem from Nigel:

	The problem is that the SX formula_cell stuff calls (via an
	intermediate step)

	gnc_basic_cell_set_value_internal (BasicCell *cell, const char *value)

	with value pointing at cell->value. The overall effect of this as far
	as gnc_basic_cell_set_value_internal is concerned is to trash the value
	stored in cell->value *before* re-writing back to the same place (the
	g_free() writes memory management stuff in the first few bytes of the
	value). This is what trashes the debit/credit value in the SX register
	entry.

2003-08-29  David Hampton  <hampton@employees.org>

	* src/engine/Account.c: Fix bug in computing cleared balance.  The
	bug was introdiced 4/1.

	* lots of scm files: Remove the RCS "Id:" tag.  Its a PITA when
	syncing between branches.

2003-08-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Aaarg. Fixed extremely
	stupid bug in the import value setting workaround.

2003-08-19  Chris Lyttle  <chris@wilddev.net>

	* src/scm/main.scm: Update for 1.8.5 release

2003-08-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Workaround for
	multi-currency importing bug as discussed on gnucash-devel.

2003-08-13  Matt Vanecek   <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c pgend_session_begin():
      Moved the pgendUpdgradeDB() call outside of the SQL transaction,
      because the upgrades performed each have their own separate
      transaction.

    * src/backend/postgres/newtables.h: A little bit of cleanup. Also
      changed all the INSERTs to specify column names, to prevent
      problems with column orders between old/new tables.

    * src/backend/postgres/table-audit.sql: Moved bookGuid in
      gncPriceTrail to be the second column.

    * src/backend/postgres/table-create.sql: Moved bookGuid in
      gncPrice to be the second column.

    * src/backend/postgres/upgrade.c: (re)Added transaction control
      to each upgrade function.  Also, the following fixes came out
      of regression testing:
    - add_multiple_book_support():  Removed the "NOT NULL" from the
      ADD COLUMN statements, and placed them in an ALTER TABLE...SET
      NULL construct.  The original is not supported in Postgresql
      and fails to execute.
    - Changed the stpcpy() to use g_strdup_printf() instead, for dynamic
      query assembly.
    - Made a few cosmetic changes to comparisons for readability.

2003-08-10  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-splash.[ch]:
	* src/gnome-utils/gnc-splash.[ch]: Move this code to the
	gnome-utils directory.

2003-08-10  Derek Atkins  <derek@ihtfp.com>

	* rpm/Makefile.am: add gnucash.spec to the DIST; clean during
	  distclean.  Rebuild it whenever the .in, Makefile, or config.status
	  changes.  Fixes #119446.

	* src/backend/file/sixtp.c: Add code to read XML files with real
	  namespace declarations.  (see bug #88078)

	* src/*/Makefile.am: Make sure we define PWD, as not all shells
	  define it properly.  Fixes #119114.

	* src/gnome/reconcile-list.c: our parent is a gnc-query-list, not
	  a clist.  Fix a bug so we properly call the parent destroy function.

2003-08-08  Matt Vanecek  <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c: Changed all the
      gncEntry references to gncSplit, and entryGuid to splitGuid.
    - pgend_session_begin(): Changed the 2nd qof_backend_set_message()
      message argument to the internationalization format.
    - Changed the pgendUpgradeDB() call to come after a commit--the
      upgrade process uses its own transaction handling (now).

    * src/backend/postgres/checkpoint.c:
    * src/backend/postgres/gncquery.c:
    * src/backend/postgres/gncquery.h:
    * src/backend/postgres/txn.c:
    * src/backend/postgres/txnmass.c:
    * src/backend/postgres/events.c: Changed all the gncEntry
      references to gncSplit, and entryGuid to splitGuid.

    * src/backend/postgres/functions.sql: Changed the TIMESTAMP args
      to TIMESTAMP WITH TIME ZONE args, and gncEntry args to gncSplit.

    * src/backend/postgres/putil.c: Added the execQuery() function
    - sendQuery(): Added internationalization to the
      qof_backend_set_message() call.

    * src/backend/postgres/putil.h: Added the execQuery() prototype.

    * src/backend/postgres/table-create.sql:
    * src/backend/postgres/table-audit.sql: Changed all the TIMESTAMP
      types to TIMESTAMP WITH TIME ZONE.  Change all the gncEntry refs
      to gncSplit, and entryGuid to splitGuid.
    - Grouped all the index creates at the end for readability and
      maintenance ease.

    * src/backend/postgres/table-version.sql: Added a new insert row for
      the gncVersion table to reflect these changes.

    * src/backend/postgres/table.m4: Change all the gncEntry refs to
      gncSplit, and entryGuid to splitGuid.

    * src/backend/postgres/upgrade.c: Added message.h and qofbackend.h
      for error messaging support.
    - In each update function, added a call the DB for BEGIN and COMMIT.
    - Changed all the gncEntry and entryGuid to gncSplit and splitGuid.
    - Added the add_timezone_support() function to perform the latest
      upgrades.
    - pgendUpgradeDB(): Add a call to add_timezone_support() if the minor
      version is less than 5.
    - Changed PGEND_CURRENT_MINOR_VERSION from 4 to 5

    * src/backend/postgres/newtables.h: new file for upgrading db tables
      to v1.5.0.

    * src/engine/qofbackend.c -- qof_backend_set_message(): Allow the
      function to accept an NULL argument for the message, and to set
      the backend error message to NULL in such a case.

	FIXES #90768

2003-08-03  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/druid-loan.c: Apply patch to fix a number of
	  off-by-one bugs in the loan druid.  Fixes #119001.

2003-07-30  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-account-tree.c: add "(Report)" strings
	  to the various columns displayed in the report currency.
	  Partial fix for #118695.

	* src/business/business-core/gncInvoice.c: set the date-entered on
	  invoice transactions to "now" instead of the post date.  This
	  lets us know when an invoice was actually posted, or a payment
	  was actually made.

	Support "gain/loss" balancing splits on stocks:
	* src/engine/Transaction.c: fix xaccSplitGetPrice() to return '0'
	  if 'amount' is zero but 'value' is non-zero
	* src/register/ledger-core/split-register-model-save.c: if we've
	  already handled the debcred cell then DON'T handle the price cell
	  as it will override the debcred's value.
	* src/register/ledger-core/split-register.c: if #shares == 0,
	  price == 0, and value (buy/sell) != 0 then allow this entry;
	  it's an income/expense balancing split.
	* src/register/ledger-core/split-register-control.c: if the exchange
	  rate cell is 0 but this is NOT the blank split, then don't run
	  the exchange-rate dialog unless specifically requested.
	* src/register/ledger-core/split-register-model.c: when trying to
	  find the conversion rate for a split, remember if we found
	  a matching split (even if the amount is 0).  If all matching
	  splits are 0, then return 0, not 1.

2003-07-29  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif/ -- add functionality to merge multiple
	  qif file contexts into a single parent context while retaining
	  the ability to add/remove new files.

	* src/import-export/qif-context.c: add functions to get the list
	  of used QifAccount and QifCategory objects from the set of
	  transactions.

2003-07-28  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/business-gnome.scm: remove
	  some unused (old) code.

2003-07-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Add button for
	manual adding of HBCI accounts. Fixes #117760. Requires latest
	OpenHBCI CVS -- next openhbci-0.9.13 will be out this weekend.

	* src/import-export/hbci/gnc-hbci-{getbalance,gettrans,transfer}.c:
	Add saving of the HBCI_API so that bank's status changes will now
	be remembered immediately. However this might save some
	unnecessary information to disk, but hopefully we will have fixed
	that in OpenHBCI soon.

2003-07-28  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-date-edit.c: hide the calendar popup
	  on enter/return keypress events (in addition to ESC).
	Fixes #118500

2003-07-27  Matt Vanecek  <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c: Added pgendGetBook(),
      to retrieve the QofBook from the session, instead of storing the
      book in the backend object.
    - Where be->book was used, use pgendGetBook() instead.
    - Enhanced debug messages.
    * src/backend/postgres/PostgresBackend.h: Added the qofbook.h
      include, and the pgendGetBook() prototype
    * src/backend/postgres/book.c: Changed pgendGetBook to
      pgendBookRestore() to reflect its functionality of restoring
      the book's data to the engine.
    * src/backend/postgres/price.c: In pgendPriceFind(), couched the
      currenct portion of the SQL statement in an "if" statement,
      because gnc_pricedb_lookup_latest_any_currency() can pass in
      a NULL currency, and stpcpy() doesn't like NULLs.
    * src/backend/postgres/escape.c: enhanced debug messages.
    Fixes bug #116546

2003-07-26  Derek Atkins  <derek@ihtfp.com>

	* src/engine/qofbackend.h: add a new error, ERR_BACKEND_READONLY
	* src/engine/gw-engine-spec.scm: add new error type
	* src/backend/file/gnc-backend-file.c: differentiate between
	  "file is already locked" and "we can't create the lockfile"
	  so we can let the user know.
	* src/app-file/gnc-file.c: handle the new ERR_BACKEND_READONLY
	  error message by changing the error dialog presented to the
	  user.
	Fixes #117665

	* src/backend/file/gnc-backend-file.c: don't make the chmod() and
	  chown() functions fatal errors.  Warn the user if they fail, but
	  don't fail to save.  In the long run we need some way to pop up
	  warning messages from a backend, but until then we'll have to
	  stick with PWARN() and hope users see the console.
	Fixes #118258

	* src/app-file/gnc-file.c: fix the message to be more appropriate
	  when we hit a READONLY error.
	* src/backend/file/gnc-backend-file.c: return ERR_BACKEND_READONLY
	  on save if the XML write fails and the unlink() fails with
	  ENOENT, EPERM, EROFS, or EACCES.
	* src/engine/qofsession.c: don't call end_session just because
	  there's an error.
	Fixes #117657

2003-07-26  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-account-matcher.c: Fix bug #105293

2003-07-23  Derek Atkins  <derek@ihtfp.com>

	* src/engine/qofbook.c: be sure to delete the book's KVP when we
	  destroy it.

2003-07-22  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif/...
	  more work on the new qif importer.  structure it into a parent
	  context that contains a "list of files" (each file has its own
	  context).  Add some tests to actually test the code.  It
	  actually loads a basic qif file, now.  Still need to perform
	  merging (internal and into GNC) as well as the qif-to-gnc maps.

2003-07-17  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/gnc-backend-file.c:  Don't need to set the
	  backend error directly after calling gnc_file_be_get_file_lock(),
	  as get_file_lock will set the backend error itself.

2003-07-16  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c: change the description
	  and action of Invoice and Payement Transactions/Splits, to make
	  it easier to print a check off the posted transactions.

	* src/report/standard-reports/cash-flow.scm: fix some labels and
	  add more text to make it more clear what's going on.  Hopefully
	  fixes #104878.

	* src/report/standard-reports/register.scm: add Debit and Credit
	  totals.  Fixes bug #115611.

2003-07-14  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif: an incomplete implementation of a new
	  (written-in-C) QIF importer.  The code compiles but has not
	  been tested.  Yet to do: merging, conversion to gnc, and UI.

	* configure.in: search for db-4.1.  Fixes #116509.

	* src/gnome-util/dialog-transfer.c: fix a bunch more rounding
	  errors, and add more precision to the price.  There is still a
	  problem when acquiring a high-precision price out of the pricedb
	  where it will get truncated in the AmountEdit widget.

2003-07-10  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/import-parse.[ch]: routines to parse numbers
	  and dates in a mostly-locale-agnostic way.
	* src/import-export/import-format-dialog.c: a dialog to ask the user
	  to choose a format, when parsing just isn't enough.
	* src/import-export/generic-import.glade: add the format_match dialog
	* src/import-export/test/test-import-parse.c: test the import-parse
	  routines.

2003-07-09  Derek Atkins  <derek@ihtfp.com>

	* configure.in: change (and comment out) checks for pthreads
	* macros/acx_pthread.m4: change pthread search (should be removed)
	* src/engine/guid.c: remove pthread code and just use a static buffer.
	  (pthread code is kept within some #ifdef's, just in case we decide to
	   put it back in later).

	* src/app-utils/gnc-ui-util.[ch]: add a function to parse a numeric
	  with the caller providing all the locale-specific information

	* src/business/business-core/gncBillTerm.c:
	* src/business/business-core/gncTaxTable.c:
	  Fix a crash where removing items in the wrong order could
	  cause "Bad Things" to happen -- referencing an invalid
	  object.  When being destroyed, an object should remove itself
	  from it's parent's list of children, in addition to removing
	  itself from it's children's pointer-to-parent.

2003-07-09  Christian Stimming  <stimming@tuhh.de>

	* README: Added remark about gnucash-docs.

	* src/import-export/hbci/druid-hbci-initial.c: Clarify the part of
	the HBCI setup about potentially adding HBCI accounts manually.

2003-07-04  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-price-edit-db.c: Add a couple of extra checks
	to prevent crashing if the commodity attached to a price quote has
	disappeared. #111643

	* src/gnome/dialog-commodities.c: Provide a new warning message
	before deletion if a commodity has any quice quotes.  If the user
	deletes the commodity anyway, removed any quotes are based on the
	commodity

	* src/engine/gnc-pricedb.c: Enhance the get prices routine to
	handle a request with a NULL currency.

2003-07-03  David Hampton  <hampton@employees.org>

	* src/scm/price-quotes.scm:
	* src/engine/gnc-commodity.[ch]: Allow the user to specify by
	namespace which commodities should be retrieved when getting price
	quotes.

	* src/scm/command-line.scm:
	* src/scm/main.scm: Support a new command line argument for
	specifying a namespace.  To be used in conjunction with the
	--add-price-quotes argument.

2003-07-02  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-07-03  Matthew Vanecek  <mevanecek@yahoo.com>

    * po/POTFILES.in: ran make-gnucash-potfile, to pick up all the
    changes for the Qof migration.

2003-07-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c,
	src/import-export/hbci/dialog-hbcitrans.c: Change HBCI online
	transfer action so that first the gnucash Transaction is created
	and only after that the HBCI connection is started. Necessary for
	later implementation of offline queueing and multi-job execution.

2003-07-01  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-backend-file.c: New data file should have
	same uid/gidas original file. #105662

	* src/app-utils/gnc-ui-util.[ch]:
	* src/app-utils/gw-app-utils-spec.scm:
	* src/engine/gnc-commodity.[ch]:
	* src/engine/gw-engine-spec.scm:
	Move Finance::Quote related information to live with the rest of
	the commodity related code.

	* src/engine/gnc-engine.h:
	* src/engine/gnc-commodity.[ch]: Convert the price quote source
	data into an object of its own.  Eliminate the old "internal" name
	in favor of the F::Q name.  Dynamically find and add new quote
	sources when the user runs gnucash.

	* src/backend/file/gnc-account-xml-v2.c:
	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/engine/Scrub.c: Ensure backwards compatability of the XML file.

	* src/app-utils/gnc-helpers.c: Update for changes in accessing
	quote source information.

	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/dialog-commodity.c: Reorganize the dialog for
	selection price quote information.

	* src/scm/price-quotes.scm: Print debugging info when getting
	stock quotes if gnucash is run with the --debug flag.

2003-06-30  Derek Atkins  <derek@ihtfp.com>

	* macros/acx_pthread.m4: macro to find the pthread library for
	  the particular system
	* configure.in: look for pthread library (now that we actually
	  USE pthreads, even if only for Thread Local Storage).

2003-06-27  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-backend-file.c: Fix 'Save As' so it can
	write to non-existing files.

	* src/gnc-module/gnc-module.c: Fix a small memory leak.

	* src/import-export/import-main-matcher.c:
	* src/import-export/import-match-picker.c: No need to duplicate
	the string returned by xaccPrintDateSecs.

	* src/engine/Account.[ch]: Correctly mark a function as returning
	a const char string.

	* src/engine/guid.c: Use a thread local buffer for guid_to_string.
	Mark this routine as returning a const char string so any attempts
	to free this buffer will be caught at compile time.

	* src/app-utils/guile-util.c:
	* src/backend/file/gnc-schedxaction-xml-v2.c:
	* src/backend/file/sixtp-dom-generators.c:
	* src/backend/postgres/checkpoint.c:
	* src/backend/postgres/gncquery.c:
	* src/backend/postgres/txn.c:
	* src/backend/postgres/test/test-db.c:
	* src/engine/SchedXaction.c:
	* src/engine/TransLog.c:
	* src/engine/Transaction.c:
	* src/engine/kvp_frame.c:
	* src/engine/qofquery.c:
	* src/experimental/cgi-bin/gnc-server.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/import-export/log-replay/gnc-log-replay.c: Clean up usage of
	guid_to_string() function. There is no longer any need to release
	the pointer returned by this function.

2003-06-27  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-event*.[ch]:
	  Change the event generation and callback routines to
	  pass a QofIdType in addition to the GUID*

	* src/app-utils/gnc-component-manager.c:
	* src/gnome-utils/gnc-account-sel.c:
	  change to match the new event API.  Remove the need for
	  xaccGUIDType(), which means we no longer get the g_warning.

	* src/backend/postgres/events.c:
	* src/business/business-core/gncAddress.c:
	* src/business/business-core/gncAddress.h:
	* src/business/business-core/gncBillTerm.c:
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncEntry.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncTaxTable.c:
	* src/business/business-core/gncVendor.c:
	* src/business/business-core/test/test-address.c:
	* src/engine/Account.c:
	* src/engine/FreqSpec.c:
	* src/engine/Group.c:
	* src/engine/Period.c:
	* src/engine/SchedXaction.c:
	* src/engine/Transaction.c:
	* src/engine/gnc-lot.c:
	* src/engine/gnc-pricedb.c:
	* src/engine/qofbook.c:
	  Pass the QofIdType into the event generation code.
	Fixes #115988

	* src/engine/qofid.c: change the entity table to use
	  two hash tables to make iterating over all the objects
	  of a particular type a bit faster.  This should improve
	  Query performance on larger datasets.
	Fixes #115989

2003-06-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix stupid bug with
	transaction templates, introduced during code refactoring.

2003-06-25  David Hampton  <hampton@employees.org>

	* src/scm/price-quotes.scm: Don't print the "handling-request"
	messages when getting stock quotes. #110687

	* src/report/report-system/html-document.scm:
	* src/report/report-system/html-text.scm: Correctly quote
	attribute values. #115244

	* src/gnome-utils/dialog-options.c: Display selected pixmap when
	opening an options window.

	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/dialog-utils.[ch]: Consolidate a couple of
	functions into the only file where they areused.

2003-06-25  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/balance-sheet.scm: Add a "retained
	  earnings" item under equity, and change the title to include
	  the start date.  Fixes (finally!) bug #113196

	* src/gnome-utils/dialog-transfer.c: if we've got the 'exch rate'
	  button set, then make sure we update the to-amount before we use
	  it.  Also be sure to use the values we just obtained.
	  Fixes #115991.

2003-06-25  Christian Stimming  <stimming@tuhh.de>

	* src/gnome-utils/dialog-transfer.h: Add callback handler that is
	notified of the newly created Transaction.

2003-06-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*: Refactor many HBCI functions to
	eventually enable queued processing of several HBCI jobs.

2003-06-23  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c: Limit the commodity choices
	based upon the current account type. #102023, #115461

	* src/gnome-utils/dialog-commodity.c: Add a new argument to the
	dialog creation functions to specify what types of commodities
	should be presented.  Also tweak the title of the dialog based
	upon this argument.  Remove the "new" button when the dialog is
	limited strictly to currencies.

	* src/gnome-utils/gnc-commodity-edit.c:
	* src/import-export/binary-import/druid-commodity.c:
	* src/import-export/import-commodity-matcher.c:
	* src/import-export/qif-import/druid-qif-import.c: Updated for new
	commodity dialog argument.

	* src/report/standard-reports/register.scm: Show the running
	balance column by default. #92052.

	* src/gnome/window-register.c: Annotate the window title to
	indicate whether a register is for a single account or it includes
	all subaccounts. #107927

	* src/gnome/gnc-split-reg.c: Change the register close dialog to
	include a cancel option. #105742

	* src/gnome/window-register.c: Don't close the register if the
	user cancelled. #105742

	* src/engine/Scrub.c (xaccSplitScrub): Change a warning message to
	an info. This clause is hit every time a user saves a changed
	transaction by clicking on another transaction.

	* src/gnome/window-reconcile.c: If the user has manually entered
	an amount, then stop automatically updated the amount when the
	date is changed. #110806

2003-06-22  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-commodity.[ch]: Clean up usage of the
	gnc_ui_update_namespace_picker function.

2003-06-22  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/category-barchart.scm: Properly
	  reverse the balances of accounts instead of using the internal
	  functions to determine when to reverse.  Fixes #115268.

	* src/backend/file/gnc-backend-file.c: Apply sam's patch:
	  don't allow selection of directory for save file

	* src/business/business-reports/Makefile.am: add fancy-invoice report
	* src/business/business-reports/business-reports.scm: load the fancy-invoice
	* src/business/business-reports/fancy-invoice.scm: a fancy invoice
	  report, to show what else is possible.  It's not really useful per
	  se, but it is another example for users.  To be useful it requires
	  some custom editing.  Thanks to Oliver Jones for submitting the
	  changes.

2003-06-19  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-18  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Tolerate some
	banks' failure of the GetSystemId-job.

2003-06-17  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-17  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.h: change QUERY_FIRST_TERM to a #define.
	  It does not need to be part of the enum (it's not even used anywhere)
	* src/engine/QueryCore.h: gint32 prints as a "%d", not a "%ld".

	* src/business/business-core/gncBillTerm.c: fix gncBillTermCopy()
	  so it PROPERLY copies the bill term.  Oops!
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	  when rebuilding the refcount, make sure we fix the grandparent
	  problems first so we refcount the correct object.
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  when rebuilding the refcount, make sure we fix the grandparent
	  problems first so we refcount the correct object.  Also cope
	  with the broken gncBillTermCopy() and hope that the existing
	  parent is correct.

2003-06-16  David Hampton  <hampton@employees.org>

	* src/gnome/window-register.c: Register with the component manager
	for ACCOUNT events.  Redo the window title when an event is
	received. Fixes #113164.

	* src/app-utils/gnc-component-manager.c: Enhance debugging.

2003-06-15  David Hampton  <hampton@employees.org>

	* src/gnome/gnc-split-reg.c:
	* src/gnome/window-register.c:
	* src/gnome/glade/register.glade:
	* src/register/ledger-core/split-register.c: Add new menu items
	and functions for voiding, un-voiding, and reversing transactions.

	* src/register/ledger-core/split-register-layout.c:
	* src/register/ledger-core/split-register-model.c: Utilized an
	empty register cell for displaying the note entered when a
	transaction is voided.  Added an extra test to
	gnc_split_register_cursor_is_readonly() to see if a transaction
	has been marked read-only.

	* src/engine/Transaction.h: Documentation.

	* src/engine/Transaction.c: Create a couple of new functions by
	extracting common code from existing functions.  New functions to
	clone Splits and Transactions.  New debug functions to dump Splits
	and Transactions to stdout.  New functions to un-void a
	transaction and to reverse all the values in a transaction.  Mark
	voided transactions as read-only.

	* src/engine/test-core/test-engine-stuff.c: Randomly un-void a
	transaction.

	* src/engine/test/test-transaction-voiding.c: Add code to un-void
	a transaction and check that all the values are restored to their
	original state.

	* src/engine/test/test-transaction-reversal.c: Add a new test to
	test the code that clones and reverses transactions.

	* src/engine/Account.c:
	* src/backend/postgres/test/test-db.c:
	* src/backend/file/test/test-xml-transaction.c: Changed function args.

2003-06-15  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/druid-qif-import.c:  raise the
	  import window after choosing a file.  I think this fixes #114209
	  but I couldn't reproduce the problem so I couldn't actually test
	  the fix.

	* src/business/business-gnome/dialog-billterms.c:
	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-payment.c:
	* src/business/business-gnome/dialog-vendor.c:
	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/gnc-split-reg.c:
	* src/import-export/hbci/hbci-interaction.c:
	  Change dialog statements to allow for embedded percent signs in
	  the messages.  In other words, don't allow user input into the
	  format string of a printf.  There may be other forms of this bug
	  elsewhere -- the code should be manually scrubbed file by file
	  for all printf()'s to make sure no user-servicable strings are
	  used as a printf format argument.  Fixes #115245.

	* src/business/business-gnome/dialog-invoice.c: change how the
	  billterms option menu is used so it will change properly if
	  you change the invoice's owner.  Fixes #115290.

	* src/report/standard-reports/account-piecharts.scm: Don't use
	  gnc:reverse-account-balance? to determine whether to reverse
	  the balance -- base it purely on the report type.  Otherwise
	  certain reports doesn't work right when the "reverse account
	  balances" is set in certain ways.  Fixes #107472.

	* src/engine/Account.c: initialize the returned values in
	  finder_help_function().  This fixes bug #108883 (and possibly
	  others not reported).

2003-06-14  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/io-gncxml-v2.c: make the book-string an extern
	* src/backend/file/gnc-book-xml-v2.c: make the book-string non-static
	Fixes #114401

	* src/register/ledger-core/split-register-model.c: enable the
	  exchange-rate dialog on "search ledger" registers.
	Fixes #113987

	* src/engine/QueryCore.[ch]: create a new GUID_MATCH_LIST_ANY
	  match-type, which can eventually be used to make an AccountGroup
	  comparrison (once we figure out how to label an account group with
	  a GUID)
	* src/engine/QueryNew.c: print out GUID_MATCH_LIST_ANY query terms
	* src/engine/gw-engine-spec.scm: wrap GUID_MATCH_LIST_ANY

2003-06-14  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-13  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/io-gncxml-v2.[ch]: add API to the plugin
	  modules to allow post-processing (scrubbing) of the book after
	  it is loaded from XML.  This allows a plug-in to post-process
	  the complete book.
	* src/business/business-core/file/gnc-customer-xml-v2.c:
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	* src/business/business-core/file/gnc-invoice-xml-v2.c:
	* src/business/business-core/file/gnc-job-xml-v2.c:
	* src/business/business-core/file/gnc-order-xml-v2.c:
	* src/business/business-core/file/gnc-vendor-xml-v2.c:
	  add a NULL scrub member to the XML plugin API.
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	  create a scrub function to clear up bogus tax tables due
	  to bug #114888 (and related bugs) which could cause
	  tax tables to get created ad-nausium if you post and then
	  unpost an invoice.  Scrubs all the entries for bogus
	  tax tables, and then clears out the bogus tax tables.
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  Hook in an empty scrub routine, because I think the same
	  bug exists here, but I'll work on that later.
	* src/business/business-core/gncEntry.c:
	  make sure we properly dereference tax tables when we destroy
	  an entry.
	* src/business/business-core/gncTaxTable.c:
	  - keep a list of children so we can unref ourselves from our
	    children when we get destroyed
	  - deal with parentless children
	Fixes bug #114888 -- don't generate phantom (parent) tax tables
	and clean up any existing bogus tax tables.

	* src/business/business-core/gncBillTerm.c:
	  - keep a list of children so we can unref ourselves from our
	    children when we get destroyed
	  - deal with parentless children
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncVendor.c:
	  deal with properly un-ref'ing Bill Terms and Tax Tables
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  create a scrub function to clear up bogus bill terms due to
	  bug #114888 which could cause bill terms to get created
	  due to post/unpost of invoices.  Scrubs all invoices and
	  fixes the reference to bill terms, and updates the refcounts.
	Fixes bug #114888 for bill terms.

	* src/business/business-core/gncTaxTable.c:
	* src/business/business-core/gncBillTerm.c:
	  Mark the data book as dirty if a tax table or bill term is
	  destroyed.  Fixes all of #114889 that I can reproduce.

2003-06-12  Christian Stimming  <stimming@tuhh.de>

	* doc/TRANSLATION_HOWTO: Added, by Jon Lapham
	<lapham@extracta.com.br>.

2003-06-11 Linas Vepstas <linas@linas.org>

	* src/engine/*.[ch]: shuffle code around so that the non-accounting
	  part of the engine can be built separately from accounting part.
	* src/*/*/*.c: changes to fix header file includes to support
	  above changes

2003-06-09  Christian Stimming  <stimming@tuhh.de>

	* configure.in, src/import-export/hbci/dialog-hbcitrans.c: Add
	support for KtoBlzCheck, a small checking package for destination
	account numbers for German banks. Very small, very useful :),
	http://sourceforge.net/projects/ktoblzcheck

2003-06-08  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.scm: make sure we have
	  the right number of arguments for all renderers.  Fixes #114641.

	* src/gnome-utils/gnc-date-format.c: ignore empty "custom" formats.
	* src/gnome-utils/gnc-query-list.c: add a test for NULL.

	* src/app-utils/app-utils/scm: export new dateformat option symbols
	* src/app-utils/option-util.[ch]: create dateformat option utility functions
	* src/app-utils/options.scm: create a dateformat option
	* src/engine/date.[ch]: create APIs to handle date-format types.
	  - conversions of date-format to/from strings
	  - move the month format enum to here
	  - conversion of month format to/from strings
	* src/gnome/top-level.c: move date-format string conversion from here
	* src/gnome-utils/dialog-options.c: implement a date-format options
	  that uses the gnc-date-format widget.
	* src/gnome-utils/gnc-date-format.h: remove month format (to date.h)
	Initial fix for #99574

2003-06-08  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*.c: Remove old unused code.

	* src/import-export/hbci/hbci-interaction.c: Add more user
	feedback functions.

	* src/import-export/hbci/gnc-hbci-utils.c: Improve error handling.

2003-06-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-date-format.*: Create a new "date format"
	  widget to let the user choose a date format (and see the results
	  of what the date would look like).
	* src/gnome-utils/Makedile.am: add gnc-date-format files to the build
	* src/gnome/dialog-print-check.c: use the new date-format widget
	* src/gnome/glade/print.glade: remove data that is now part of the
	  date-format widget.

2003-05-30  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-vendor.c:
	  - Fix the window title to use the company name, not the contact name
	  - Change the message when the company name is left blank.
	Fixes #109754

	* src/gnome/dialog-print-check.c: a simple change -- use a globally-
	  defined option-menu helper function instead of defining our own
	  copy for no particular reason.

2003-05-30  Christian Stimming  <stimming@tuhh.de>

	* lib/guppi-legend.patch: Include patch for Guppi that fixes
	reversed legend problem.

2003-05-29  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/glade/register.glade: add sort entries for Action and Notes
	* src/gnome/gnc-split-reg.[ch]: add ability to sort by Action and Notes
	Fixes #113990.

2003-05-29  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: Update the Polish Zloty for
	its new ISO currency code.

	* src/engine/gnc-commodity.c: Convert from the old Zloty code to
	the new one.

2003-05-30  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/category-barchart.scm: Re-enable
	reversed legend in stacked barcharts. Needs Guppi 0.40.4
	a.k.a. Guppi CVS, though, to actually work.

2003-05-29  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c: Make sure the amount
	stays a decimal number instead of some fraction.

2003-05-29  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.[ch]: add APIs to get
	  TotalSubtotal() and TotalTax().
	* src/business/business-gnome/dialog-invoice.c: Add Subtotal and Tax
	  labels in the summary bar to print the Invoice's total amounts.
	Fixes #113769.

2003-05-29  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/engine/TransLog.c: Now log the transaction notes field (kvp actually).
	* src/engine/kvp_frame.h: Docs
	* src/import-export/log-replay/gnc-log-replay.c: Actually make it work:) Thanks Derek for pointing me to the private headers.  Support the new note field.

2003-05-29  Christian Stimming  <stimming@tuhh.de>

	* configure.in: OpenHBCI version 0.9.11 is required now. Earlier
	versions cause a segfault with any recent OpenSSL.

2003-05-29  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-query-list.c: the query headers were restructured
	  by linas so we need to add an extra #include to compile
	* src/import-export/log-replay/gnc-log-replay.c: get it to compile.
	  - Doesn't need libofx.h
	  - use TRUE/FALSE, not true/false.

2003-05-28  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-settings.c: Revert previous gettext macro addition.
	* src/engine/TransLog.c,h: Change the log format to use GUID instead of
	  C pointers and to use ISO8601 instead of proprietary format.

	* src/engine/gnc-numeric.h
	* src/import-export/import-match-map.c: Doxygen update

	* configure.in
	* src/scm/main.scm
	* src/import-export/Makefile.am
	* src/import-export/log-replay/*: New log replay module.  This
	  ALMOST works, except I forgot you can't set the GUID of
	  gnucash's objects, and thus completely screwed up on the
	  playback logic.  I'll think of a solution when I am rested.

2003-05-28  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncTaxTable.c: when asking for
	  the child, return ourself if we're already a child instead
	  of making a (useless) grandchild.

	* src/business/business-ledger/gncEntryLedger.c: fix a bug where
	  if you unpost an invoice and don't bring the TaxTables up to
	  date, the total value shown in the register is different
	  dependending on whether the cursor is on the current line or
	  not.

	* src/business/business-core/gncInvoice.[ch]: change the unpost
	  API to select whether to repoint the entries to the current tax
	  table or leave it at the child tax table.
	* src/business/business-gnome/glade/invoice.glade:
	* src/business/business-gnome/dialog-invoice.c:
	  New UI when unposting an invoice -- ask whether to bring the tax
	  tables up to date or leave the values when it was posted.
	Fixes #113774

	* src/business/business-gnome/dialog-invoice.c: don't constantly
	  resize the invoice window every time we update ourselves.  Fixes
	  #113775

2003-05-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c, dialog-hbcitrans.c,
	glade/hbci.glade: Add coarse GUI so that transfer templates are
	somehow usable.

	* src/import-export/hbci/gnc-hbci-kvp.[hc]: Store the online
	transfer templates in the book's kvp_frame.

	* src/import-export/hbci/gnc-hbci-trans-templ.[hc]: Add data type
	for online transfer templates.

2003-05-26  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/dialog-dup-trans.c: If the "number" is
	  set to 0, then empty out the entry.  Considering the SpinButton
	  wants to force a digit, this lets you set an empty number if you
	  accidentally tab into and out of the number field.  This also
	  means you cannot have a check numbered '0', but that is probably
	  a reasonable limitation.  Fixes #109610.

2003-05-26  Chris Lyttle  <chris@wilddev.net>

	* src/scm/main.scm: Change stable version to 1.8.4

2003-05-26  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-settings.c: Fix pref page define to the
	  proper page, should fix the problem of all prefs being ignored.
	  Also make strings in the lookup code translatable so that the
	  matching won't be lost when changing language.
	* src/import-export/generic-import.scm: Add note not to forget to
	  change the c file as well when changing preference page.

2003-05-25  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-gnome/dialog-view-column.c:
	  - fix a bug in the gh_ -> scm_ conversion:  gh_appendN() needs
	    to be converted to gh_append(gh_listify(..., SCM_UNDEFINED)).
	    Just using gh_listify is wrong and causes a crash.
	  - fix a bug that crashes gnucash if you remove the last entry
	    and then add another entry.

	* src/business/business-reports/aging.scm:
	  - Deal with the case where the first transaction found for a
	    particular company is a payment (it used to just ignore it!
	    Oops!  That throws off all the numbers...)
	  - Also print out any overpayment in the total column.

	* src/report/utility-reports/view-column.scm:
	  Catch errors when running the child reports so we display the
	  failed report backtrace but also display an error and continue
	  with the multicolumn report.  Fixes #113668.

2003-05-24  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c: back out previous change.
	* src/report/report-gnome/window-report.c: a better fix for
	  #107953.  When we are asked to reload the report, queue the
	  request, queue a draw event, and then return immediately.  When
	  the draw event happens, load the report then.  This lets you
	  hit Apply and then OK before the report finishes loading.

	* src/import-export/ofx/test/Makefile.am: make sure we can find
	  libofx/libofx.h

	* src/report/standard-reports/transaction.scm: include split
	  transactions in the filtering of the transaction report.
	  Fixes #113461.

	* src/report/standard-reports/balance-sheet.scm: use a 'from' date
	  to better compute the Net Income on the report.  Fixes #113196
	  (although not its dependency, #101519; that requires new strings)

	* src/gnome-search/search-double.c:
	* src/gnome-search/search-int64.c:
	* src/gnome-search/search-numeric.c:
	  Change the default Search Operation for numerics from "less
	  than" to "equals" -- so by default you would search for an exact
	  value.  Fixes #106443

	* src/report/standard-reports/price-scatter.scm: "eval" changed
	  API on guile-1.6.  Use the existing API to convert a delta
	  symbol to a delta time.
	* src/scm/main.scm: call eval with the right number of arguments
	  based on early or late versions.

	* src/business/business-reports/invoice.scm:
	* src/business/business-reports/owner-report.scm:
	  Change the date format string to be consistent with other places
	  (e.g. the check print dialog) and use '%' instead of '~'.
	  This is an interim fix for #99574, at least until we can
	  centralize the functionality.

	* src/business/business-utils/business-prefs.scm: make the
	  Bill Due Days option selectable based on the setting of
	  Notify Bills Due?

2003-05-23  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c: don't let the user do anything
	  with the options dialog until Apply() finishes.  This is a
	  simple fix for #107953 so that a user can't crash gnucash by
	  hitting Apply and then OK (before the Apply completes).
	  However, what should really happen is that we queue up requests
	  to destroy ourselves and process the event later.  See #107953
	  for more information.

	* src/report/report-system/report-utilities.scm: had the wrong
	  number of arguments in gnc:account-get-balance-at-date.

	* src/report/standard-reports/balance-sheet.scm: add some
	  (commented out) code to support a start date for computing the
	  Net Income (aka Net Profit) in the Balance Sheet.  This is
	  a commented-out partial fix for #113196.

	* src/business/business-gnome/business-gnome.scm:
	* src/scm/main-window.scm:
	  Move the instantiation of File -> Properties into
	  main-window.scm (out of business-gnome.scm) for future cases
	  where we might decide to ship the business modules separately.

	* src/import-export/ofx/test/test-link.c: fix the test program
	  to make sure it links on many weird platforms.

2003-05-22  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/owner-report.scm:  Better fix for 108731
	  limit the itemized invoices/payments to the start/end date range,
	  but print out a "Balance" line if there is a non-zero balance as
	  of the start date.

	Nikos Charonitakis's account chart updates:
	* accounts/el_GR/Makefile.am: added new carloan account chart
	* accounts/el_GR/acctchrt_common.gnucash-xea: updated account chart
	* accounts/el_GR/acctchrt_carloan.gnucash-xea: new car loan chart

	* src/report/standard-reports/average-balance.scm:
	  Use the correct columns when printing the Gain column, don't
	  reuse the same column as profit; we want to report different
	  values.  Fixes #113096.

2003-05-21  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/advanced-portfolio.scm:
	  Deal properly when there are no prices for a commodity.

	* src/business/business-reports/owner-report.scm:
	  Supply a start date (as well as an end date) and don't print
	  invoices that occur prior to the start date or after the end date.
	  The aging information ignores the start date, but not the end date.
	  This means the aging information will always be acurate through the
	  end date (even if all the invoices and payments are not displayed).
	  Fixes #108731.

2003-05-20  Derek Atkins  <derek@ihtfp.com>

	* src/scm/printing/print-check.scm: some finer adjustments on
	  the locations for Deluxe personal checks.

	* acinclude.m4: modify the AC_GWRAP_CHECK_GUILE() macro to
	  take an argument, the g-wrap module directory.  Then actually
	  test that the g-wrap module loads.  This should detect systems
	  without slib installed.
	* configure.in: all the new gwrap check macro
	  Fixes #113218

2003-05-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.[ch]: add gncQueryGetBooks() API to return
	  list of books in a query.
	* src/business/business-core/gncInvoice.[ch]: add INVOICE_POST_LOT
	  query parameter methods

	* src/engine/gnc-event*: add an api to force an event even when
	  events are suspended.  Without such an API, events can be lost
	  if the event system is suspended when the event comes in.

	* src/gnome-utils/dialog-query-list*: the glade and C code for
	  a general QueryList Dialog.
	* src/gnome-utils/Makefile.am: compile the new dialog.
	* src/business/business-gnome/business-gnome.scm: use the new
	  querylist dialog to display the due bills
	* src/business/business-gnome/dialog-invoice.[ch]: create a new
	  API to run a due-bills dialog.
	* src/business/businss-gnome/gw-business-gnome-spec.scm: wrap the
	  new due-bills api
	* src/engine/gnc-book.c: forcibly signal a book destroy event

	* src/business/business-gnome/dialog-invoice.[ch]: pass a double
	  instead of an int, because guile-1.6 sucks.  Also fix the Query
	  to actually include the Due Date of the invoice.
	* src/business/business-gnome/gw-business-gnome-spec.scm:
	  change the int to a double on the bills-due api

	* src/gnome-utils/print-session.[ch]: added gnucash wrappers
	  around gnome-print's rotate, translate, gsave, and grestore
	  APIs.  All to allow sideways printing (by rotating the image).
	* src/gnome-utils/gw-gnome-utils-spec.scm: wrap the new print-session
	  apis.

	* src/gnome/glade/print.glade: add "Deluxe Personal Check" type
	* src/gnome/dialog-print-check.c: add support for choosing
	  a "deluxe" check type.
	* src/scm/printing/print-check.scm: add support for printing
	  to "deluxe" personal checks.  This prints the check "sideways"
	  on a US-Letter configuration.

	* src/engine/QueryCore.c:
	* src/engine/guid.c:
	* src/engine/kvp-util.c:
	  Fixes for 64-bit architectures.  Fixes bug #113231.

2003-05-18  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-lot.[ch]: add LOT_IS_CLOSED and LOT_BALANCE
	  query parameter methods

2003-05-17  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm:  the numeric test
	  regex was broken and would fail on ALL numerics, causing all
	  imports to be of value zero.  Oops.  I _thought_ I tested this,
	  but clearly not sufficiently.  :(

2003-05-16  David Hampton  <hampton@employees.org>

	* src/gnome/window-main.c:
	* src/gnome-utils/gnc-mdi-utils.c:
	* src/gnome-utils/gnc-mdi-utils.h: Fix the "View xxxbar" menu
	items to track properly when a new data file is opened. #99598
	Consolidate the code for manipulating the View/Statusbar and
	View/Summarybar menu items.  Work around a Gnome MDI bug as best
	as possible.

2003-05-16  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/reconcile-list.[ch]: Port to the gnc-query-list.
	  Remove all the extraneous code.
	* src/gnome-utils/gnc-query-list.[ch]: Add code so the reconcile-list
	  can successfully use the query-list.  Add a construct() method.
	  Add an "unselect_all()" method.  Add the ability to print numerics
	  as an ABS and invert the sort (defaults to off).  Add methods to
	  determine if an item is in the list, and one to refresh the display
	  of an item.
	* src/gnome-utils/search-param.[ch]: fix the spelling of resizeable

	* src/gnome-utils/gnc-query-list.c: we can't use a reversed list
	  and prepend() because then we're always adding row 0 so the
	  saved checkmarks fail.  So, use the slow way and use 'append()'.

2003-05-12  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-check.in:
	* src/quotes/update-finance-quote.in: Add HTML::Parser to the list
	of items checked/installed. #104197

2003-05-12  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-query-list.[ch]: an abstracted Query list
	  widget to display the results of a Query.

	* src/engine/Query{,P}.h: move the location of gncQuerySearchFor()
	  to allow callers to look it up without requiring the private
	  header.
	* src/business/business-core/gncInvoice.[ch]: define
	  INVOICE_IS_PAID and create gncInvoiceIsPaid() function (the
	  prototype already existed, but it was never implemented).
	* src/business/business-gnome/dialog-invoice.c: add IS_PAID column
	  and the ability to search for paid/not-paid invoices.
	* src/gnome-utils/Makefile.am: build gnc-query-list
	* src/gnome-utils/gnc-query-list.[ch]: finish the GNCQueryList.
	  - allow active-column sorting
	  - watch all the entities in the query and update when an entry changes
	  - use a checkbox to display booleans
	* src/gnome-utils/search-param.[ch]: add extra APIs required to support
	  the initial QueryList implementation
	* src/gnome-search/dialog-search.c: Convert to use the new
	  GNCQueryList to display the search results.
	Fixes #106035

2003-05-11  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-commodities.c:
	* src/app-utils/prefs.scm: Remember the state of the "show
	currencies" check box from one time to the next.

	* src/gnome-utils/dialog-transfer.c: Fix transfer dialog to not
	hang if OK button is clicked w/o filling in dialog properly.
	#109497

	* src/gnome/window-reconcile.c: Button shouldn't take full width
	of the window.

	* src/app-utils/gnc-component-manager.c: Add some debugging.

	* src/gnome-utils/dialog-commodity.c: Fix problem selecting quote
	source.

	* configure.in:
	* src/gnome/gnc-splash.c:
	* src/gnome/window-main.c: Give more control over what builds have
	a version number and what builds are labelled "cvs".

2003-05-11  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/hbci/gnc-hbci-utils.c: you have to declare
	  your variables before you g_assert() anything.

2003-05-10  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-commodity-xml-v2.c:
	* src/engine/gnc-commodity.c:
	* src/engine/gnc-commodity.h:
	* src/gnome/glade/account.glade:
	* src/gnome-utils/commodity.glade:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/dialog-commodity.h:
	* src/gnome-utils/dialog-utils.c:
	* src/gnome-utils/dialog-utils.h: Migrate fields and functions
	related to price quotes from the account to the commodity.  Fixed
	the original complatint in #104197 as part of these changes.

	* src/backend/file/io-gncxml-v2.c:
	* src/engine/Scrub.c:
	* src/engine/Scrub.h: Migrate price quote information when reading
	in the data file.

	* src/app-utils/gnc-helpers.c:
	* src/app-utils/gnc-helpers.h:
	* src/app-utils/gw-app-utils-spec.scm:
	* src/engine/gw-engine-spec.scm:
	* src/scm/price-quotes.scm: The code to get quotes from F::Q now
	needs to get the information from the commodity data structures,
	not the Account data structures.

	* src/backend/file/gnc-account-xml-v2.c: Continue to write out
	price quote information with the Account data. This allows users
	to fall pack to production code without loss of information.  This
	code will drop out in the next release of gnucash (1.10 or 2.0).

	* src/engine/Account.c:
	* src/engine/Account.h: Deprecated a couple of functions.
	Continue existing hack of automatically marking cross currency
	accounts for automatic quote retrieval.

	* src/backend/file/io-gncbin-r.c: Update for the new names of
	deprecated functions.

	* src/import-export/import-commodity-matcher.c: Update for changed
	calling conventions.

	* configure.in: Restore some lost changes.

2003-05-09  Christian Stimming  <stimming@tuhh.de>

	* macros/openhbci.m4: Fix openhbci macro again so that it uses a C
	check program.

2003-05-08  Derek Atkins  <derek@ihtfp.com>

	* configure.in: add AC_PREREQ(2.53) to require 2.53 :)
	* macros/autogen.sh: add more searches for a good version of
	  the autotools.

	* configure.in: fix some AC_DEFINE macros
	* macros/autogen.sh: a bit more work on the version searches.

	* acconfig.h: remove duplicate entries (for use with more recent autoheader)
	* configure.in: supply AC_PROG_CXX to fix the automake-1.7 problem

2003-05-07  Derek Atkins  <derek@ihtfp.com>

	* macros/autogen.sh: require autoconf >= 2.53 and automake >= 1.5
	  Also look for appropriately-named versions on systems like RH7.3

2003-05-05  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c, gnc-hbci-utils.h,
	gnc-hbci-utils.c, hbci-interaction.h, hbci-interaction.c: Add
	*much* better error checking -- the user now gets almost always
	correct feedback if an online transfer cannot be executed.

2003-05-05  David Hampton  <hampton@employees.org>

	* macros/openhbci.m4: Fix problem with latest versions of autoconf.

2003-05-03  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Fix hbci and ofx test for handling --disable
	correctly.

2003-05-01  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-parse.scm: Don't assume that a
	  date of the form XXXXXXXX is always YYYYMMDD.  There is at least
	  one example where it is MMDDYYYY.  So, test it both ways:
	  xxxxYYYY and YYYYxxxx.  Make sure a 4-digit year "makes sense"
	  (e.g., the year is after 1930). Fixes bug #111889.

2003-04-29  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test/Makefile.am: disable the test-scm-query-import
	  test, since it breaks on guile-1.6 (which does mean that
	  importing into a guile-1.6-based system will fail, but so much
	  else fails when upgrading from 1.6 to 1.8 that it really doesn't
	  matter.  Users will have to reset their reports anyways.

2003-04-28  David Hampton  <hampton@employees.org>
	* src/engine/iso-4217-currencies.scm: Remove two duplicate
	commodities.  The newer name for these commodities was retained.

	* src/app-utils/gnc-euro.c:
	* src/app-utils/gnc-ui-util.c:
	* src/backend/file/io-gncxml-v2.c:
	* src/backend/postgres/test/test-db.c:
	* src/backend/rpc/RpcUtils.c:
	* src/engine/gnc-commodity.c:
	* src/engine/gnc-commodity.h:
	* src/engine/test-core/test-engine-stuff.c:
	* src/gnome/dialog-commodities.c:
	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/dialog-transfer.c:
	* src/import-export/binary-import/druid-commodity.c:
	* src/import-export/qif-import/druid-qif-import.c: Consolidate all
	the tests for an ISO 4217 commodity into a pair of functions.  Use
	these functions throughout the code.

2003-04-26  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-commodity-xml-v2.c: Consolidate duplicate
	strings.

2003-04-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Adapt to latest
	OpenHBCI changes.

2003-04-21  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/aging.scm: fix the percentage
	  calculations so we don't get GtkCritical warnings.

2003-04-20  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.scm: Applied Tomas
	  Pospisek's patch to the transaction report (fixes bug #110598)

	* src/gnome-utils/gw-gnome-utils-spec.scm: fix the description
	  of gnc:mdi-show-progress.

	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/dialog-vendor.c:
	  Enable changing the "ID" for different business objects.
	  Fixes #108563.

	* src/import-export/qif-import/qif-file.scm: Don't try to
	  parse values that begin "..." because it is clearly not
	  valid (regardless of the locale).  Fixes #109868.

2003-04-18  Herbert Thoma  <herbie@hthoma.de>

	* src/engine/Account.c: move currency conversion to gnc-pricedb.c

	* src/engine/gnc-pricedb.c
	* src/engine/gnc-pricedb.h: add functions
	  gnc_pricedb_convert_balance_latest_price and
	  gnc_pricedb_convert_balance_nearest_price

	* src/engine/gw-engine-spec.scm: wrap functions
	  gnc_price_list_destroy, gnc_pricedb_lookup_latest_any_currency,
	  gnc_pricedb_lookup_nearest_in_time_any_currency,
	  gnc_pricedb_convert_balance_latest_price and
	  gnc_pricedb_convert_balance_nearest_price

	* src/report/report-system/commodity-utilities.scm: use
	  gnc:pricedb-convert-balance-latest-price and
	  gnc:pricedb-convert-balance-nearest-price to improve
	  multiple currency reports

	* src/report/standard-reports/advanced-portfolio.scm:
	  improve report for stocks and funds not denominated in report currency

2003-04-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c,
	src/import-export/hbci/hbci-interaction.c: Adapt to latest changes
	in OpenHBCI CVS.

2003-04-14  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c: Fix some user
	messages where chip cards were confused with key files.

2003-04-12  Herbert Thoma  <herbie@hthoma.de>

        * src/backend/file/sixtp-dom-parsers.c
        * src/backend/file/sixtp-utils.c
        * src/backend/file/test/test-dom-converters1.c
        * src/backend/file/test/test-string-converters.c
        * src/business/business-ledger/gncEntryLedgerLayout.c
        * src/business/business-ledger/gncEntryLedgerModel.c
        * src/calculation/fin.c
        * src/engine/GNCId.c
        * src/engine/QueryCore.c
        * src/engine/gnc-engine-util.c
        * src/engine/guid.c
        * src/engine/test/test-commodities.c
        * src/gnome-utils/dialog-options.c
        * src/gnome-utils/dialog-utils.c
        * src/gnome-utils/gnc-dense-cal.c
        * src/gnome-utils/gnc-frequency.c
        * src/gnome-utils/gnc-html.c
        * src/gnome/dialog-fincalc.c
        * src/gnome/dialog-scheduledxaction.c
        * src/gnome/dialog-sx-from-trans.c
        * src/gnome/gnc-split-reg.h
        * src/gnome/reconcile-list.h
        * src/import-export/import-account-matcher.c
        * src/network-utils/gnc-gpg.c
        * src/register/register-core/formulacell.c
        * src/register/register-core/pricecell.c
        * src/register/register-gnome/combocell-gnome.c
        * src/register/register-gnome/datecell-gnome.c
        * src/register/register-gnome/gnucash-sheet.h:
	  fixes for GCC 3.3 warnings
	  comparison between signed and unsigned and
	  dereferencing type-punned pointer will break strict-aliasing rules
	  fixes #110320

        * src/engine/gnc-pricedb-p.h
        * src/engine/gnc-pricedb.c
        * src/engine/gnc-pricedb.h:
	  gnc_pricedb_lookup_at_time_any_currency,
	  gnc_pricedb_lookup_day_any_currency and
	  gnc_pricedb_lookup_nearest_in_time_any_currency functions

2003-04-11  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Transaction.c: xaccSplitGetCorrAccountCode() should
	  actually return the account Code, not the account Name!  Fixes
	  #110561.

2003-04-06  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-util/transfer-dialog.c: Pop up a dialog if the user
	  tries to transfer from a non-currency account, and don't let
	  them do it.  Yes, this means you cannot transfer between mutual
	  funds, but the logic for that can be added later.  This fixes
	  bug #109641.

	* src/gnome-search/search-date.c: Evaluate the date during
	  get_predicate() in case the user just "hit return" (and the
	  auto-evaluate didn't happen).  Fixes bug #106444.

2003-04-04  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-report/transaction.scm: symbols are not
	  strings in guile-1.6.  Fixes debian bug #186004.
	* doc/gnucash.1.in: it's --add-price-quotes (not quote)
	* src/app-utils/date-utilities.scm: fix "WeekDelta" and add
	  TwoWeekDelta.  Fixes debian #185860.

2003-04-03  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main.scm: guile-1.6 requires empty lists to be quoted
	  (fixes debian bug #186188)

2003-04-03  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-commodity-matcher.c: Fix debian bug #187061
	Crash during import of investment accounts.

2003-04-02  Benoit Grégoire  <bock@step.polymtl.ca>

	* po/POTFILES.in,
	src/import-export/ofx/Makefile.am,
	src/import-export/ofx/ofx.glade: Remove obsolete ofx.glade
	* po/fr.po: Update french translation again, 200 more messages handled

2003-04-01  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEntry.h:  Move the definitions
	  of PaymentType and DiscountHow higher earlier in the file
	  to prevent problems of circular dependencies.
	* src/business/business-core/gncInvoice.[ch]:
	  - Add the storage of the to_charge_amount.
	  - Add GetTotalOf() to find the total of Cash and Charge amounts
	  - Use the to_charge_amount when posting an invoice
	* src/business/business-core/dialog-invoice.c:
	  - add a to_charge_amount for Exp. Vouchers
	  - add a "Total Cash" and "Total Charge" summary
	* src/business/business-gnome/glade/invoice.glade:
	  - add the to_charge_amount frame and labels.
	* src/busines/business-core/file/gnc-invoice-xml-v2.c: Add support
	  for the to-charge amount.

	* src/business/business-gnome/dialog-invoice.c: fix an assertion
	  failure -- don't try to set the to_charge_amount value unless
	  we're in a VIEW/EDIT invoice.

	* src/business/business-ledger/gncEntryLedgerControl.c:
	  Don't ask the user in the general case when making changes
	  to entries.  Generally the user should be allowed to make
	  whatever changes they want without being pestered.

	* src/business/business-ledger/gncEntryLedgerControl.c:
	  Save the entry cells before adding an it to the invoice,
	  otherwise it wont get sorted properly.  Fixes #108910.

	* src/business/business-gnome/glade/date-close.glade:
	  Fix the glade settings so resizing the window will properly
	  resize the widgets.  Fixes #107586.

	* src/business/business-core/business-core.scm:
	  When building the "name + address" string, check if the
	  company name and contact name are the same and, if so,
	  only print one of them.  Fixes #109753.

	* src/business/business-reports/owner-report.scm:
	* src/business/business-reports/aging-report.scm:
	  Fix a couple strings to improve comments when owners and accounts
	  are missing.  Direct the user to select them in the report options.

2003-04-01  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-system/options-utilities.scm: Fix missing i18n
	markup on some option names.

2003-03-31  David Hampton  <hampton@employees.org>

	* src/engine/Account.c:
	* src/gnome/gnc-split-reg.c:
	* src/app-utils/gnc-ui-util.c: Push gui independent functions into
	the engine.

	* src/gnome/window-acct-tree.c:
	* src/gnome-utils/gnc-account-tree.c:
	* src/scm/main-window.scm: Collapse the account tree data
	declarations into a common table.  Change functions to be driven
	off this data table instead of explicitly coding each field.  Add
	new fields in the account tree window for present, cleared,
	reconciled, and future minimum balances.  #95628

	* src/gnome-utils/dialog-account.c: Update for changes to function
	parameters.

2003-03-31  Herbert Thoma  <herbie@hthoma.de>

	* src/engine/gnc-pricedb.c
	* src/engine/gnc-pricedb.h: new function
	gnc_pricedb_lookup_latest_any_currency, return any available
	prices for given commodity regardless of currency

	* src/app-utils/gnc-ui-util.c: do a "two stage" price lookup in
	gnc_ui_convert_balance_to_currency if no price for the commodity
	is found in the requested currency, then look for prices in any
	currency and for a exchange rate from the price currency to the
	requested currency

	* src/gnome/gnc-split-reg.c: do currency conversion and show the
	value in the status line of stock and mutual fund accounts

2003-03-31  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/test/test-employee.c:  fix the test
	  to reflect the change in Employee->Printable()

2003-03-29  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/daily-reports.scm: New report
	"income vs. day of week" by Andy Wingo <wingo@pobox.com>.

	* src/engine/gnc-session.c: OpenBSD fix by Todd T. Fries
	<todd@flare.fries.net>

	* src/engine/Transaction.c: OpenBSD fix by Todd T. Fries
	<todd@flare.fries.net>: time_t is not long everywhere.

2003-03-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c (GNCInteractor_hide):
	Fix close-on-finished checkbutton.

	* src/import-export/hbci/hbci-progressmon.c: Add descriptions of
	new HBCI actions.

2003-03-20  Derek Atkins  <derek@ihtfp.com>

	* configure.in: don't add -I$(GNC_INCLUDE_DIR) to the engine
	  cflags, because it can cause build warnings on platforms with
	  gcc-3.2, and frankly we don't need it since we don't install
	  before we're building.

2003-03-18  Benoit Grégoire  <bock@step.polymtl.ca>
	* Documentation update

2003-03-16  David Hampton  <hampton@employees.org>

	* src/business/business-ledger/gncEntryLedgerLoad.c:
	* src/engine/date.c:
	* src/engine/date.h:
	* src/gnome/gnc-split-reg.c:
	* src/gnome/window-register.c:
	* src/gnome-utils/gnc-date-edit.c:
	* src/register/ledger-core/gnc-ledger-display.c:
	* src/register/ledger-core/split-register-load.c:
	* src/register/ledger-core/split-register-util.c:
	* src/register/register-gnome/datecell-gnome.c:
	Consolidate all the functions that convert time values to be the
	beginning, middle, or end of a day.

	* src/backend/file/gnc-backend-file.c:
	* src/backend/file/io-gncbin-r.c:
	* src/engine/Makefile.am:
	* src/engine/TransLog.c:
	* src/engine/date.c:
	* src/engine/date.h:
	* src/engine/gnc-book.c:
	* src/engine/gnc-session-scm.c:
	* src/engine/gnc-session.c:
	* src/optional/swig/Makefile.am:
	Collapse the DateUtils.[ch] files into date.[ch].

2003-03-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-date-edit.c: Fix the keypress handlers so
	they work properly for both the text entry widget and the calendar
	popup widget.

	* src/gnome-utils/dialog-utils.c (gnc_handle_date_accelerator):
	Eliminate a critical warning message. #106675

	* src/register/ledger-core/split-register.c
	(gnc_split_register_config): Force the cursor to the first line of
	a transaction split before disabling "double line" mode in the
	register.  This prevents the register refresh code from trying to
	update a cell that is no longer visible.  #105346

2003-03-15  Christian Stimming  <stimming@tuhh.de>

	* src/engine/gnc-book.h, src/engine/*.h: Added a lot of
	documentation comments, improved doxygen output. At least the most
	important header files will now show up in doxygen.

2003-03-14  David Hampton  <hampton@employees.org>

	* src/gnome/window-reconcile.c (gnc_start_recn_date_changed):
	Don't reverse the account balance here. The routine called to
	retrieve the account balance has already taken care of reversing
	the sign where necessary.

2003-03-13  David Hampton  <hampton@employees.org>

	* src/app-utils/option-util.c (gnc_option_get_range_info): Reapply
	Derek's fix for a crash when opening the Pref's dialog when using
	guile-1.6.1.  Lost when converting to the scheme scm_xxx
	interface.

2003-03-13  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Makefile.am: make sure to add INTLLIBS in case
	  we're compiling against an external -lintl (like on Solaris)

	* src/calculation/Makefile.am: fix to build on systems that don't
	  have GUILE installed in the system path or in the same place
	  as GLIB.

2003-03-12  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c: the Euroland currency rates
	  were inverted in the transfer dialog.

	* src/app-utils/gnc-ui-util.c:
	* src/gnome/top-level.c:
	  the Account Separator option was moved to the Accounts page --
	  reference is correctly.
	Fixes #106673

2003-03-11  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main-window.scm:  turn off the report-total by default

2003-03-10  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEmployee.c: name the employee name
	  the specific 'printable' name.
	* src/business/business-core/gncInvoice.c: if an invoice is owned
	  by an EMPLOYEE, then consider it an expense voucher.  Check the
	  entry payment-type and post directly to a CC account if one is
	  available.
	* src/business/business-core/gncOwner.c: use the employee->address->name
	  instead of the employee->username
	* src/business/business-gnome/business-gnome.scm: add employee items
	  to the main menu
	* src/business/business-gnome/dialog-employee.c:
	  - add a UI to choose an employee credit-card account
	  - add "expense vouchers" and "payments" to the employee search results
	  - change the search criteria and result column order
	* src/business/business-gnome/dialog-invoice.c:
	  - hide the 'job' if this is an expense voucher
	  - create an expense-voucher register is the invoice owner is an employee
	* src/business/business-gnome/gw-business-gnome-spec.scm:
	  add gnc:url-type-employee
	* src/business/business-gnome/glade/employee.glade: add the
	  UI for the CCard account
	* src/business/business-gnome/glade/invoice.glade: name the job label
	  widget
	* src/business/business-ledger/gncEntryLedger.[ch]:
	  - define an expense voucher register
	* src/business/business-ledger/gncEntryLedgerControl.c:
	  add support for expense vouchers
	* src/business/business-ledger/gncEntryLedgerDisplay.c:
	  - add support for expense vouchers
	  - add a component watch on the employee and refresh if it changes.
	    this lets us change the available payment options based on whether
	    the employee has a ccard account assigned.
	* src/business/business-ledger/gncEntryLedgerLayout.c:
	  - create the layout for an expense voucher register
	  - widen the account columns
	* src/business/business-ledger/gncEntryLedgerLoad.c:
	  - add support for expense vouchers
	  - load the payment cell based on the invoice owner -- don't allow
	    'charge' unless the employee actually has an assigned ccard account.
	* src/business/business-ledger/gncEntryLedgerModel.c:
	  - add functions to support the payment cell
	  - add support for expense vouchers
	* src/business/business-reports/business-reports.scm:
	  - add gnc:employee-anchor-text
	  - add support for employee "owner reports" and an employee link
	* src/business/business-reports/invoice.scm:
	  label the Expense Report "properly"
	* src/business/busines-reports/owner-report.scm:
	  create an "employee report"
	* src/business/business-utils/business-prefs.scm:
	  save the voucher register width
	Implements RFE #90371

	* src/gnome-utils/gnc-account-sel.c:
	  If the nameList == NULL then add a blank line, to make sure
	  the selector list is really empty, rather than defaulting to all of
	  the accounts in the tree if there are none matching.

2003-03-09  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEmployee.[ch]: added APIs to
	  store a Credit Card account for the employee.
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	  store the employee's CC Account in the XML file.

2003-03-08  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/import-backend.c:
	* src/import-export/import-match-map.c:
	* src/import-export/import-match-map.h:
	  Chris Morgan's Baysian Matching code, to match transactions
	  based on Bayesian filtering of previously matched transactions.

	* src/business/business-ledger/gncEntryLedger.c: allow the user
	  to enter any Action they wish.

2003-03-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Include a latest
	change in OpenHBCI: Use bank code from HBCI account instead of
	HBCI bank, if the available openhbci version supports it.

2003-03-03  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/business-core.scm: don't export
	  gnc:owner-get-name -- it overrides the g-wrap'ed version

2003-03-02  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEntry.[ch]: add interfaces
	  to deal with bill 'payment types', in preparation for
	  employee expense vouchers.
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	  add support for the bill payment type.

	* src/business/business-core/business-core.scm:
	  don't need gnc:owner-get-name in scheme
	  add employee support to owners
	  fix bug in (gnc:owner-get-id)
	* src/business/business-core/gncEmployee.[ch]:
	  add APIs to get-guid and lookup from scheme
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap employee-get-guid, employee-lookup, employee-get-id,
	  employee-get-username, employee-get-addr, owner-init-employee,
	  owner-get-employee, owner-get-name
	* src/business/business-gnome/business-options-gnome.c:
	  create an "employee option" widget set
	* src/business/business-gnome/business-urls.c:
	  define an 'employee' URL type
	* src/business/business-gnome/dialog-employee.[ch]:
	  remove old, unused search APIs,
	  add new search APIs
	* src/business/business-gnome/dialog-invoice.c:
	  add _some_ employee support.  Still doesn't contain the code
	  to display an employee-owned invoice (expense voucher).
	* src/business/business-utils/business-options.scm:
	  create an employee option type
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncOwner.[ch]:
	* src/business/business-core/file/gnc-owner-xml-v2.c:
	* src/business/business-gnome/business-gnome-utils.c
	* src/business/business-gnome/search-owner.c:
	  add employee support

2003-03-02  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/prefs.scm: Adjust the names of register styles in
	the preferences to those names used in the register View
	menu. This didn't require changes in any option lookup code.

	* src/gnome/glade/register.glade: 'Duplicate Transaction' could
	either mean 'to duplicate a transaction' or 'the duplicate of a
	transaction'. Both need very different translations. Therefore
	changed 'Duplicate Transaction' in the register into 'Duplicate
	this Transaction' to resolve that ambiguity here.

2003-03-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/dialog-sxsincelast.c: make sure to resume gui refresh events

2003-02-26  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c:
	-Disable -3 punishment for transactions which have an online ID.  This punished credit card transfer yet added no tangible benefit.

2003-02-22  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/glade/account.glade: Increase height of
	  account-hierarchy druid.

2003-02-22  David Hampton  <hampton@employees.org>

	* src/gnome/window-register.c: Don't override the user's toolbar
	style preference by calling gtk_widget_show_all() on the toolbar.
	#102041

	* various: Initial port from the deprecated (in 1.6) guile gh_xxx
	interface to the supported scm_xxx interface.

2003-02-22  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Quick fix to avoid
	online transfers being sent to the bank twice.

2003-02-19  Derek Atkins  <derek@ihtfp.com>

	* configure.in: move AS_SCRUB_INCLUDE _before_ tests so it wont
	  fail on gcc 3.2.2 which actually cares.  This is particularly
	  important for AC_CHECK_HEADER(S)

	* configure.in: change the configure help message from
	  "--enable-gui" to "--disable-gui", because the default is
	  enabled.  Also changed "--enable-error-on-warning" for the
	  same reason.

2003-02-18  David Hampton  <hampton@employees.org>

	* acconfig.h:
	* configure.in: Export the guile version number so it can be used
	in the code.  Add new variable for conditionally including the
	SRFI directory when doing 'make check'.  Should be null when using
	guile 1.6.

	* Various Makefile.am files: Use new conditional include for the
	SRFI directory when running 'make check'.

2003-02-17  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c: don't round the exchange
	  rate when returning it to callers...  Compute it from the
	  from_amount and to_amount.
	* src/register/ledger-core/split-register.c: change the rate-cell
	  to a shares_print_info so we don't lose accuracy due to rounding
	  errors.
	  Fixes bug #106332

2003-02-16  David Hampton  <hampton@employees.org>

	* src/quotes: List HTML::TableExtract as an explicit requirement,
	since about half of the of Finance::Quote modules require it even
	though F::Q doesn't list it as a dependency.

2003-02-16  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/import-backend.c: fix a bug keeping the code
	  from compiling.

2003-02-16  Herbert Thoma  <herbie@hthoma.de>

	* src/gnome/gnc-split-reg.c:
	  only display an euro amount in the status bar of a register window
	  if the account currency is a euro currency but NOT euro itself

	* src/gnome-utils/gnc-account-tree.c:
	  auto resize balance and total columns

2003-02-15  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm:
	  - No need to use the 'negative' field anymore
	  - Save the default split, even if we've got a split transaction.
	    It will be useful later to make sure we have a properly balanced
	    transaction and everything has the "right sign"
	* src/import-export/qif-import/qif-objects.scm:
	  - remove the 'negative' field of a split
	  - add a 'default-split' field of a transaction
	  - change the split-amounts and set-split-amounts! functions
	    the split-amounts will also return the default-split, if it
	    exists.  set-split-amounts! will figure out if we need to
	    reverse the splits by seeing if the amounts add up to 0 and
	    coping appropriately..  This is to fix a bug where SOME programs
	    make splits positive, and some make them negative.  This should
	    deal properly in both cases, so it's a better fix for #105139.

2003-02-14  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c:
	-Remove unused code.
	-Fix "destination account written to the matchmap even when
	 autoselected" bug.
	-Disable destination account matching by memo, until bayesian
	 filtering is implemented.  It's currently unlikely to help, and
	 causes false positives since very often the type of the
	 transaction is stored there.

2003-02-14  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Clarify some
	HBCI strings.

2003-02-14  David Hampton  <hampton@employees.org>

	* src/quotes/dump-finance-quote: Do a runtime check for
	Finance::Quote instead of including the perl 'use' declaration.
	The latter causes RPM to add a dependancy on F::Q.

2003-02-13  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c:  guile-1.6 doesn't like
	  "()" as an empty list.  Change it to "'()" to make it happy.
	  This is backwards compatible with older guiles.

2003-02-12  Derek Atkins  <derek@ihtfp.com>

	* applied Matthew Vanecek's patch to postgres/kvp-sql.c

2003-02-10  Herbert Thoma  <herbie@hthoma.de>

	* src/app-utils/gnc-ui-util.c:
	* src/app-utils/gnc-ui-util.h:
	* src/gnome-utils/gnc-account-tree.c:
	* src/gnome/window-acct-tree.c:
	* src/scm/main-window.scm:
	  recycle ACCOUNT_BALANCE_EURO and ACCOUNT_TOTAL_EURO account tree
	  columns to display balance resp. total in default report currency

	* src/import-export/import-backend.c: in
	  gnc_import_TransInfo_refresh_destacc move g_assert before first
	  assignment, otherwise I get a syntax error

2003-02-10  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-main-matcher.c: Patch by cmorgan to
	  restrict iterative destination account matching to transactions
	  AFTER the current one in the clist.

2003-02-10  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c,h:
	* src/import-export/import-main-matcher.c: Apply most of cmorgan's
	  patch for iterative destination account matching.  Optionally
	  restricting to the transactions after the one being edited still
	  need's to be implemented.

2003-02-10  Derek Atkins  <derek@ihtfp.com>

	* po/POTFILES.in: fox for the search-param.c move

	* src/import-export/import-main-matcher.c: freeze/thaw the clist
	  around the iterator to ease the visual affects.

2003-02-09  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: fix info file not found.

2003-02-09  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c
	  If we're expanded, ignore TRANS cursor classes.  This prevents
	  a bug where the exchange-rate dialog is realized when there really
	  is nothing to do (because we're in an expanded transaction).
  	* src/register/ledger-core/split-register-model.c
	  Don't PERR() if we have no account -- this prevents annoying
	  messages when handling multi-currency txns in the GL.  Note:
	  all GL txns are displayed in the locale currency (if possible).
	* src/register/ledger-core/split-register.c
	  AUTO_LEDGER and JOURNAL register types _ARE_ expanded -- return
	  TRUE, not FALSE.
	Fixes 105319

	* src/report/standard-report/advanced-portfolio.scm: add extra
	  arguments to prevent scheme crash.
	Fixes 105405

	* src/gnome/glade/sched-xact.glade: Need to start the Editor dialog
	  as non-visible so the ledger get's sized properly
	* src/gnome/dialog-scheduledxaction.c: resize the cal after the
	  dialog is shown, so it get's sized properly.

	Move some files around in preparation for re-factoring the
	reconcile-list code:
	* src/gnome-search/Makefile.am: removed search-param.[ch]
	* src/gnome-search/search-param.[ch]: moved the search-param to gnome-utils
	* src/gnome-utils/search-parah.[ch]: moved search-param from gnome-search
	* src/gnome-utils/Makefile.am: added search-param.[ch]

2003-02-07  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main.scm:
	* src/scm/command-line.scm:
	  Add a flag to make it easier to turn on and off the various debug
	  messages (except the tip-list, which needs to be done manually).
	* src/scm/tip-list.scm: change the 'development' message

2003-02-05  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-lot-p.h: some strange platforms assume "char" is
	  0..255 instead of -128..127.  Force a "signed char" to make sure
	  we get the latter interpretation.

	* src/app-utils/gnc-ui-utils.c: Don't round unless force_fit is true.
	  Fixes Debian Bug #179802.

	* src/bin/overrides/gnucash-build-env.in: add business-utils

	* src/business/business-utils/Makefile.am: make scm-links so you
	  can run gnucash from within the build tree

2003-02-04  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c: Add heuristic for duplicate matching by check number.
	* doc/README.OFX: Update

2003-02-04  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm: mark "splits" as negative
	  to make sure the numbers are reflected appropriately.
	* src/import-export/qif-import/qif-objects.scm: add a neg? value to
	  a qif-split; use this when converting the split-amount.
	Fixes bug #105179

2003-02-03  Derek Atkins  <derek@ihtfp.com>

	* src/calculation/Makefile.am: need to add GUILE_INCS

	* src/engine/Makefile.am: add ${INTLLIBS} for gettext() et al on
	  platforms that don't have it in libc

	* src/backend/file/io-gncbin-r.c: don't need to define functions
	  that are never used, so move the #ifdef around.  Fixes # 105124

	* rpm/gnucash.in: don't call autoconf

	* src/import-export/qif-import/qif-file.scm: fix a
	  wrong-number-of-arguments fatal crash when trying to reparse
	  dates.

	* src/scm/main.scm: fix "development version" message in head

2003-02-02  Chris Lyttle  <chris@wilddev.net>

	* configure.in: change to 1.9.0 version
	* README: update for new unstable

2003-02-02  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: add options to build ofx,hbci and postgresql

2003-02-02  Benoit Grégoire  <bock@step.polymtl.ca>

	* doc/README.OFX: I've quickly put together some docs for the ofx module and transaction matching.  Also includes a FAQ. Not perfect, but should closebug 99478.
	* doc/Makefile.am: Add README.OFX
	* src/import-export/ofx/README: Remove obsolete file.

2003-02-02  Derek Atkins <derek@ihtfp.com>

	* configure.in: re-enable -Werror, make sure it only is used with GCC,
	  but also move it to the end of the script so it wont interfere with
	  any other configuration test.

	* src/business/business-report/owner-report.scm: fix the column
	  headings and option names to match.  Fix the date-due column so
	  the heading properly goes away.  Also fix some of the
	  internationalization issues -- strings were translated but the
	  translation was not being used.   Fixes # 105036

	* src/backend/postgres/gncquery.c:  change INITIAL_BUFSZ to 32000

	* src/app-utils/option-util.c: use gh_scm2double() instead of
	  gh_scm2int() because guile-1.6 prefers it.  Fixes a crash when
	  opening the Pref's dialog when using guile-1.6.1

	* src/business/business-ledger/gncEntryLedgerLoad.c -- don't add
	  income accounts to bills, or expense accounts to invoices.  This
	  should help further reduce user confusion with what to do when
	  entering invoices.

	* src/report/standard-reports/cash-flow.scm: don't crash when a
	  user does something silly like having a split with no account.
	  Warn the user when we find this situation.

	* src/quotes/Makefile.am: add dump-finance-quote to the DIST

	* po/POTFILES.in:
	* src/import-export/Makefile.am:
	  Removed gnc-gen-transaction.[ch] "properly" for the dist.

2003-02-01  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/gnc-ofx-import.c: No longer assume that transaction with type OFX_OTHER are investement transactions.  Fixes bug reported by Rik harris.
	* src/import-export/import-main-matcher.c: Fix unrelated display bug with balanced (typically investement) transactions.

2003-02-02  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Disable error-on-warning by default because this
	seriously breaks quite a number of configure tests. May be enabled
	again for the development branch, but definitely not for
	end-users.

	* configure.in: Fix libofx test.

	* src/import-export/hbci/gnc-hbci-utils.c, po/de.po: Recognize
	even more error codes from OpenHBCI. Yes, I know this breaks
	string freeze -- but these strings *really* *only* apply to German
	users, so I just fixed the translation myself.

2003-02-01  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-utilities.c: Build on Nigel's patch.
	This hopefully permanently closes
	http://bugzilla.gnome.org/show_bug.cgi?id=101705.

	* src/import-export/Makefile.am: No longuer compile Christian's
	old matcher.

2003-02-01  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Reduced the
	MATCH_DATE_NOT_THRESHOLD to 21 days. Yeah, this should rather be a
	user preference, but IMHO three weeks should already cover the
	basic problem.

	* src/import-export/import-account-matcher.c, import-backend.c,
	import-main-matcher.c, import-match-picker.c: Comment out
	stderr debugging output.

	* src/import-export/generic-import.scm: Move transaction matcher
	preferences to "Online Banking & Import" preference page.

	* src/import-export/hbci/gnc-hbci-cb.c: Add include config.h.

2003-02-01  Matthew Vanecek  <mevanecek@yahoo.com>

	* src/backend/postgres/PostgresBackend.c (pgendEnable):
	Added ENTER/LEAVE statements

	* src/backend/postgres/escape.c: Adde gnc-engine-util.h,
	  and "module = MOD_BACKEND"
	- (sqlEscape_destroy): Added ENTER/LEAVE statemtents.

	* src/backend/postgres/gncquery.c (sql_Query_destroy): Added
	ENTER/LEAVE statements.

	* src/backend/postgres/putil.h: Cleaned up the formatting on the
	SEND/FINISH/EXEC/GET_RESULT macros.  Changed them to use
	PQresultErrorMessage where possible. Made them all set the Backend
	error message string.  Removed the PQfinish() calls, and setting
	be->connection to NULL.  Reasoning: if a malformed query fails, there is
	no reason to close the connection.  If an update/insert fails,
	again, there is no need to close the connection.  The user should
	be presented an error message and respond appropriately.  If
	a update/insert/delete fails, then generally the transaction is
	rolled back to the last BEGIN, thereby preventing data corruption.

	* src/engine/QueryNew.c (gncQueryPrint): Check that q is not NULL
	prior to processing it.

	* src/engine/gnc-engine-util.c: turn off DEBUG on all the modules
	  (for the release).

	* accounts/C/acctchrt_business.gnucash-xea: fix some of the accounts
	  in the tree to be more accurate to the real world.

	* src/register/ledger-core/split-register-module.c: only set ReadOnly
	  status for Invoices, not Payments.  Fixes #105032

2003-02-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/window-register.c: fix the query code to use the correct
	  param list.  Fixes bug #104951

2003-01-31  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm: change the way that
	  parse-fields reports an error or warning.  In particular, return
	  a list such that the error is tied to the actual type.  This will
	  allow us to differentiate a date-parse ambiguity from any other
	  type of ambiguity.  Also add a new procedure that, when given the
	  (cdr parse-results) and a 'type' will return the actual error for
	  that particular type.
  	* src/import-export/qif-import/qif-import.scm: export the new symbol
	* src/import-export/qif-import/druid-qif-import.c: change the logic
	  to use the new parse results and only try to fill the date dialog if
	  there is actually a date parsing ambiguity.

	  Fixes Morrison J. Chang's QIF import problem.

	* src/business/business-gnome/dialog-invoice.c:
	* src/business/business-gnome/glade/invoice.glade:
	  add handlers to immediately save the active and notes fields
	  as they are edited.  Fixes #104954

	  NOTE: This has a side effect of removing an invoice from any
	  open searches, but NOT replacing it if you click on the "active"
	  button.

	* src/business/business-gnome/business-gnome.scm: fix the "bill
	  reminder" so it doesn't create a query if there are no payables
	  accounts.

	* src/gnome-utils/gnc-menu-extensions.c: dgettext() and gettext()
	  return const char*.

2003-01-30  Derek Atkins  <derek@ihtfp.com>

	* po/np.po -- add the proper "Plural" header so it builds again.

	* Nathan Neulinger's patch to gnc-split-reg.[ch] to implement
	  a summary-bar "Projected minimum balance".  Somewhat fixes #102440.

	* src/report/report-system/options-utilities.scm:
	* src/report/standard-reports/account-summary.scm:
	* src/report/standard-reports/balance-sheet.scm:
	* src/report/standard-reports/cash-flow.scm:
	* src/report/standard-reports/pnl.scm:
	  change the api to gnc:options-add-account-selection! to allow
	  the caller to set the default choice on "use-subaccounts", and
	  change the cash-flow report to default to 'no'.  This will make
	  sure that "Assets:A/P" is not included (since it shouldn't be).

2003-01-29  Matthew Vanecek <mevanecek@yahoo.com>

	* src/backend/postgres/Makefile.am: Changed the .sql.c target to
	not echo the beginning and ending quotes.  This is part of the
	gcc 3.x compatibility changes.

	* src/backend/postgres/PostgresBackend.c: Made some whitespace changes
	  for readability.
	- (pgend_book_load_poll): Commented out a PWARN about the old book
	  list not being empty. See added comments for why.
	- (pgend_book_load_poll): added a gnc_session_set_book() call so that
	  the session would have the correct book loaded (i.e., the book
	  that's stored in the DB).

	* src/backend/postgres/*.sql: Enclosed each line in a set of
	quotes "..".  The "multi-line literals" were causing compile errors
	for gcc 3.x.

	* src/backend/postgres/gncquery.c: ran indent on the file.
	- (STRING_TERM): Changed the comparison on STRING_MATCH_NORMAL to
	  STRING_MATCH_CASEINSENSITIVE for purposes of adding a '*' to the
	  comparison operator "~".  The code was writing a "=*" which is
	  invalid, but "~*" is valid for case-insensitive regex searches.
	- (sqlQuery_build): Added a "more_and = 0" to the final if statement
	  of the "for (il = qterms; il; il = il->next)" loop.  This will
	  prevent a stray "AND" being appended to the end of the "WHERE" clause
	  of a dynamic query.

	* src/backend/postgres/kvp-sql (store_cb): In "case KVP_TYPE_TIMESPEC",
	changed the 'cb_data->stype = "timespec"' to 'cb_data->stype = "time"'.
	The destination field in the database is defined as 4 characters, and
	the extra chars in stype were causing an insertion error.

	* src/backend/postgres/putil.h (FINISH_QUERY): Changed the error to use
	PQresultErrorMessage() instead of PQerrorMessage().

	* src/backend/postgres/test/db-control.sh (our_pg_ctl): Changed the
	script to return -1 if pg_ctl was not found in PATH.

	* src/backend/postgres/test/run-tests.sh: If db-control.sh returns
	failure, the attempt to connect to $PGHOST on $PGPORT.

	* src/backend/postgres/test/test-db.c: Included QueryNew.h.  Added the
	  _dbinfo struct to pass host, port, dbname, and mode information
	  around. Everywhere that used db_name/mode is now using DbInfor->*.
	- Ran indent on the file.
	- Added a drop_database function to call dropdb on the database used
	  for the tests.  This eventually needs to be changed so that every
	  "return FALSE" first calls gnc_session_destroy(session), before this
	  new function is called.
	- (db_file_url): Changed the function to handle TCP connections as well
	  as socket connections.
	- (load_db_file): Added a PGBackend object from which to get a PGconn
	  connection to store in DbInfo.
	- (test_raw_query): Added a call to gncQueryPrint() if
	  gnc_should_log(MOD_TEST, GNC_LOG_DETAIL)

2003-01-29  Herbert Thoma  <herbie@hthoma.de>

	* src/report/standard-reports/cash-flow.scm: only asset accounts
	  are in the default account selection, tables use normal-row
	  and alternate-row

2003-01-28  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- fix the PG test to deal properly with non-standard
	  locations.  In particular, AC_CHECK_HEADERS() uses CPPFLAGS, not
	  CFLAGS.
	* src/backend/postgres/Makefile.am: use PGSQL_CFLAGS and PGSQL_LIBS
	* src/backend/postgres/test/Makefile.am: use PGSQL_CFLAGS

2003-01-28  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<L.Cappelletti@mail.com>

2003-01-27  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po: Updated Dutch translation by Hendrik-Jan Heins
	<hjh@passys.nl>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Introduced yet
	more user messages about what is supported by the bank.

2003-01-27  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- don't assume gtkhtml is avail from gnome-config
	  when testing for zvt.  Use the (already aquired) $GTKHTML_LIBS
	  instead.  Fixes Stan's problem from gc-devel.

2003-01-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Some more GUI work for
	HBCI setup, like clarifying some comments.

2003-01-25  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_update_cal): Fix
	the Recurrence-Frequency example-calendar date calculation to show
	upcoming instances correctly.

	* src/engine/SchedXaction.c (xaccSchedXactionGetNextInstance):
	Remove the validity check on the temporal-state-data's notion of
	the last-occurance date; as invalidity means something important,
	we must let it through; fixes Bug#103955.

	* src/backend/file/gnc-schedxaction-xml-v2.c
	(gnc_schedXaction_dom_tree_create): Make output of the
	deferred-instance last-date node optional on it's validity.

	* src/gnome/dialog-sxsincelast.c (cancel_check): Change assertion
	into conditional-activity, allowing rational use-case and fixing
	Bug #103182.

	* src/gnome/dialog-scheduledxaction.c (editor_ok_button_clicked):
	Correctly update available SX lists instead of the one we were
	spawned from, which may have disappeared in the mean time.  Fixes
	Bug#103629 [and allows the future fix of not needing to open the
	SX List Dialog when clicking "Advanced..." in the sx-from-transaction
	SX Editor-open vector].

2003-01-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci.scm, gnc-hbci-utils.c: Add
	preference (on advanced tab) to enable HBCI debug messages.

2003-01-25  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Fix HBCI problem
	with negative account balances.

	* src/engine/Scrub.c (xaccTransScrubImbalance): Fix rounding of
	the imbalance amount, #104343.

	* po/en_GB.po: Updated British English translation by Nigel Titley
	<nigel@titley.com>.

2003-01-23  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- Apply Bill Nottingham's patch to use db4/db_185.h
	  (fixes #104178)

2003-01-22  David Hampton  <hampton@employees.org>

	* src/bin/gnucash: Tell guile 1.6 not to bitch about deprecated
	functions.

	* src/quotes/dump-finance-quote: Add new script that dumps all the
	data returned by F::Q for a stock.  It also indicates which data
	field gnucash requires, which are optional, etc.

2003-01-22  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/business-reports.scm -- need to
	  load business-gnome module, which loads gnome-utils module, for
	  a couple HTML definitions (which should eventually be moved
	  elsewhere) so that the reports themselves don't depend on
	  gnome...  This fixes Wilddev's report problem.

	* src/business/business-ledger/gncEntryLedgerModel.c -- relabel
	  the "Account" column to "Income Account" or "Expense Account"
	  to better encourage the user to "choose wisely".

	* src/business/business-ledger/gncEntryLedgerLoad.c -- limit the
	  accounts in the pull-down list to accounts that are NOT
	  placeholder, A/R, A/P, Cash, Bank, or Equity accounts.  This
	  is also to encourage the user to "choose wisely" :)

	* src/business/business-gnome/glade/*.glade -- fix a tooltip to
	  let the user know that they can (should?) leave the ID blank
	  so the system will choose one for them.

2003-01-21  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-helper.in: Fix problem getting quotes
	from trustnet.

2003-01-21  Derek Atkins  <derek@ihtfp.com>

	* configure.in: be more liberal in the use of AS_SCRUB_INCLUDE

2003-01-20  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.7.8
	* NEWS: release 1.7.8

2003-01-20  John Pierce <john@killterm.org>

	* Makefile.am
	  Added distributed generated files to distcleancheckfiles.
          Added distcheck-hook to deal with automake1.5 stupidity.

	* src/doc/Makefile.am
	  Move doxygen log and cache to distclean-local.

2003-01-20  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.c -- g_list_append() can take a LONG time
	  and on big queries the merge can appear to take a long time.
	  So, let's use g_list_prepend() and g_list_reverse() to speed
	  up the process significantly.

	* src/engine/gnc-numeric. -- fix the gnc_numeric_lcd() algo to
	  actually work with numbers that are not co-divisible but have
	  multiple-powers of co-factors.  For example, the old algorithm
	  thought the LCM of 100,96875 was 3100, when it is really 387500,
	  because it was removing the factor of '5' too many times..

	* src/app-utils/test/test-scm-query-string.c -- fix a memory leak
	  in the test.

2003-01-19  John Pierce <john@killterm.org>

	* doc/Makefile.am
	* src/doc/Makefile.am
	* src/doc/design/Makefile.am
	* src/experimental/cgi-bin/Makefile.am
	  Added docs that were missing from dist.
	  Moved doxygen clean rules to maintainer-clean.
	  Moved texinfos to maintainer-clean.

	* lib/libc/Makefile.am
	  Added sources needed for OS X to dist.

	* src/app-utils/Makefile.am
	* src/backend/postgres/Makefile.am
	* src/business/business-core/Makefile.am
	* src/business/business-gnome/Makefile.am
	* src/business/dialog-tax-table/Makefile.am
	* src/core-utils/Makefile.am
	* src/engine/Makefile.am
	* src/gnc-module/Makefile.am
	* src/gnc-module/test/mod-bar/Makefile.am
	* src/gnc-module/test/mod-baz/Makefile.am
	* src/gnc-module/test/mod-foo/Makefile.am
	* src/gnome/Makefile.am
	* src/gnome-search/Makefile.am
	* src/import-export/Makefile.am
	* src/import-export/binary-import/Makefile.am
	* src/import-export/qif-io-core/Makefile.am
	* src/register/register-core/Makefile.am
	* src/report/report-gnome/Makefile.am
	* src/scm/Makefile.am
	* src/app-file/Makefile.am
	* src/gnome-utils/Makefile.am
	  Put generated headers into dist.
	  Moved symlinks to distclean.
	  Moved generated files to maintainer-clean.
	  Put generated gw-.*.scm files in dist for parity.
	  Put generated sources into dist.
	  Moved generated source to maintainer-clean.

	* src/bin/overrides/Makefile
	  Made built scripts depend on config.status to ensure
	  they're rebuilt when paths change.

2003-01-19  John Pierce <john@killterm.org>

	* macros/autogen.sh
	  Use variables for programs so they can be overridden easily.

2003-01-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-numeric.c -- be more intelligent when operating
	  on numbers of different denominators.  In particular, convert
	  both numbers to the lcd and then operate on them, instead of
	  assuming that a "cross-multiply" is safe.
	* src/app-utils/test/test-print-parse-amount.c -- add more tests for
	  PrintAmountInternal by checking force_fit and round.  Excercises
	  a bug (fixed in this patch) where cross-multiplies were NOT safe.

	* src/gnome-search/dialog-search.c -- reset the search-type to
	  "New Search" if we end up displaying no results.  Fixes bug #97095.

	* src/app-utils/prefs.scm -- combine all the Advanced prefs into one
	  location.  Then add the "New Search Limit" preference.
	* src/gnome-search/dialog-search.c --Use the "New Search Limit" pref
	  to decide when to start a new search vs. when refine the search.
	  Really fix #97095.

	* configure.in: scrub GNOME_PRINT_CFLAGS

	* src/gnome-utils/gnc-gui-query.c -- fix gnc_info_dialog() to deal
	  properly in the case that it's called before the UI is up.

	* src/app-utils/hooks.scm -- create a new 'post-ui-startup' hook
	* src/app-utils/app-utils.scm -- export the 'post-ui-startup' hook
	* src/scm/main.scm -- run the post-ui-startup hook after the UI
	  is up but before we run the ui-event-loop
	* src/business/business-utils/business-prefs.scm -- create two
	  new global preferences: "Notify Bills Due?" and "Bills Due Days"
	* src/business/business-gnome/business-gnome.scm -- create a dialog
	  are runtime (and via a new menu item) that displays all the bills
	  that are due withing "Bills Due Days" days from now.  It's ugly,
	  but it's functional.  Fixes #102439.

	* configure.in -- scrub the CFLAGS for postgres, as per Roland Roberts'
	  report.

2003-01-18  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncTaxTable.[ch]: add functions to
	  get the GUID and lookup by direct GUID (suitable for wrapping)
	* src/business/business-core/gw-business-core-spec.scm: wrap
	  the taxtable get-guid and lookup methods
	* src/business/business-gnome/business-utils.[ch]: re-implement
	  the "generic option menu" code to allow get_value(), set_value(),
	  and changed_callback() functions.
	* src/business/business-gnome/business-options.c: create a taxtable
	  option type using the new generic optionmenu code
	* src/business/business-gnome/business-options.scm: define a taxtable
	  option.  Also fix all the other options when using a KVP storage
	  to actually load and save the options properly
	* src/business/business-gnome/business-prefs.scm: create a default
	  customer and default vendor taxtable option for the "File Properties"
	  option menu.

	  Initial fix for #93462.  Next commit will actually use the values.

	move code around a lot.
	* Rename a bunch of files:
	  business-options to business-options-gnome
	  business-utils to business-gnome-utils
	  - this required changes to a bunch of files in business-gnome
	* move business-options.scm and business-prefs.scm to business-utils
	* create a business-utils gnc-module
	  - required changes to configure.in, business/Makefile.am
	  - added a bunch of files (generally moved from business-gnome)
	* moved a bunch of other non-gnome definitions out of the gnome-specific
	  locations (gnome-utils -> app-utils, or business-gnome -> business-utils)

	* gncEntryLedgerLoad.c: commented-out code to load tax-tables from
	  the options; waiting until code is actually written.

	* src/app-utils/option-util.[ch]: add new functions to handle
	  kvp-options from C (similar to the gnome-utils functions to
	  create an option dialog from a kvp-frame for a particular
	  object).
	* src/business/business-utils/business-options.[ch]: add code to
	  lookup business options in an option database, from C.
	* src/business/business-ledger/Makefile.am: include business-utils headers
	* src/business/business-ledger/gncEntryLedgerLoad.c: load the tax-table
	  from the book-kvp options and use that as the default tax table

	FIXES 93462.

	* src/app-utils/prefs.scm: Remove "user name" and "user address"
	  preferences, as they are no longer used by anything.
	* src/report/standard/reports/register.scm: we're not using the
	  'invoice' portion anymore, so we don't need references to user
	  name and user address preferences.  This removes the "User Info"
	  page from the Global Preferences.

2003-01-16  Derek Atkins  <derek@ihtfp.com>

	* src/engine/commodity-table.scm: move gnc:commodity-is-currency? here
	* src/engine/engine.scm: export gnc:commodity-is-currency?
	* src/report/report-system/report-system.scm: remove ref to same.
	* src/report/report-system/report-system.scm: remove function above
	* src/import-export/qifiimport/qif-to-gnc.scm: fix the algorithm
	  to find/create new accounts.  All "parent" accounts are of
	  commodity "default-currency" (but don't really care about that).
	  When creating a leaf account, use the security if it's a
	  stock/mmf account, but the default-currency otherwise.
	  Fixes #103633.

	  NOTE:  Might need similar fixed in qif-io-core?

	* qif-merge-groups.scm: Limit matches against only the accounts in
	  the old group, so we don't match against ourselves.  This should
	  limit the matches to only "reasonable" matches, and should fix #102463

2003-01-15  David Hampton  <hampton@employees.org>

	* configure.in: Remove restriction on guile versions > 1.4.
	Provide a version dependant load path variable for the SRFI
	location. (Empty in 1.6 since they're bundled with guile.)

	* src/engine/Makefile.am: Don't hard code the location of the
	SRFIs into the guilel load path.

	* src/import-export/qif-import/qif-file.scm: The rdelim module
	moved locations in guile 1.6

2003-01-15  John H. Pierce <john@killterm.org>

	* Makefile.am:
	* configure.in:
	* src/app-file/Makefile.am:
	* src/app-utils/Makefile.am:
	* src/backend/net/Makefile.am:
	* src/backend/rpc/Makefile.am:
	* src/bin/Makefile.am:
	* src/business/business-core/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/business/dialog-tax-table/Makefile.am:
	* src/core-utils/Makefile.am:
	* src/engine/Makefile.am:
	* src/experimental/cgi-bin/Makefile.am:
	* src/experimental/cgi-bin/fastcgi-hello.c:
	* src/experimental/cgi-bin/gnc-server.c:
	* src/experimental/cgi-bin/hello3.c:
	* src/gnc-module/Makefile.am:
	* src/gnc-module/test/mod-bar/Makefile.am:
	* src/gnc-module/test/mod-baz/Makefile.am:
	* src/gnc-module/test/mod-foo/Makefile.am:
	* src/gnome/Makefile.am:
	* src/gnome-search/Makefile.am:
	* src/gnome-utils/Makefile.am:
	* src/import-export/binary-import/Makefile.am:
	* src/import-export/hbci/test/Makefile.am:
	* src/register/register-core/Makefile.am:
	* src/report/report-gnome/Makefile.am: Changes to make the build
	system work on multiple architectures and with multiple versions
	of the autotools suite.  Make generated g-wrap sources depend on
	config.status.

	* Makefile.DEPS:
	* src/bin/strsub.c: New files needed for automake 1.4.  These can
	be removed when automake 1.4 is no longer supported for building
	gnucash.

2003-01-15  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/test/test-print-parse-amount.c: set force_fit and
	  round to 0 (like they should be) so we don't hit the rounding
	  code and blow up.   Fixes #103536.

	* src/backend/postgres/test/Makefile.am: include run-tests.sh in
	  the distribution.

	* src/register/register-gnome/gnucash-sheet.c: fix a fencepost
	  error where it assumed there would be at least two "visible
	  rows" per block, so search through the end rather than skipping
	  the last row.  This fixes the page-up/page-down problem with
	  invoices.  Also add more places where the visible range is computed.

	* src/business/business-ledger/gncEntryLedgerLoad.c: add code to
	  "show_range()" which should fix the page-up/page-down problem.

2003-01-14  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.h: add QUERY_PARAM_ACTIVE
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncVendor.c:
	  add the QUERY_PARAM_ACTIVE parameter support
	* src/app-util/prefs.scm: add hidden preference to store
	  the user's choice of searchin
	* src/gnome-search/search.glade: add a checkbox to search-for-all
	* src/gnome-search/dialog-search.c -- add preliminary support to
	  limit searches to only "active" objects.  Fixes bug #103506

	* src/gnome-search/dialog-search.c -- grey out the button if it
	  has no meaning for this particular search-type.

2003-01-13  David Hampton  <hampton@employees.org>

	* src/engine/engine-helpers.c: Make the gnc_scm_to_gint64()
	function work with either guile 1.4 or guile 1.6.

	* src/app-file/gnc-file.h:
	* src/engine/Backend.h:
	* src/engine/gnc-session-scm.c:
	* src/engine/gnc-session.h:
	* src/gnome-utils/gnc-mdi-utils.c:
	* src/gnome-utils/gnc-mdi-utils.h:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/report/report-system/report-utilities.scm: Make the progress
	bar argument a double instead of an int.  This gets around an
	issue with guile 1.6.

2003-01-13  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/option-util.c: gh_str2scm() takes a char*, not a
	  const char* (at least in guile-1.3.4), so force the string to be
	  a char* to make the compiler happy.

	* src/engine/date.c: add spaces to the scanDate delimiters,
	  although it may not help if strptime() is doesn't like the
	  spaces.  Attempt to fix #103147, but it's probably a strptime
	  bug.

	* src/business/business-gnome/dialog-invoice.c -- make the Notes
	  field editable for new invoices.  Fixes #103345

	* src/import-export/import-utilities.c -- applied Nigel Titley's
	  patch for #101705

2003-01-12  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/global-options.[ch]: add gnc_default_report_currency()
	* src/app-utils/gw-app-utils-spec.scm: wrap gnc_default_report_currency()
	* src/app-utils/prefs.scm: add "Default Report Currency" preference
	* src/report/report-system/options-utilities.scm: use new report currency
	  preference to choose the "default" report currency.
	FIXES Bug #103160

	* src/business/business-core/gncOwner.[ch]: rename ...Commodity() to
	  ...Currency()
	* src/business/business-core/gncInvoice.[ch]: rename ...CommonCommodity()
	  to ...Currency()
	  use new gncOwner function name
	* src/business/business-core/gncEntry.c: use new Currency() functions
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap gncInvoiceSetCurrency()
	  wrap gncInvoiceGetCurrency()
	  wrap gncOwnerGetCurrency()
	* src/business/business-core/file/gnc-invoice-xml-v2.c: use new funcs
	* src/business/business-gnome/dialog-invoice.c: use new functions --
	  set invoice currency based on owner's currency
	* src/business/business-reports/invoice.scm: use invoice's currency
	  for printing the invoice.
	PARTITAL fix for #101001

	* .../business-core/gncCustomer.[ch]:
	* .../business-core/gncVendor.[ch]:
	* .../business-core/gncEmployee.[ch]:
	  Rename ...Commodity() to ...Currency()
	* .../business-core/gw-business-core-spec.scm: fix function wrappings
	* .../business-core/file/gnc-customer-xml-v2.c:
	* .../business-core/file/gnc-vendor-xml-v2.c:
	* .../business-core/file/gnc-employee-xml-v2.c:
	  Use new function names.
	* .../business-gnome/business-gnome.scm:
	* .../business-gnome/dialog-customer.c:
	* .../business-gnome/dialog-vendor.c:
	* .../business-gnome/dialog-employee.c:
	  Use new ...Currency() functions
	More prep to fix #101001

	* .../business-gnome/business-gnome.scm:
	  Fix the Extensions hooks to connect menus properly when GNC_DEBUG=1
	* .../business-gnome/dialog-customer.c:
	* .../business-gnome/dialog-vendor.c:
	* .../business-gnome/dialog-employee.c:
	* .../business-gnome/glade/customer.glade:
	* .../business-gnome/glade/vendor.glade:
	* .../business-gnome/glade/employee.glade:
	  Add ability to edit currency in the UI.  Fixes #101001

	* .../business-ledger/gncEntryLedgerLayout.c: change the order
	  of columns in order to get page-up/page-down to work without going
	  into an infinite loop.
	* .../business-ledger/gncEntryLedgerLoad.c: suspend events
	  when we're creating a new entry.  Unfortunately the gnucash-sheet
	  still never counts the blank entry, and I don't know why.

	* src/engine/QueryCore.c: fix the algorithm to compute equality
	  of numerics so it copes with numbers in the "wrong" order.
	  Fixed bug #103341

2003-01-12  David Hampton  <hampton@employees.org>

	* macros/openhbci.m4: Scrub hbci include paths to prevent gcc 3.x
	compile errors.

	* src/app-utils/option-util.c:
	* src/app-utils/global-options.c: Add support for setting a string
	option.

	* src/app-utils/prefs.scm: Create hidden options for the saved
	default import/export path names.

	* src/app-utils/gnc-ui-util.c: Add routine for easily extracting a
	directory path from a filename.

	* src/import-export/ofx/gnc-ofx-import.c: Default the OFX import
	directory to the directory of the last OFX file imported, or the
	user's home dir for the first export. Remembered across
	invocations of gnucash. #94428

	* src/app-file/gnc-file.c: Default the save directory to the
	directory of the last file used. Default the exports directory to
	the directory of the last file exported, or the user's home dir for
	the first export. Remembered across invocations of gnucash. #94428

	* src/scm/price-quotes.scm: Correctly handle the case where no
	stocks have been defined and the user asks gnucash to get price
	quotes. #102560

	* src/network-utils/gnc-http.c: Work around bug in ghttp library
	so that intl users whose whole units/fractions separator is a
	comma can request web pages.

	* src/register/register-gnome/gnucash-sheet.c
	(gnucash_sheet_insert_cb): Return the number of characters
	entered, not the length of the encoded multi-byte string. Possible
	fix for 99419 and 102057.

2003-01-11  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncBusGuile.[ch]: functions to interface
	  between business objects and scheme.  Add hooks to convert between
	  GncAccountValue* and scheme.
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap the GncAccountValue*
	  wrap gncEntryReturnTaxValues()
	  wrap gncEntryGetInvTaxable() and gncEntryGetBillTaxable()
	* src/business/business-reports/invoice.scm: change a couple of
	  columns.  Enable viewing the "taxable" entry.  Enable viewing
	  all the tax accounts individually (fixes bug #102892)

	* src/business/business-core/gw-business-core-spec.scm:
	  wrap gncEntryGetInvTaxTable()
	  wrap gncEntryGetBillTaxTable()
	* src/business/business-reports/invoice.scm: only set the "taxable"
	  value to 'T' if the value is true AND we've got an actual tax table.

2003-01-11  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.c: The "reverse balance" preference
	was moved a while back. Fix this missed reference.

	* src/engine/gnc-commodity.c: Convert from the old to new symbols
	for Russian Roubles (RUB -> RUR). #102705

2002-01-11  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c: Fixed the date heuristics
	  modifications, which had an unfortunate interaction with old
	  debugging code, causing the score to be reversed, and making the
	  matcher mostly unusable.

2003-01-09  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-model.c:
	* src/register/ledger-core/split-register-control.c:
	  Ignore certain splits with an "amount" of zero.

2003-01-09  Christian Stimming  <stimming@tuhh.de>

	* po/el.po: Updated translation, reviewed by
	ta_panta_rei@flashmail.com.

2003-01-08  Derek Atkins  <derek@ihtfp.com>

	* apply patch to use Euclid's algo for gnc_numeric_reduce
	  more fixes for #95474

	* src/business/business-core/gncInvoice.c: actually apply
	  a payment to the proper transfer account.  Fixes bug #102893

2003-01-08  Christian Stimming  <stimming@tuhh.de>

	* po/ru.po: Updated very complete (!) Russian translation by
	Vitaly Lipatov <lav@altlinux.ru>.

2002-01-07 Herbert Thoma <herbie@hthoma.de>

	* src/gnome-search/gncmod-gnome-search.c:
	* src/business/business-gnome/businessmod-gnome.c:
	* gnucash/src/gnome-utils/dialog-options.h:
	* src/import-export/binary-import/druid-commodity.h:
	* src/register/register-gnome/gnucash-color.c:
	* src/report/report-gnome/gncmod-report-gnome.c:
	  add #ifdef HAVE_CONFIG_H
	    #include <config.h>
	    #endif
	  this fixes compile errors on SuSE 8.0 + 8.1

2003-01-07  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/* -- don't save half-built data.
	  Make sure that we're only saving the items that have been fully
	  created (not half-created).  Fixes the cause of bug #102776.

	* src/business/business-core/business-core.scm: return #f if
	  we cannot obtain an owner from a split (in the case of a regularly-
	  entered split)
	* src/business/business-reports/aging.scm:
	* src/business/business-reports/owner-report.scm:
	  Cope with not being able to obtain an owner from a split.
	  In particular, ignore it.  Fixes part of #97097.

2003-01-06  Derek Atkins  <derek@ihtfp.com>

	* macros/Makefile.am: include the rest of the macros in the dist.

	* src/engine/test/test-scm-query-import.scm: add a warning message
	  about potential "error" output which can be ignored.

	* intl-scm/Makefile.am: applied John's patch to build guile-strings.c
	  properly.

2003-01-05  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.7.7
	* NEWS: release 1.7.7

2003-01-05  John H. Pierce <john@killterm.org>
    * Makefile.am: Added rule for libtool rebuilding.

    * configure.in: Changed AC_DISABLE_STATIC to AM_DISABLE_STATIC
      Look in the right place for srfi modules.
      Reordered output files so directories get created in the right order.

    * intl-scm/Makefile.am: Only find scm files once.
      Fix for non-srcdir builds.

    * src/app-utils/Makefile.am:
    * src/business/business-core/Makefile.am:
    * src/business/dialog-tax-table/Makefile.am:
    * src/gnome/Makefile.am:
    * src/gnome-search/Makefile.am:
    * src/gnome-utils/Makefile.am:
    * src/business/business-gnome/Makefile.am:
    * src/gnc-module/Makefile.am:
      Removed unneeded depends, they interfere with the auto-generated ones.

    * src/gnc-module/test/mod-bar/Makefile.am:
    * src/gnc-module/test/mod-baz/Makefile.am:
    * src/gnc-module/test/mod-foo/Makefile.am:
    * src/gnc-module/test/misc-mods/Makefile.am:
      Don't install test modules.

    * src/backend/postgres/Makefile.am:
      Fixed auto-generation of sources out of srcdir.
      Moved auto-generation sources all to BUILT_SOURCES to generate
      correct depends.
      Removed incomplete explicit depends.

    * src/backend/rpc/Makefile.am:
    * src/backend/postgres/test/Makefile.am:
      Look in engine srcdir for guile stuff.

    * src/engine/Makefile.am:
      Remove absolute paths so automake gets dependencies right for libs.
      Remove unneeded depends.

    * src/engine/gnc-commodity.c:
    * src/engine/iso-currencies-to-c:
      Look for auto-generated files in srcdir.

2002-1-6  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-backend.c: Give a much higher importance
	the date heuristics.   Exact date now worth +3, date within
	MATCH_DATE_THRESHOLD worth +2, and dates outside
	MATCH_DATE_NOT_THRESHOLD (now set to 25) are worth -100.
	The side effect it that any transaction outside a 25 day
	range can't be matched at all.
	-Disable skipping transactions which already have an online id
	during matching, untill a fix for the "transfer between two
	accounts" bug is properly fixed.
	* src/import-export/generic-import.scm:
	* src/import-export/import-settings.c:
	-Disable EDIT action enabling, (it won't be complete for 1.8.0).
	-Fix typos reported by Bill Wohler.
	-Adjust default ADD and RECONCILE threshold to account for above
	change.

2003-01-05  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-component-manager.c: New functions for
	attaching a session to a component, for finding all components
	with a given session, and for closing all components with a given
	session.

	* src/gnome-utils/dialog-account.c: Attach session values to the
	components for "New Account" and "Edit Account" windows. #103531

	* src/app-file/gnc-file.c (gnc_file_new): Before destroying the
	session, call new routine to close any open components related to
	this session. #102531

2003-01-05  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main.scm -- mention bugzilla in the unstable message

	* src/backend/file/io-example-account.[ch]: add a flag that signifies
	  that an account-tree should NOT be included by "select-all"
	* src/gnome/druid-hierachy.c: ignore account-trees that are
	  marked for exclusion from "select-all".
	* accounts/C/acctchrt_business.gnucash-xea: mark this account as
	  "excluded from select-all"

	* src/backend/file/io-example-account.[ch]: add a flag that signifies
	  that an account-tree should start selected.
	* src/gnome/druid-hierarchy.c: when loading the example accounts, go
	  through the list and 'select' those that are marked as "start selected"
	* accounts/C/acctchrt_common.gnucash-xea: mark this account tree as
	  "start selected"

	* src/register/ledger-core/split-register-model-save.c: when
	  editing an exchange rate, always change the _VALUE_ of the
	  split, not the amount.  This has the affect of keeping the
	  visible number the same and changing the "other" account.  This
	  should fix #102161

	* src/backend/file/io-example-account.c: fix a logic bug
	* accounts/C/acctchrt_common.gnucash-xea: don't start selected
	* accounts/C/acctchrt_checkbook.gnucash-xea: provide a simple checkbook

2003-01-04  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-account-xml-v2.c:
	* src/backend/file/gnc-book-xml-v2.c:
	* src/backend/file/io-gncxml-v2.c:
	* src/backend/file/io-utils.c:
	* src/backend/file/test/test-xml-account.c: Don't export lots.

	* src/engine/gnc-session.c (gnc_session_destroy): Don't clear the
	current_session global unless the actual current session is being
	destroyed. 101707.

	* src/backend/file/io-gncxml-v2.c: Pipe the output through zlib if
	the user requested compression. This request is either setting a
	option in the preferences (for all files), or naming the
	particular data file with a .gz extension. #88509

	* src/backend/file/gnc-backend-file.c:
	* src/gnome/top-level.c:
	* src/app-utils/prefs.scm: Create a 'file compression' option and
	pass the data into the backend.

2003-01-04  Derek Atkkins  <derek@ihtfp.com>

	* add a set of business accounts to the setup druid
	* fix the full and common accounts to remove the (wrong) "Accounts Payable"
	  liability account.

	* src/engine/Transaction.[ch]: add TRANS_NOTES and supporting routines
	  to enable searching for notes.

	* src/gnome/dialog-find-transactions.c: search on NOTES
	  add code to prevent searching on template-txn accounts so SXes don't
	  show up in find results.

	* src/register/ledger-core/*: gnc_table_layout_get_cell() doesn't
	  look at the current cursor, so the multi-currency code was acting
	  all the time, instead of only in registers that needed to be corrected.
	  Fix the code to only apply the multi-currency changes to the correct
	  register types (e.g., NOT stock registers).  Fixes 102549.

2003-01-03  David Hampton  <hampton@employees.org>

	* src/gnome/druid-hierarchy.c:
	* src/gnome/druid-loan.c:
	* src/gnome/druid-stock-split.c:
	* src/gnome/window-reconcile.c:
	* src/gnome-utils/window-help.c:
	* src/import-export/qif-import/druid-qif-import.c: Add icons to
	gtk only windows. This can probably be reverted in the port to
	gnome2 when the icon functionality moves from gnome_xxx to
	gtk_xxx.

	* src/engine/gnc-pricedb.h:
	* src/gnome/dialog-price-edit-db.c: Add support for i18n of price
	source strings. Needs to be done at display time because the
	strings are embedded into the data file. #102156

	* src/import-export/qif-import/druid-qif-import.c:
	* src/import-export/qif-import/qif.glade: Add a smart function for
	going "back" from the "load a file" page.  If there are any files
	loaded it returns to the "loaded files" page instead of the
	initial druid page. #101818

	* src/backend/file/gnc-backend-file.c
	(gnc_file_be_load_from_file): Don't free the lockfile name any
	time there is an error.  Wait for the session to be destroyed so
	the lockfile will be cleaned up properly. #101004

	* src/app-file/gnc-file.c (gnc_file_query_save): Grab the current
	session each time around the while loop so as not to have a
	dangling pointer. #101004

2003-01-03  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/glade/invoice.glade: fix a string
	  to make the meaning more clear (per user request)

2003-01-03  Matthew Vanecek <mevanecek@yahoo.com>
	* src/backend/postgres/Postgresbackend.c: Fixed some compiler
	warning messages about MODE_NONE and a some GUIDs used as
	string pointers in informational messages.

	* src/backend/postgres/test/test-db.c: Commented out the
	"short module" declaration.  It was not used and was causing a
	compiler warning.

	* src/backend/postgres/upgrade.c: Changed the "ALTER TABLE table
	ADD COLUMN..." statements to conform to the current Postgres
	implementation (and SQL 92) standard by putting the DEFAULT
	modifier in a separate ALTER statement.	 This was reported by
	Christopher B. Browne.

2003-01-02  David Hampton  <hampton@employees.org>

	* src/report/report-system/html-utilities.scm: Fix malformed URLs
	for bringing up a report options window.

	* src/report/report-system/options-utilities.scm:
	* src/report/report-system/report-system.scm: Add new option for
	specifying sort critera for piecharts and barcharts.

	* src/report/standard-reports/account-piecharts.scm: Add various
	sorting options.  Work around Guppi problem by replacing the
	character "&" with the word "and".

	* src/report/standard-reports/category-barchart.scm: Add various
	sorting options. The default is now by ammount instead of by
	account-code, which is a much more interesting report.  #102342
	Work around Guppi problem by replacing the character "&" with the
	word "and".  Don't "reverse" the barchart legend.  Double-clicking
	on the legend now opend the right child report.

	* src/report/standard-reports/net-barchart.scm: The report title
	should change when the report name field is changed in the
	options. #102266

	* src/report/standard-reports/pnl.scm: The report title should
	change when the report name field is changed in the
	options. #102267

	* src/gnome-utils/window-help.c (helpWindow): Correctly pass on
	the label when first opening a help window.

	* src/gnome-utils/gnc-html.c (gnc_html_load_to_stream): Delay
	jumping to a label until after the help window has been created on
	the screen. Without this gtk-html computes the wrong scroll offset
	for the window.

	* src/scm/price-quotes.scm: Remove the "checking sources" message.

2003-01-01  David Hampton  <hampton@employees.org>

	* src/gnome-utils/window-help.c (helpWindow): Correctly open a
	help window when the initial URL contains a label component to it.

	* src/gnome/window-reconcile.c: Make the reconciliation window
	respect the 'include subaccount' flag any time it opens a
	register.  Consolidate logic for opening a new register. Enhance
	the reconciliation start window to update the ending value when
	this flag is changed. #101150

	* src/gnome-utils/gnc-amount-edit.c (gnc_amount_edit_key_press):
	If the amount is monetary, map the keypad decimal key to the
	correct decimal character for the locale. #101957

2003-01-01  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c: invert the
	  exchange rate when we're swapping currencies, since the logic
	  of the transfer dialog was reversed.  Fixes bug #102157

	* src/gnome-utils/dialog-transfer.c: call the to_amount_update_cb
	  handler during certain paths of the ok_cb because the focus-out
	  signal may not get handled in all cases -- so force the issue.
	  Fixes bug #102163

	* src/gnome-utils/dialog-transfer.c: always set the exchange-rate
	  as a positive value (use ABS).  Fixes the rest of #102163.

	* src/register/ledger-core/split-register-layout.c: fix the
	  rate_cell layout for general ledgers.  Fixed the critical
	  failure from bug #101000

	* src/gnome-search/search-numeric.c:
	* src/gnome-search/search-double.c:
	* src/gnome-search/search-int64.c:
	  read the value out of the GNCAmountEdit entry when we create
	  the Query Predicate, because we're not getting the amount_changed
	  signal.  Fixes #101000.

	* src/business/business-core/gncInvoice.[ch]: create new function
	  for logic to apply a payment.  Moved logic from dialog-payment.
	* src/business/business-gnome/dialog-payment.c: move logic to
	  apply payment to business-core.

	* src/engine/Account.[ch]: add an xaccAccountRemoveLot() function to allow
	  the LOT code to clear memory when you destroy a lot.  Fixes a crash
	  when you destroy a lot.
	* src/engine/Transaction.[ch]: add an xaccTransClearReadOnly() function
	  to let you clear the flag so you can then remove an transaction.  Only
	  for internal uses only!  This is used by the Invoice UnPost code.
	* src/engine/gnc-lot.c: remove the lot from the account's list of lots
	  when the last split is gone.

	* src/business/business-core/gncInvoice.[ch]: implement Unpost function
	* src/business/business-ledger/gncEntryLedger.[ch]: change the
	  set_readonly() function to let you toggle back and forth between
	  readonly and readwrite ledgers.
	* src/business/business-gnome/dialog-invoice.c: implement unpost; set back
	  to readwrite if the unpost succeeds
	* src/business/business-gnome/dialog-order.c: use new set_readonly() API
	FIXES BUG #101452

	* configure.in: add a blatent warning that the RPC code is broke!
	* src/scm/command-line.scm: change the message to let people know that
	  the rpc-server command-line option only works if gnucash was compiled
	  with rpc enabled.
